package com.starcharge.component.datastore.dao;

import com.ihidea.core.base.CoreDao;
import com.starcharge.component.datastore.dao.model.CptDataStore;
import com.starcharge.component.datastore.dao.model.CptDataStoreCriteria;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CptDataStoreMapper extends CoreDao {
    int countByExample(CptDataStoreCriteria example);

    int deleteByExample(CptDataStoreCriteria example);

    int deleteByPrimaryKey(String id);

    int insert(CptDataStore record);

    int insertSelective(CptDataStore record);

    List<CptDataStore> selectByExample(CptDataStoreCriteria example);

    CptDataStore selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") CptDataStore record, @Param("example") CptDataStoreCriteria example);

    int updateByExample(@Param("record") CptDataStore record, @Param("example") CptDataStoreCriteria example);

    int updateByPrimaryKeySelective(CptDataStore record);

    int updateByPrimaryKey(CptDataStore record);
}