package com.starcharge.wios.app.dto;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;

public class AppPayBillDTO {

    @ApiModelProperty(value = "支付时间")
    private String payTime;
    
    @ApiModelProperty(value = "账单编号")
    private String billId;
    
    @ApiModelProperty(value = "账单金额")
    private BigDecimal amount;
    
    @ApiModelProperty(value = "安装订单状态")
    private Integer orderStatus;
    
    @ApiModelProperty(value = "安装订单状态文字")
    private String orderStatusText;
    
    @ApiModelProperty(value = "工单编号")
    private String orderId;
    
    @ApiModelProperty(value = "工单安装完成时间")
    private String installFinishTime;
    
    @ApiModelProperty(value = "支付状态 0-未支付 1-已支付")
    private Integer payStatus;
    
    public String getPayTime() {
        return payTime;
    }
    
    public String getBillId() {
        return billId;
    }
    
    public BigDecimal getAmount() {
        return amount;
    }
    
    public Integer getOrderStatus() {
        return orderStatus;
    }
    
    public String getOrderStatusText() {
        return orderStatusText;
    }
    
    public void setPayTime(String payTime) {
        this.payTime = payTime;
    }
    
    public void setBillId(String billId) {
        this.billId = billId;
    }
    
    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }
    
    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }
    
    public void setOrderStatusText(String orderStatusText) {
        this.orderStatusText = orderStatusText;
    }
    
    public String getOrderId() {
        return orderId;
    }
    
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }
    
    public String getInstallFinishTime() {
        return installFinishTime;
    }
    
    public void setInstallFinishTime(String installFinishTime) {
        this.installFinishTime = installFinishTime;
    }
    
    public Integer getPayStatus() {
        return payStatus;
    }
    
    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }
    
}
