package com.starcharge.wios.bo;

import io.swagger.annotations.ApiModelProperty;

public class InvoiceQueryBo {

    @ApiModelProperty(value = "发票主体1:个人，2:企业")
    private Integer businessType;// 发票主体1:个人，2:企业
    
    @ApiModelProperty(value = "开票类型,1增值税普通发票；2增值税专⽤发票")
    private Integer invoiceType;// 开票类型,1增值税普通发票；2增值税专⽤发票
    
    @ApiModelProperty(value = "开票状态，0待开票；1已开票；2已完成")
    private Integer invoiceStatus;// 开票状态，0待开票；1已开票；2已完成
    
    @ApiModelProperty(value = "发票抬头")
    private String invoiceTitle;// 发票抬头
    
    @ApiModelProperty(value = "申请人账号")
    private String applyAccount;// 申请人账号
    
    @ApiModelProperty(value = "页码")
    private Integer page;
    
    @ApiModelProperty(value = "每页数量")
    private Integer pagecount;
    
    @ApiModelProperty(hidden = true)
    private Integer type;// 8=建筑服务安装申请
    
    public Integer getBusinessType() {
        return businessType;
    }
    
    public Integer getInvoiceType() {
        return invoiceType;
    }
    
    public Integer getInvoiceStatus() {
        return invoiceStatus;
    }
    
    public String getInvoiceTitle() {
        return invoiceTitle;
    }
    
    public void setBusinessType(Integer businessType) {
        this.businessType = businessType;
    }
    
    public void setInvoiceType(Integer invoiceType) {
        this.invoiceType = invoiceType;
    }
    
    public void setInvoiceStatus(Integer invoiceStatus) {
        this.invoiceStatus = invoiceStatus;
    }
    
    public void setInvoiceTitle(String invoiceTitle) {
        this.invoiceTitle = invoiceTitle;
    }
    
    public Integer getPage() {
        return page;
    }
    
    public Integer getPagecount() {
        return pagecount;
    }
    
    public void setPage(Integer page) {
        this.page = page;
    }
    
    public void setPagecount(Integer pagecount) {
        this.pagecount = pagecount;
    }
    
    public Integer getType() {
        return type;
    }
    
    public void setType(Integer type) {
        this.type = type;
    }
    
    public String getApplyAccount() {
        return applyAccount;
    }
    
    public void setApplyAccount(String applyAccount) {
        this.applyAccount = applyAccount;
    }
    
}
