package com.starcharge.wios.bo;

import java.util.List;

import com.starcharge.wios.dao.entity.Supplier;

import io.swagger.annotations.ApiModelProperty;

public class SupplierBo extends Supplier {

    @ApiModelProperty(hidden = true)
    private List<Integer> orderStatusNotInList;// orderStatus不在列表里
    
    @ApiModelProperty(hidden = true)
    private String createStartTime;
    
    @ApiModelProperty(hidden = true)
    private String createEndTime;
    
    @ApiModelProperty(hidden = true)
    private String account;
    
    @ApiModelProperty(hidden = true)
    private Integer roleId;
    
    @ApiModelProperty(value = "是否签了合同 0：否 1：是")
    private Integer hasContract;
    
    @ApiModelProperty(value = "服务区域id")
    private Integer serviceRegionId;
    
    @ApiModelProperty(hidden = true)
    private List<String> ids;
    
    public List<Integer> getOrderStatusNotInList() {
        return orderStatusNotInList;
    }
    
    public void setOrderStatusNotInList(List<Integer> orderStatusNotInList) {
        this.orderStatusNotInList = orderStatusNotInList;
    }
    
    public String getCreateStartTime() {
        return createStartTime;
    }
    
    public String getCreateEndTime() {
        return createEndTime;
    }
    
    public void setCreateStartTime(String createStartTime) {
        this.createStartTime = createStartTime;
    }
    
    public void setCreateEndTime(String createEndTime) {
        this.createEndTime = createEndTime;
    }
    
    public String getAccount() {
        return account;
    }
    
    public Integer getRoleId() {
        return roleId;
    }
    
    public void setAccount(String account) {
        this.account = account;
    }
    
    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }
    
    public Integer getHasContract() {
        return hasContract;
    }
    
    public void setHasContract(Integer hasContract) {
        this.hasContract = hasContract;
    }
    
    public Integer getServiceRegionId() {
        return serviceRegionId;
    }
    
    public void setServiceRegionId(Integer serviceRegionId) {
        this.serviceRegionId = serviceRegionId;
    }
    
    public List<String> getIds() {
        return ids;
    }
    
    public void setIds(List<String> ids) {
        this.ids = ids;
    }
    
}
