package com.starcharge.wios.bo;

import com.starcharge.wios.dao.entity.SupplierStaff;

import io.swagger.annotations.ApiModelProperty;

public class SupplierStaffBo extends SupplierStaff {

    @ApiModelProperty(hidden = true)
    private String roleIds;
    
    @ApiModelProperty(hidden = true)
    private String account;
    
    @ApiModelProperty(value = "电工证有效期", required = true)
    private String certExpireStr;
    
    @ApiModelProperty(value = "显示电工证过期的数据 0：否 1：是")
    private Integer showCertExpired;
    
    public String getRoleIds() {
        return roleIds;
    }
    
    public void setRoleIds(String roleIds) {
        this.roleIds = roleIds;
    }
    
    public String getAccount() {
        return account;
    }
    
    public void setAccount(String account) {
        this.account = account;
    }
    
    public String getCertExpireStr() {
        return certExpireStr;
    }
    
    public void setCertExpireStr(String certExpireStr) {
        this.certExpireStr = certExpireStr;
    }
    
    public Integer getShowCertExpired() {
        return showCertExpired;
    }
    
    public void setShowCertExpired(Integer showCertExpired) {
        this.showCertExpired = showCertExpired;
    }
    
}
