package com.starcharge.wios.client;

import com.dtflys.forest.annotation.BaseRequest;
import com.dtflys.forest.annotation.Body;
import com.dtflys.forest.annotation.Post;

import java.util.Map;

/**
 * <p>
 * 德邦物流clinet,注意入参使用Map或者对象实体
 * <p>
 *
 * @author <a href="mail to: ning.chai@foxmail.com" rel="nofollow">chaining</a>
 */
@BaseRequest(baseURL = "http://dpsanbox.deppon.com/sandbox-web/standard-order/", interceptor = DopInterceptor.class)
public interface DepponClient {
    /**
     * 新标准轨迹查询
     * http://dop.deppon.com/#/wantAccess/myApiConfig
     * @param {"mailNo":"7503587254"}
     * @return 字符串
     */
    @Post("newTraceQuery.action")
    String newTraceQuery(@Body("params") Map<String,Object> params);

}
