package com.starcharge.wios.contants;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import com.ihidea.core.support.exception.ServiceException;

/**
 * 第三方接口地址常量
 * 
 * @author xgl
 * @version [版本号, 2018年10月17日]
 */
@Component
public class InterfaceAddrContant {
    
    @Value("${url.api.push}")
    private String PUSH_REQUESTURL;
    
    @Value("${url.api.invoice}")
    private String INVOICE_REQUESTURL;
    
    public String getArr(int type) {
        switch (type) {
            case RpcConstant.SYSTEM_PUSH:
                return PUSH_REQUESTURL;
            case RpcConstant.SYSTEM_INVOICE:
                return INVOICE_REQUESTURL;
            default:
                throw new ServiceException("未知的接口类型");
        }
    }
}
