package com.starcharge.wios.dao;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.starcharge.wios.dao.entity.ExpandPrice;
import com.starcharge.wios.dao.mappers.ExpandPriceMapper;

@Repository
public class ExpandPriceDao {
    @Autowired
    private ExpandPriceMapper expandPriceMapper;
    
    public int insert(ExpandPrice expandPrice) {
        expandPrice.setCreateTime(new Date());
        expandPrice.setStatus(1);
        return expandPriceMapper.insert(expandPrice);
    }
    
    public int update(int id, ExpandPrice expandPrice) {
        expandPrice.setId(id);
        expandPrice.setUpdateTime(new Date());
        return expandPriceMapper.updateDynamic(expandPrice);
    }
    
    public List<ExpandPrice> selectByRegionId(Integer regionId) {
        return expandPriceMapper.selectByRegionId(regionId);
    }
}
