package com.starcharge.wios.dao;

import com.starcharge.wios.dao.entity.InfoConfig;
import com.starcharge.wios.dao.mappers.InfoConfigMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Description InfoConfigDao
 * @author liwenxiang
 * @date 2021/7/24 13:46
 * @return
 */
@Repository
public class InfoConfigDao {
    @Autowired
    private InfoConfigMapper infoConfigMapper;


    public List<InfoConfig> selectValidNameType(Integer type, String name) {
        return infoConfigMapper.selectValidNameType(type,name);
    }

    public void insertSelective(InfoConfig infoConfig) {
        infoConfigMapper.insertSelective(infoConfig);
    }

    public void updateByPrimaryKeySelective(InfoConfig infoConfig) {
        infoConfigMapper.updateByPrimaryKeySelective(infoConfig);
    }

    public InfoConfig selectByPrimaryKey(String id){
        return infoConfigMapper.selectByPrimaryKey(id);
    }
}
