package com.starcharge.wios.dao;

import com.starcharge.wios.dao.entity.OrderInstallItemDelete;
import com.starcharge.wios.dao.mappers.OrderInstallItemDeleteMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Description OrderInstallItemDeleteDao
 * @author liwenxiang
 * @date 2021/7/28 13:52
 */
@Repository
public class OrderInstallItemDeleteDao {
    @Autowired
    private OrderInstallItemDeleteMapper orderInstallItemDeleteMapper;

    public void insertSelective(OrderInstallItemDelete orderInstallItemDelete) {
        orderInstallItemDeleteMapper.insertSelective(orderInstallItemDelete);
    }

    public void batchInsert(List<OrderInstallItemDelete> orderInstallItemDeletes) {
        orderInstallItemDeleteMapper.batchInsert(orderInstallItemDeletes);
    }
}
