package com.starcharge.wios.dao;

import com.starcharge.wios.dao.entity.User;
import com.starcharge.wios.dao.mappers.UserMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author kevin
 * @create 2020/11/20 15:22
 */
@Repository
public class UserDao {

    @Autowired
    private UserMapper userMapper;

    public List<User> list(User entity){
        return userMapper.list(entity);
    }

    public Integer count(User entity){
        return userMapper.count(entity);
    }

    public int add(User record){
        return userMapper.insertSelective(record);
    }

    public int update(User record){
        return userMapper.updateByPrimaryKeySelective(record);
    }

    public User getById(Integer id){
        return userMapper.selectByPrimaryKey(id);
    }

    public int deleteById(Integer id){
        return userMapper.deleteByPrimaryKey(id);
    }
}
