package com.starcharge.wios.dao;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.starcharge.wios.dao.entity.UserPayBill;
import com.starcharge.wios.dao.mappers.UserPayBillMapper;
import com.starcharge.wios.vo.UserPayBillVo;

/**
 * @author kevin
 * @create 2020/11/16 15:22
 */
@Repository
public class UserPayBillDao {

    @Autowired
    private UserPayBillMapper userPayBillMapper;

    public List<UserPayBill> list(UserPayBill entity){
        return userPayBillMapper.list(entity);
    }
    
    public List<UserPayBillVo> selectList(UserPayBill entity) {
        return userPayBillMapper.selectList(entity);
    }
    
    public List<UserPayBillVo> selectListForApp(UserPayBill entity) {
        return userPayBillMapper.selectListForApp(entity);
    }

    public Integer count(UserPayBill entity){
        return userPayBillMapper.count(entity);
    }

    public int add(UserPayBill record){
        return userPayBillMapper.insertSelective(record);
    }

    public int update(UserPayBill record){
        return userPayBillMapper.updateByPrimaryKeySelective(record);
    }

    public UserPayBill getById(String id){
        return userPayBillMapper.selectByPrimaryKey(id);
    }

    public int deleteById(String id){
        return userPayBillMapper.deleteByPrimaryKey(id);
    }


}
