package com.starcharge.wios.dao.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class CityCriteria {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public CityCriteria() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andNameIsNull() {
            addCriterion("name is null");
            return (Criteria) this;
        }

        public Criteria andNameIsNotNull() {
            addCriterion("name is not null");
            return (Criteria) this;
        }

        public Criteria andNameEqualTo(String value) {
            addCriterion("name =", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotEqualTo(String value) {
            addCriterion("name <>", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThan(String value) {
            addCriterion("name >", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThanOrEqualTo(String value) {
            addCriterion("name >=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThan(String value) {
            addCriterion("name <", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThanOrEqualTo(String value) {
            addCriterion("name <=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLike(String value) {
            addCriterion("name like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotLike(String value) {
            addCriterion("name not like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameIn(List<String> values) {
            addCriterion("name in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotIn(List<String> values) {
            addCriterion("name not in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameBetween(String value1, String value2) {
            addCriterion("name between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotBetween(String value1, String value2) {
            addCriterion("name not between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andStubGroupCntIsNull() {
            addCriterion("stub_group_cnt is null");
            return (Criteria) this;
        }

        public Criteria andStubGroupCntIsNotNull() {
            addCriterion("stub_group_cnt is not null");
            return (Criteria) this;
        }

        public Criteria andStubGroupCntEqualTo(Integer value) {
            addCriterion("stub_group_cnt =", value, "stubGroupCnt");
            return (Criteria) this;
        }

        public Criteria andStubGroupCntNotEqualTo(Integer value) {
            addCriterion("stub_group_cnt <>", value, "stubGroupCnt");
            return (Criteria) this;
        }

        public Criteria andStubGroupCntGreaterThan(Integer value) {
            addCriterion("stub_group_cnt >", value, "stubGroupCnt");
            return (Criteria) this;
        }

        public Criteria andStubGroupCntGreaterThanOrEqualTo(Integer value) {
            addCriterion("stub_group_cnt >=", value, "stubGroupCnt");
            return (Criteria) this;
        }

        public Criteria andStubGroupCntLessThan(Integer value) {
            addCriterion("stub_group_cnt <", value, "stubGroupCnt");
            return (Criteria) this;
        }

        public Criteria andStubGroupCntLessThanOrEqualTo(Integer value) {
            addCriterion("stub_group_cnt <=", value, "stubGroupCnt");
            return (Criteria) this;
        }

        public Criteria andStubGroupCntIn(List<Integer> values) {
            addCriterion("stub_group_cnt in", values, "stubGroupCnt");
            return (Criteria) this;
        }

        public Criteria andStubGroupCntNotIn(List<Integer> values) {
            addCriterion("stub_group_cnt not in", values, "stubGroupCnt");
            return (Criteria) this;
        }

        public Criteria andStubGroupCntBetween(Integer value1, Integer value2) {
            addCriterion("stub_group_cnt between", value1, value2, "stubGroupCnt");
            return (Criteria) this;
        }

        public Criteria andStubGroupCntNotBetween(Integer value1, Integer value2) {
            addCriterion("stub_group_cnt not between", value1, value2, "stubGroupCnt");
            return (Criteria) this;
        }

        public Criteria andStubCntIsNull() {
            addCriterion("stub_cnt is null");
            return (Criteria) this;
        }

        public Criteria andStubCntIsNotNull() {
            addCriterion("stub_cnt is not null");
            return (Criteria) this;
        }

        public Criteria andStubCntEqualTo(Integer value) {
            addCriterion("stub_cnt =", value, "stubCnt");
            return (Criteria) this;
        }

        public Criteria andStubCntNotEqualTo(Integer value) {
            addCriterion("stub_cnt <>", value, "stubCnt");
            return (Criteria) this;
        }

        public Criteria andStubCntGreaterThan(Integer value) {
            addCriterion("stub_cnt >", value, "stubCnt");
            return (Criteria) this;
        }

        public Criteria andStubCntGreaterThanOrEqualTo(Integer value) {
            addCriterion("stub_cnt >=", value, "stubCnt");
            return (Criteria) this;
        }

        public Criteria andStubCntLessThan(Integer value) {
            addCriterion("stub_cnt <", value, "stubCnt");
            return (Criteria) this;
        }

        public Criteria andStubCntLessThanOrEqualTo(Integer value) {
            addCriterion("stub_cnt <=", value, "stubCnt");
            return (Criteria) this;
        }

        public Criteria andStubCntIn(List<Integer> values) {
            addCriterion("stub_cnt in", values, "stubCnt");
            return (Criteria) this;
        }

        public Criteria andStubCntNotIn(List<Integer> values) {
            addCriterion("stub_cnt not in", values, "stubCnt");
            return (Criteria) this;
        }

        public Criteria andStubCntBetween(Integer value1, Integer value2) {
            addCriterion("stub_cnt between", value1, value2, "stubCnt");
            return (Criteria) this;
        }

        public Criteria andStubCntNotBetween(Integer value1, Integer value2) {
            addCriterion("stub_cnt not between", value1, value2, "stubCnt");
            return (Criteria) this;
        }

        public Criteria andStubBuildingCntIsNull() {
            addCriterion("stub_building_cnt is null");
            return (Criteria) this;
        }

        public Criteria andStubBuildingCntIsNotNull() {
            addCriterion("stub_building_cnt is not null");
            return (Criteria) this;
        }

        public Criteria andStubBuildingCntEqualTo(Integer value) {
            addCriterion("stub_building_cnt =", value, "stubBuildingCnt");
            return (Criteria) this;
        }

        public Criteria andStubBuildingCntNotEqualTo(Integer value) {
            addCriterion("stub_building_cnt <>", value, "stubBuildingCnt");
            return (Criteria) this;
        }

        public Criteria andStubBuildingCntGreaterThan(Integer value) {
            addCriterion("stub_building_cnt >", value, "stubBuildingCnt");
            return (Criteria) this;
        }

        public Criteria andStubBuildingCntGreaterThanOrEqualTo(Integer value) {
            addCriterion("stub_building_cnt >=", value, "stubBuildingCnt");
            return (Criteria) this;
        }

        public Criteria andStubBuildingCntLessThan(Integer value) {
            addCriterion("stub_building_cnt <", value, "stubBuildingCnt");
            return (Criteria) this;
        }

        public Criteria andStubBuildingCntLessThanOrEqualTo(Integer value) {
            addCriterion("stub_building_cnt <=", value, "stubBuildingCnt");
            return (Criteria) this;
        }

        public Criteria andStubBuildingCntIn(List<Integer> values) {
            addCriterion("stub_building_cnt in", values, "stubBuildingCnt");
            return (Criteria) this;
        }

        public Criteria andStubBuildingCntNotIn(List<Integer> values) {
            addCriterion("stub_building_cnt not in", values, "stubBuildingCnt");
            return (Criteria) this;
        }

        public Criteria andStubBuildingCntBetween(Integer value1, Integer value2) {
            addCriterion("stub_building_cnt between", value1, value2, "stubBuildingCnt");
            return (Criteria) this;
        }

        public Criteria andStubBuildingCntNotBetween(Integer value1, Integer value2) {
            addCriterion("stub_building_cnt not between", value1, value2, "stubBuildingCnt");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("status is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("status is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("status =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("status <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("status >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("status >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("status <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("status <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("status in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("status not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("status between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("status not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andGisBd09LatIsNull() {
            addCriterion("gis_bd09_lat is null");
            return (Criteria) this;
        }

        public Criteria andGisBd09LatIsNotNull() {
            addCriterion("gis_bd09_lat is not null");
            return (Criteria) this;
        }

        public Criteria andGisBd09LatEqualTo(Float value) {
            addCriterion("gis_bd09_lat =", value, "gisBd09Lat");
            return (Criteria) this;
        }

        public Criteria andGisBd09LatNotEqualTo(Float value) {
            addCriterion("gis_bd09_lat <>", value, "gisBd09Lat");
            return (Criteria) this;
        }

        public Criteria andGisBd09LatGreaterThan(Float value) {
            addCriterion("gis_bd09_lat >", value, "gisBd09Lat");
            return (Criteria) this;
        }

        public Criteria andGisBd09LatGreaterThanOrEqualTo(Float value) {
            addCriterion("gis_bd09_lat >=", value, "gisBd09Lat");
            return (Criteria) this;
        }

        public Criteria andGisBd09LatLessThan(Float value) {
            addCriterion("gis_bd09_lat <", value, "gisBd09Lat");
            return (Criteria) this;
        }

        public Criteria andGisBd09LatLessThanOrEqualTo(Float value) {
            addCriterion("gis_bd09_lat <=", value, "gisBd09Lat");
            return (Criteria) this;
        }

        public Criteria andGisBd09LatIn(List<Float> values) {
            addCriterion("gis_bd09_lat in", values, "gisBd09Lat");
            return (Criteria) this;
        }

        public Criteria andGisBd09LatNotIn(List<Float> values) {
            addCriterion("gis_bd09_lat not in", values, "gisBd09Lat");
            return (Criteria) this;
        }

        public Criteria andGisBd09LatBetween(Float value1, Float value2) {
            addCriterion("gis_bd09_lat between", value1, value2, "gisBd09Lat");
            return (Criteria) this;
        }

        public Criteria andGisBd09LatNotBetween(Float value1, Float value2) {
            addCriterion("gis_bd09_lat not between", value1, value2, "gisBd09Lat");
            return (Criteria) this;
        }

        public Criteria andGisBd09LngIsNull() {
            addCriterion("gis_bd09_lng is null");
            return (Criteria) this;
        }

        public Criteria andGisBd09LngIsNotNull() {
            addCriterion("gis_bd09_lng is not null");
            return (Criteria) this;
        }

        public Criteria andGisBd09LngEqualTo(Float value) {
            addCriterion("gis_bd09_lng =", value, "gisBd09Lng");
            return (Criteria) this;
        }

        public Criteria andGisBd09LngNotEqualTo(Float value) {
            addCriterion("gis_bd09_lng <>", value, "gisBd09Lng");
            return (Criteria) this;
        }

        public Criteria andGisBd09LngGreaterThan(Float value) {
            addCriterion("gis_bd09_lng >", value, "gisBd09Lng");
            return (Criteria) this;
        }

        public Criteria andGisBd09LngGreaterThanOrEqualTo(Float value) {
            addCriterion("gis_bd09_lng >=", value, "gisBd09Lng");
            return (Criteria) this;
        }

        public Criteria andGisBd09LngLessThan(Float value) {
            addCriterion("gis_bd09_lng <", value, "gisBd09Lng");
            return (Criteria) this;
        }

        public Criteria andGisBd09LngLessThanOrEqualTo(Float value) {
            addCriterion("gis_bd09_lng <=", value, "gisBd09Lng");
            return (Criteria) this;
        }

        public Criteria andGisBd09LngIn(List<Float> values) {
            addCriterion("gis_bd09_lng in", values, "gisBd09Lng");
            return (Criteria) this;
        }

        public Criteria andGisBd09LngNotIn(List<Float> values) {
            addCriterion("gis_bd09_lng not in", values, "gisBd09Lng");
            return (Criteria) this;
        }

        public Criteria andGisBd09LngBetween(Float value1, Float value2) {
            addCriterion("gis_bd09_lng between", value1, value2, "gisBd09Lng");
            return (Criteria) this;
        }

        public Criteria andGisBd09LngNotBetween(Float value1, Float value2) {
            addCriterion("gis_bd09_lng not between", value1, value2, "gisBd09Lng");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LatIsNull() {
            addCriterion("gis_gcj02_lat is null");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LatIsNotNull() {
            addCriterion("gis_gcj02_lat is not null");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LatEqualTo(Float value) {
            addCriterion("gis_gcj02_lat =", value, "gisGcj02Lat");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LatNotEqualTo(Float value) {
            addCriterion("gis_gcj02_lat <>", value, "gisGcj02Lat");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LatGreaterThan(Float value) {
            addCriterion("gis_gcj02_lat >", value, "gisGcj02Lat");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LatGreaterThanOrEqualTo(Float value) {
            addCriterion("gis_gcj02_lat >=", value, "gisGcj02Lat");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LatLessThan(Float value) {
            addCriterion("gis_gcj02_lat <", value, "gisGcj02Lat");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LatLessThanOrEqualTo(Float value) {
            addCriterion("gis_gcj02_lat <=", value, "gisGcj02Lat");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LatIn(List<Float> values) {
            addCriterion("gis_gcj02_lat in", values, "gisGcj02Lat");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LatNotIn(List<Float> values) {
            addCriterion("gis_gcj02_lat not in", values, "gisGcj02Lat");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LatBetween(Float value1, Float value2) {
            addCriterion("gis_gcj02_lat between", value1, value2, "gisGcj02Lat");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LatNotBetween(Float value1, Float value2) {
            addCriterion("gis_gcj02_lat not between", value1, value2, "gisGcj02Lat");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LngIsNull() {
            addCriterion("gis_gcj02_lng is null");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LngIsNotNull() {
            addCriterion("gis_gcj02_lng is not null");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LngEqualTo(Float value) {
            addCriterion("gis_gcj02_lng =", value, "gisGcj02Lng");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LngNotEqualTo(Float value) {
            addCriterion("gis_gcj02_lng <>", value, "gisGcj02Lng");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LngGreaterThan(Float value) {
            addCriterion("gis_gcj02_lng >", value, "gisGcj02Lng");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LngGreaterThanOrEqualTo(Float value) {
            addCriterion("gis_gcj02_lng >=", value, "gisGcj02Lng");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LngLessThan(Float value) {
            addCriterion("gis_gcj02_lng <", value, "gisGcj02Lng");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LngLessThanOrEqualTo(Float value) {
            addCriterion("gis_gcj02_lng <=", value, "gisGcj02Lng");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LngIn(List<Float> values) {
            addCriterion("gis_gcj02_lng in", values, "gisGcj02Lng");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LngNotIn(List<Float> values) {
            addCriterion("gis_gcj02_lng not in", values, "gisGcj02Lng");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LngBetween(Float value1, Float value2) {
            addCriterion("gis_gcj02_lng between", value1, value2, "gisGcj02Lng");
            return (Criteria) this;
        }

        public Criteria andGisGcj02LngNotBetween(Float value1, Float value2) {
            addCriterion("gis_gcj02_lng not between", value1, value2, "gisGcj02Lng");
            return (Criteria) this;
        }

        public Criteria andCreateAccountIsNull() {
            addCriterion("create_account is null");
            return (Criteria) this;
        }

        public Criteria andCreateAccountIsNotNull() {
            addCriterion("create_account is not null");
            return (Criteria) this;
        }

        public Criteria andCreateAccountEqualTo(String value) {
            addCriterion("create_account =", value, "createAccount");
            return (Criteria) this;
        }

        public Criteria andCreateAccountNotEqualTo(String value) {
            addCriterion("create_account <>", value, "createAccount");
            return (Criteria) this;
        }

        public Criteria andCreateAccountGreaterThan(String value) {
            addCriterion("create_account >", value, "createAccount");
            return (Criteria) this;
        }

        public Criteria andCreateAccountGreaterThanOrEqualTo(String value) {
            addCriterion("create_account >=", value, "createAccount");
            return (Criteria) this;
        }

        public Criteria andCreateAccountLessThan(String value) {
            addCriterion("create_account <", value, "createAccount");
            return (Criteria) this;
        }

        public Criteria andCreateAccountLessThanOrEqualTo(String value) {
            addCriterion("create_account <=", value, "createAccount");
            return (Criteria) this;
        }

        public Criteria andCreateAccountLike(String value) {
            addCriterion("create_account like", value, "createAccount");
            return (Criteria) this;
        }

        public Criteria andCreateAccountNotLike(String value) {
            addCriterion("create_account not like", value, "createAccount");
            return (Criteria) this;
        }

        public Criteria andCreateAccountIn(List<String> values) {
            addCriterion("create_account in", values, "createAccount");
            return (Criteria) this;
        }

        public Criteria andCreateAccountNotIn(List<String> values) {
            addCriterion("create_account not in", values, "createAccount");
            return (Criteria) this;
        }

        public Criteria andCreateAccountBetween(String value1, String value2) {
            addCriterion("create_account between", value1, value2, "createAccount");
            return (Criteria) this;
        }

        public Criteria andCreateAccountNotBetween(String value1, String value2) {
            addCriterion("create_account not between", value1, value2, "createAccount");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andModifyAccountIsNull() {
            addCriterion("modify_account is null");
            return (Criteria) this;
        }

        public Criteria andModifyAccountIsNotNull() {
            addCriterion("modify_account is not null");
            return (Criteria) this;
        }

        public Criteria andModifyAccountEqualTo(String value) {
            addCriterion("modify_account =", value, "modifyAccount");
            return (Criteria) this;
        }

        public Criteria andModifyAccountNotEqualTo(String value) {
            addCriterion("modify_account <>", value, "modifyAccount");
            return (Criteria) this;
        }

        public Criteria andModifyAccountGreaterThan(String value) {
            addCriterion("modify_account >", value, "modifyAccount");
            return (Criteria) this;
        }

        public Criteria andModifyAccountGreaterThanOrEqualTo(String value) {
            addCriterion("modify_account >=", value, "modifyAccount");
            return (Criteria) this;
        }

        public Criteria andModifyAccountLessThan(String value) {
            addCriterion("modify_account <", value, "modifyAccount");
            return (Criteria) this;
        }

        public Criteria andModifyAccountLessThanOrEqualTo(String value) {
            addCriterion("modify_account <=", value, "modifyAccount");
            return (Criteria) this;
        }

        public Criteria andModifyAccountLike(String value) {
            addCriterion("modify_account like", value, "modifyAccount");
            return (Criteria) this;
        }

        public Criteria andModifyAccountNotLike(String value) {
            addCriterion("modify_account not like", value, "modifyAccount");
            return (Criteria) this;
        }

        public Criteria andModifyAccountIn(List<String> values) {
            addCriterion("modify_account in", values, "modifyAccount");
            return (Criteria) this;
        }

        public Criteria andModifyAccountNotIn(List<String> values) {
            addCriterion("modify_account not in", values, "modifyAccount");
            return (Criteria) this;
        }

        public Criteria andModifyAccountBetween(String value1, String value2) {
            addCriterion("modify_account between", value1, value2, "modifyAccount");
            return (Criteria) this;
        }

        public Criteria andModifyAccountNotBetween(String value1, String value2) {
            addCriterion("modify_account not between", value1, value2, "modifyAccount");
            return (Criteria) this;
        }

        public Criteria andModifyTimeIsNull() {
            addCriterion("modify_time is null");
            return (Criteria) this;
        }

        public Criteria andModifyTimeIsNotNull() {
            addCriterion("modify_time is not null");
            return (Criteria) this;
        }

        public Criteria andModifyTimeEqualTo(Date value) {
            addCriterion("modify_time =", value, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeNotEqualTo(Date value) {
            addCriterion("modify_time <>", value, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeGreaterThan(Date value) {
            addCriterion("modify_time >", value, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("modify_time >=", value, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeLessThan(Date value) {
            addCriterion("modify_time <", value, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeLessThanOrEqualTo(Date value) {
            addCriterion("modify_time <=", value, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeIn(List<Date> values) {
            addCriterion("modify_time in", values, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeNotIn(List<Date> values) {
            addCriterion("modify_time not in", values, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeBetween(Date value1, Date value2) {
            addCriterion("modify_time between", value1, value2, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeNotBetween(Date value1, Date value2) {
            addCriterion("modify_time not between", value1, value2, "modifyTime");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}