package com.starcharge.wios.dao.entity;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

public class DeliveryCriteria {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public DeliveryCriteria() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andDeliveryOrderIsNull() {
            addCriterion("delivery_order is null");
            return (Criteria) this;
        }

        public Criteria andDeliveryOrderIsNotNull() {
            addCriterion("delivery_order is not null");
            return (Criteria) this;
        }

        public Criteria andDeliveryOrderEqualTo(String value) {
            addCriterion("delivery_order =", value, "deliveryOrder");
            return (Criteria) this;
        }

        public Criteria andDeliveryOrderNotEqualTo(String value) {
            addCriterion("delivery_order <>", value, "deliveryOrder");
            return (Criteria) this;
        }

        public Criteria andDeliveryOrderGreaterThan(String value) {
            addCriterion("delivery_order >", value, "deliveryOrder");
            return (Criteria) this;
        }

        public Criteria andDeliveryOrderGreaterThanOrEqualTo(String value) {
            addCriterion("delivery_order >=", value, "deliveryOrder");
            return (Criteria) this;
        }

        public Criteria andDeliveryOrderLessThan(String value) {
            addCriterion("delivery_order <", value, "deliveryOrder");
            return (Criteria) this;
        }

        public Criteria andDeliveryOrderLessThanOrEqualTo(String value) {
            addCriterion("delivery_order <=", value, "deliveryOrder");
            return (Criteria) this;
        }

        public Criteria andDeliveryOrderLike(String value) {
            addCriterion("delivery_order like", value, "deliveryOrder");
            return (Criteria) this;
        }

        public Criteria andDeliveryOrderNotLike(String value) {
            addCriterion("delivery_order not like", value, "deliveryOrder");
            return (Criteria) this;
        }

        public Criteria andDeliveryOrderIn(List<String> values) {
            addCriterion("delivery_order in", values, "deliveryOrder");
            return (Criteria) this;
        }

        public Criteria andDeliveryOrderNotIn(List<String> values) {
            addCriterion("delivery_order not in", values, "deliveryOrder");
            return (Criteria) this;
        }

        public Criteria andDeliveryOrderBetween(String value1, String value2) {
            addCriterion("delivery_order between", value1, value2, "deliveryOrder");
            return (Criteria) this;
        }

        public Criteria andDeliveryOrderNotBetween(String value1, String value2) {
            addCriterion("delivery_order not between", value1, value2, "deliveryOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderIsNull() {
            addCriterion("install_order is null");
            return (Criteria) this;
        }

        public Criteria andInstallOrderIsNotNull() {
            addCriterion("install_order is not null");
            return (Criteria) this;
        }

        public Criteria andInstallOrderEqualTo(String value) {
            addCriterion("install_order =", value, "installOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderNotEqualTo(String value) {
            addCriterion("install_order <>", value, "installOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderGreaterThan(String value) {
            addCriterion("install_order >", value, "installOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderGreaterThanOrEqualTo(String value) {
            addCriterion("install_order >=", value, "installOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderLessThan(String value) {
            addCriterion("install_order <", value, "installOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderLessThanOrEqualTo(String value) {
            addCriterion("install_order <=", value, "installOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderLike(String value) {
            addCriterion("install_order like", value, "installOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderNotLike(String value) {
            addCriterion("install_order not like", value, "installOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderIn(List<String> values) {
            addCriterion("install_order in", values, "installOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderNotIn(List<String> values) {
            addCriterion("install_order not in", values, "installOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderBetween(String value1, String value2) {
            addCriterion("install_order between", value1, value2, "installOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderNotBetween(String value1, String value2) {
            addCriterion("install_order not between", value1, value2, "installOrder");
            return (Criteria) this;
        }

        public Criteria andProductBatchIsNull() {
            addCriterion("product_batch is null");
            return (Criteria) this;
        }

        public Criteria andProductBatchIsNotNull() {
            addCriterion("product_batch is not null");
            return (Criteria) this;
        }

        public Criteria andProductBatchEqualTo(String value) {
            addCriterion("product_batch =", value, "productBatch");
            return (Criteria) this;
        }

        public Criteria andProductBatchNotEqualTo(String value) {
            addCriterion("product_batch <>", value, "productBatch");
            return (Criteria) this;
        }

        public Criteria andProductBatchGreaterThan(String value) {
            addCriterion("product_batch >", value, "productBatch");
            return (Criteria) this;
        }

        public Criteria andProductBatchGreaterThanOrEqualTo(String value) {
            addCriterion("product_batch >=", value, "productBatch");
            return (Criteria) this;
        }

        public Criteria andProductBatchLessThan(String value) {
            addCriterion("product_batch <", value, "productBatch");
            return (Criteria) this;
        }

        public Criteria andProductBatchLessThanOrEqualTo(String value) {
            addCriterion("product_batch <=", value, "productBatch");
            return (Criteria) this;
        }

        public Criteria andProductBatchLike(String value) {
            addCriterion("product_batch like", value, "productBatch");
            return (Criteria) this;
        }

        public Criteria andProductBatchNotLike(String value) {
            addCriterion("product_batch not like", value, "productBatch");
            return (Criteria) this;
        }

        public Criteria andProductBatchIn(List<String> values) {
            addCriterion("product_batch in", values, "productBatch");
            return (Criteria) this;
        }

        public Criteria andProductBatchNotIn(List<String> values) {
            addCriterion("product_batch not in", values, "productBatch");
            return (Criteria) this;
        }

        public Criteria andProductBatchBetween(String value1, String value2) {
            addCriterion("product_batch between", value1, value2, "productBatch");
            return (Criteria) this;
        }

        public Criteria andProductBatchNotBetween(String value1, String value2) {
            addCriterion("product_batch not between", value1, value2, "productBatch");
            return (Criteria) this;
        }

        public Criteria andQuantityIsNull() {
            addCriterion("quantity is null");
            return (Criteria) this;
        }

        public Criteria andQuantityIsNotNull() {
            addCriterion("quantity is not null");
            return (Criteria) this;
        }

        public Criteria andQuantityEqualTo(Integer value) {
            addCriterion("quantity =", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityNotEqualTo(Integer value) {
            addCriterion("quantity <>", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityGreaterThan(Integer value) {
            addCriterion("quantity >", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityGreaterThanOrEqualTo(Integer value) {
            addCriterion("quantity >=", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityLessThan(Integer value) {
            addCriterion("quantity <", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityLessThanOrEqualTo(Integer value) {
            addCriterion("quantity <=", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityIn(List<Integer> values) {
            addCriterion("quantity in", values, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityNotIn(List<Integer> values) {
            addCriterion("quantity not in", values, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityBetween(Integer value1, Integer value2) {
            addCriterion("quantity between", value1, value2, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityNotBetween(Integer value1, Integer value2) {
            addCriterion("quantity not between", value1, value2, "quantity");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryIsNull() {
            addCriterion("material_category is null");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryIsNotNull() {
            addCriterion("material_category is not null");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryEqualTo(String value) {
            addCriterion("material_category =", value, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryNotEqualTo(String value) {
            addCriterion("material_category <>", value, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryGreaterThan(String value) {
            addCriterion("material_category >", value, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryGreaterThanOrEqualTo(String value) {
            addCriterion("material_category >=", value, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryLessThan(String value) {
            addCriterion("material_category <", value, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryLessThanOrEqualTo(String value) {
            addCriterion("material_category <=", value, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryLike(String value) {
            addCriterion("material_category like", value, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryNotLike(String value) {
            addCriterion("material_category not like", value, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryIn(List<String> values) {
            addCriterion("material_category in", values, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryNotIn(List<String> values) {
            addCriterion("material_category not in", values, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryBetween(String value1, String value2) {
            addCriterion("material_category between", value1, value2, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryNotBetween(String value1, String value2) {
            addCriterion("material_category not between", value1, value2, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeIsNull() {
            addCriterion("material_code is null");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeIsNotNull() {
            addCriterion("material_code is not null");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeEqualTo(String value) {
            addCriterion("material_code =", value, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeNotEqualTo(String value) {
            addCriterion("material_code <>", value, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeGreaterThan(String value) {
            addCriterion("material_code >", value, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeGreaterThanOrEqualTo(String value) {
            addCriterion("material_code >=", value, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeLessThan(String value) {
            addCriterion("material_code <", value, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeLessThanOrEqualTo(String value) {
            addCriterion("material_code <=", value, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeLike(String value) {
            addCriterion("material_code like", value, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeNotLike(String value) {
            addCriterion("material_code not like", value, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeIn(List<String> values) {
            addCriterion("material_code in", values, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeNotIn(List<String> values) {
            addCriterion("material_code not in", values, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeBetween(String value1, String value2) {
            addCriterion("material_code between", value1, value2, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeNotBetween(String value1, String value2) {
            addCriterion("material_code not between", value1, value2, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialNameIsNull() {
            addCriterion("material_name is null");
            return (Criteria) this;
        }

        public Criteria andMaterialNameIsNotNull() {
            addCriterion("material_name is not null");
            return (Criteria) this;
        }

        public Criteria andMaterialNameEqualTo(String value) {
            addCriterion("material_name =", value, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialNameNotEqualTo(String value) {
            addCriterion("material_name <>", value, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialNameGreaterThan(String value) {
            addCriterion("material_name >", value, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialNameGreaterThanOrEqualTo(String value) {
            addCriterion("material_name >=", value, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialNameLessThan(String value) {
            addCriterion("material_name <", value, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialNameLessThanOrEqualTo(String value) {
            addCriterion("material_name <=", value, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialNameLike(String value) {
            addCriterion("material_name like", value, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialNameNotLike(String value) {
            addCriterion("material_name not like", value, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialNameIn(List<String> values) {
            addCriterion("material_name in", values, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialNameNotIn(List<String> values) {
            addCriterion("material_name not in", values, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialNameBetween(String value1, String value2) {
            addCriterion("material_name between", value1, value2, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialNameNotBetween(String value1, String value2) {
            addCriterion("material_name not between", value1, value2, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyIsNull() {
            addCriterion("material_company is null");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyIsNotNull() {
            addCriterion("material_company is not null");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyEqualTo(String value) {
            addCriterion("material_company =", value, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyNotEqualTo(String value) {
            addCriterion("material_company <>", value, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyGreaterThan(String value) {
            addCriterion("material_company >", value, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyGreaterThanOrEqualTo(String value) {
            addCriterion("material_company >=", value, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyLessThan(String value) {
            addCriterion("material_company <", value, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyLessThanOrEqualTo(String value) {
            addCriterion("material_company <=", value, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyLike(String value) {
            addCriterion("material_company like", value, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyNotLike(String value) {
            addCriterion("material_company not like", value, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyIn(List<String> values) {
            addCriterion("material_company in", values, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyNotIn(List<String> values) {
            addCriterion("material_company not in", values, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyBetween(String value1, String value2) {
            addCriterion("material_company between", value1, value2, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyNotBetween(String value1, String value2) {
            addCriterion("material_company not between", value1, value2, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderIsNull() {
            addCriterion("logistic_order is null");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderIsNotNull() {
            addCriterion("logistic_order is not null");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderEqualTo(String value) {
            addCriterion("logistic_order =", value, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderNotEqualTo(String value) {
            addCriterion("logistic_order <>", value, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderGreaterThan(String value) {
            addCriterion("logistic_order >", value, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderGreaterThanOrEqualTo(String value) {
            addCriterion("logistic_order >=", value, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderLessThan(String value) {
            addCriterion("logistic_order <", value, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderLessThanOrEqualTo(String value) {
            addCriterion("logistic_order <=", value, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderLike(String value) {
            addCriterion("logistic_order like", value, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderNotLike(String value) {
            addCriterion("logistic_order not like", value, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderIn(List<String> values) {
            addCriterion("logistic_order in", values, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderNotIn(List<String> values) {
            addCriterion("logistic_order not in", values, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderBetween(String value1, String value2) {
            addCriterion("logistic_order between", value1, value2, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderNotBetween(String value1, String value2) {
            addCriterion("logistic_order not between", value1, value2, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyIsNull() {
            addCriterion("logistic_company is null");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyIsNotNull() {
            addCriterion("logistic_company is not null");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyEqualTo(String value) {
            addCriterion("logistic_company =", value, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyNotEqualTo(String value) {
            addCriterion("logistic_company <>", value, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyGreaterThan(String value) {
            addCriterion("logistic_company >", value, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyGreaterThanOrEqualTo(String value) {
            addCriterion("logistic_company >=", value, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyLessThan(String value) {
            addCriterion("logistic_company <", value, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyLessThanOrEqualTo(String value) {
            addCriterion("logistic_company <=", value, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyLike(String value) {
            addCriterion("logistic_company like", value, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyNotLike(String value) {
            addCriterion("logistic_company not like", value, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyIn(List<String> values) {
            addCriterion("logistic_company in", values, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyNotIn(List<String> values) {
            addCriterion("logistic_company not in", values, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyBetween(String value1, String value2) {
            addCriterion("logistic_company between", value1, value2, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyNotBetween(String value1, String value2) {
            addCriterion("logistic_company not between", value1, value2, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticStatusIsNull() {
            addCriterion("logistic_status is null");
            return (Criteria) this;
        }

        public Criteria andLogisticStatusIsNotNull() {
            addCriterion("logistic_status is not null");
            return (Criteria) this;
        }

        public Criteria andLogisticStatusEqualTo(String value) {
            addCriterion("logistic_status =", value, "logisticStatus");
            return (Criteria) this;
        }

        public Criteria andLogisticStatusNotEqualTo(String value) {
            addCriterion("logistic_status <>", value, "logisticStatus");
            return (Criteria) this;
        }

        public Criteria andLogisticStatusGreaterThan(String value) {
            addCriterion("logistic_status >", value, "logisticStatus");
            return (Criteria) this;
        }

        public Criteria andLogisticStatusGreaterThanOrEqualTo(String value) {
            addCriterion("logistic_status >=", value, "logisticStatus");
            return (Criteria) this;
        }

        public Criteria andLogisticStatusLessThan(String value) {
            addCriterion("logistic_status <", value, "logisticStatus");
            return (Criteria) this;
        }

        public Criteria andLogisticStatusLessThanOrEqualTo(String value) {
            addCriterion("logistic_status <=", value, "logisticStatus");
            return (Criteria) this;
        }

        public Criteria andLogisticStatusLike(String value) {
            addCriterion("logistic_status like", value, "logisticStatus");
            return (Criteria) this;
        }

        public Criteria andLogisticStatusNotLike(String value) {
            addCriterion("logistic_status not like", value, "logisticStatus");
            return (Criteria) this;
        }

        public Criteria andLogisticStatusIn(List<String> values) {
            addCriterion("logistic_status in", values, "logisticStatus");
            return (Criteria) this;
        }

        public Criteria andLogisticStatusNotIn(List<String> values) {
            addCriterion("logistic_status not in", values, "logisticStatus");
            return (Criteria) this;
        }

        public Criteria andLogisticStatusBetween(String value1, String value2) {
            addCriterion("logistic_status between", value1, value2, "logisticStatus");
            return (Criteria) this;
        }

        public Criteria andLogisticStatusNotBetween(String value1, String value2) {
            addCriterion("logistic_status not between", value1, value2, "logisticStatus");
            return (Criteria) this;
        }

        public Criteria andTeamIsNull() {
            addCriterion("team is null");
            return (Criteria) this;
        }

        public Criteria andTeamIsNotNull() {
            addCriterion("team is not null");
            return (Criteria) this;
        }

        public Criteria andTeamEqualTo(String value) {
            addCriterion("team =", value, "team");
            return (Criteria) this;
        }

        public Criteria andTeamNotEqualTo(String value) {
            addCriterion("team <>", value, "team");
            return (Criteria) this;
        }

        public Criteria andTeamGreaterThan(String value) {
            addCriterion("team >", value, "team");
            return (Criteria) this;
        }

        public Criteria andTeamGreaterThanOrEqualTo(String value) {
            addCriterion("team >=", value, "team");
            return (Criteria) this;
        }

        public Criteria andTeamLessThan(String value) {
            addCriterion("team <", value, "team");
            return (Criteria) this;
        }

        public Criteria andTeamLessThanOrEqualTo(String value) {
            addCriterion("team <=", value, "team");
            return (Criteria) this;
        }

        public Criteria andTeamLike(String value) {
            addCriterion("team like", value, "team");
            return (Criteria) this;
        }

        public Criteria andTeamNotLike(String value) {
            addCriterion("team not like", value, "team");
            return (Criteria) this;
        }

        public Criteria andTeamIn(List<String> values) {
            addCriterion("team in", values, "team");
            return (Criteria) this;
        }

        public Criteria andTeamNotIn(List<String> values) {
            addCriterion("team not in", values, "team");
            return (Criteria) this;
        }

        public Criteria andTeamBetween(String value1, String value2) {
            addCriterion("team between", value1, value2, "team");
            return (Criteria) this;
        }

        public Criteria andTeamNotBetween(String value1, String value2) {
            addCriterion("team not between", value1, value2, "team");
            return (Criteria) this;
        }

        public Criteria andIsproductIsNull() {
            addCriterion("isproduct is null");
            return (Criteria) this;
        }

        public Criteria andIsproductIsNotNull() {
            addCriterion("isproduct is not null");
            return (Criteria) this;
        }

        public Criteria andIsproductEqualTo(Integer value) {
            addCriterion("isproduct =", value, "isproduct");
            return (Criteria) this;
        }

        public Criteria andIsproductNotEqualTo(Integer value) {
            addCriterion("isproduct <>", value, "isproduct");
            return (Criteria) this;
        }

        public Criteria andIsproductGreaterThan(Integer value) {
            addCriterion("isproduct >", value, "isproduct");
            return (Criteria) this;
        }

        public Criteria andIsproductGreaterThanOrEqualTo(Integer value) {
            addCriterion("isproduct >=", value, "isproduct");
            return (Criteria) this;
        }

        public Criteria andIsproductLessThan(Integer value) {
            addCriterion("isproduct <", value, "isproduct");
            return (Criteria) this;
        }

        public Criteria andIsproductLessThanOrEqualTo(Integer value) {
            addCriterion("isproduct <=", value, "isproduct");
            return (Criteria) this;
        }

        public Criteria andIsproductIn(List<Integer> values) {
            addCriterion("isproduct in", values, "isproduct");
            return (Criteria) this;
        }

        public Criteria andIsproductNotIn(List<Integer> values) {
            addCriterion("isproduct not in", values, "isproduct");
            return (Criteria) this;
        }

        public Criteria andIsproductBetween(Integer value1, Integer value2) {
            addCriterion("isproduct between", value1, value2, "isproduct");
            return (Criteria) this;
        }

        public Criteria andIsproductNotBetween(Integer value1, Integer value2) {
            addCriterion("isproduct not between", value1, value2, "isproduct");
            return (Criteria) this;
        }

        public Criteria andCreatedByIsNull() {
            addCriterion("CREATED_BY is null");
            return (Criteria) this;
        }

        public Criteria andCreatedByIsNotNull() {
            addCriterion("CREATED_BY is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedByEqualTo(String value) {
            addCriterion("CREATED_BY =", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotEqualTo(String value) {
            addCriterion("CREATED_BY <>", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByGreaterThan(String value) {
            addCriterion("CREATED_BY >", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByGreaterThanOrEqualTo(String value) {
            addCriterion("CREATED_BY >=", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLessThan(String value) {
            addCriterion("CREATED_BY <", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLessThanOrEqualTo(String value) {
            addCriterion("CREATED_BY <=", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLike(String value) {
            addCriterion("CREATED_BY like", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotLike(String value) {
            addCriterion("CREATED_BY not like", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByIn(List<String> values) {
            addCriterion("CREATED_BY in", values, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotIn(List<String> values) {
            addCriterion("CREATED_BY not in", values, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByBetween(String value1, String value2) {
            addCriterion("CREATED_BY between", value1, value2, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotBetween(String value1, String value2) {
            addCriterion("CREATED_BY not between", value1, value2, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeIsNull() {
            addCriterion("CREATED_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeIsNotNull() {
            addCriterion("CREATED_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeEqualTo(LocalDateTime value) {
            addCriterion("CREATED_TIME =", value, "createdTime");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeNotEqualTo(LocalDateTime value) {
            addCriterion("CREATED_TIME <>", value, "createdTime");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeGreaterThan(LocalDateTime value) {
            addCriterion("CREATED_TIME >", value, "createdTime");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("CREATED_TIME >=", value, "createdTime");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeLessThan(LocalDateTime value) {
            addCriterion("CREATED_TIME <", value, "createdTime");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeLessThanOrEqualTo(LocalDateTime value) {
            addCriterion("CREATED_TIME <=", value, "createdTime");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeIn(List<LocalDateTime> values) {
            addCriterion("CREATED_TIME in", values, "createdTime");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeNotIn(List<LocalDateTime> values) {
            addCriterion("CREATED_TIME not in", values, "createdTime");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("CREATED_TIME between", value1, value2, "createdTime");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeNotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("CREATED_TIME not between", value1, value2, "createdTime");
            return (Criteria) this;
        }

        public Criteria andUpdatedByIsNull() {
            addCriterion("UPDATED_BY is null");
            return (Criteria) this;
        }

        public Criteria andUpdatedByIsNotNull() {
            addCriterion("UPDATED_BY is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatedByEqualTo(String value) {
            addCriterion("UPDATED_BY =", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByNotEqualTo(String value) {
            addCriterion("UPDATED_BY <>", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByGreaterThan(String value) {
            addCriterion("UPDATED_BY >", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByGreaterThanOrEqualTo(String value) {
            addCriterion("UPDATED_BY >=", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByLessThan(String value) {
            addCriterion("UPDATED_BY <", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByLessThanOrEqualTo(String value) {
            addCriterion("UPDATED_BY <=", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByLike(String value) {
            addCriterion("UPDATED_BY like", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByNotLike(String value) {
            addCriterion("UPDATED_BY not like", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByIn(List<String> values) {
            addCriterion("UPDATED_BY in", values, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByNotIn(List<String> values) {
            addCriterion("UPDATED_BY not in", values, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByBetween(String value1, String value2) {
            addCriterion("UPDATED_BY between", value1, value2, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByNotBetween(String value1, String value2) {
            addCriterion("UPDATED_BY not between", value1, value2, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeIsNull() {
            addCriterion("UPDATED_TIME is null");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeIsNotNull() {
            addCriterion("UPDATED_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeEqualTo(LocalDateTime value) {
            addCriterion("UPDATED_TIME =", value, "updatedTime");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeNotEqualTo(LocalDateTime value) {
            addCriterion("UPDATED_TIME <>", value, "updatedTime");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeGreaterThan(LocalDateTime value) {
            addCriterion("UPDATED_TIME >", value, "updatedTime");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("UPDATED_TIME >=", value, "updatedTime");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeLessThan(LocalDateTime value) {
            addCriterion("UPDATED_TIME <", value, "updatedTime");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeLessThanOrEqualTo(LocalDateTime value) {
            addCriterion("UPDATED_TIME <=", value, "updatedTime");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeIn(List<LocalDateTime> values) {
            addCriterion("UPDATED_TIME in", values, "updatedTime");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeNotIn(List<LocalDateTime> values) {
            addCriterion("UPDATED_TIME not in", values, "updatedTime");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("UPDATED_TIME between", value1, value2, "updatedTime");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeNotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("UPDATED_TIME not between", value1, value2, "updatedTime");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}