package com.starcharge.wios.dao.entity;

import lombok.Data;

import java.util.Date;

/**
 * @Description 基本信息配置
 * @author liwenxiang
 * @date 2021/7/26 13:23
 * @return
 */
@Data
public class InfoConfig {
    /**
     * UUid
     */
    private String id;

    /**
     * 类型：0-安装紧急程度，1-首联人，2-邮箱
     */
    private Integer type;

    /**
     * 值
     */
    private String name;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date modifyTime;

    /**
     * 删除标记：0:正常 1:删除
     */
    private Integer isDel;

}