package com.starcharge.wios.dao.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class InvoiceCriteria {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public InvoiceCriteria() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        protected void addCriterionForJDBCDate(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value.getTime()), property);
        }

        protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Date> dateList = new ArrayList<>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                dateList.add(new java.sql.Date(iter.next().getTime()));
            }
            addCriterion(condition, dateList, property);
        }

        protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
        }

        public Criteria andOrderIdIsNull() {
            addCriterion("order_id is null");
            return (Criteria) this;
        }

        public Criteria andOrderIdIsNotNull() {
            addCriterion("order_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrderIdEqualTo(String value) {
            addCriterion("order_id =", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotEqualTo(String value) {
            addCriterion("order_id <>", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdGreaterThan(String value) {
            addCriterion("order_id >", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdGreaterThanOrEqualTo(String value) {
            addCriterion("order_id >=", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdLessThan(String value) {
            addCriterion("order_id <", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdLessThanOrEqualTo(String value) {
            addCriterion("order_id <=", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdLike(String value) {
            addCriterion("order_id like", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotLike(String value) {
            addCriterion("order_id not like", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdIn(List<String> values) {
            addCriterion("order_id in", values, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotIn(List<String> values) {
            addCriterion("order_id not in", values, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdBetween(String value1, String value2) {
            addCriterion("order_id between", value1, value2, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotBetween(String value1, String value2) {
            addCriterion("order_id not between", value1, value2, "orderId");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceStatusIsNull() {
            addCriterion("additional_cost_invoice_status is null");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceStatusIsNotNull() {
            addCriterion("additional_cost_invoice_status is not null");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceStatusEqualTo(Integer value) {
            addCriterion("additional_cost_invoice_status =", value, "additionalCostInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceStatusNotEqualTo(Integer value) {
            addCriterion("additional_cost_invoice_status <>", value, "additionalCostInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceStatusGreaterThan(Integer value) {
            addCriterion("additional_cost_invoice_status >", value, "additionalCostInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("additional_cost_invoice_status >=", value, "additionalCostInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceStatusLessThan(Integer value) {
            addCriterion("additional_cost_invoice_status <", value, "additionalCostInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceStatusLessThanOrEqualTo(Integer value) {
            addCriterion("additional_cost_invoice_status <=", value, "additionalCostInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceStatusIn(List<Integer> values) {
            addCriterion("additional_cost_invoice_status in", values, "additionalCostInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceStatusNotIn(List<Integer> values) {
            addCriterion("additional_cost_invoice_status not in", values, "additionalCostInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceStatusBetween(Integer value1, Integer value2) {
            addCriterion("additional_cost_invoice_status between", value1, value2, "additionalCostInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("additional_cost_invoice_status not between", value1, value2, "additionalCostInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceDateIsNull() {
            addCriterion("additional_cost_invoice_date is null");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceDateIsNotNull() {
            addCriterion("additional_cost_invoice_date is not null");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceDateEqualTo(Date value) {
            addCriterionForJDBCDate("additional_cost_invoice_date =", value, "additionalCostInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceDateNotEqualTo(Date value) {
            addCriterionForJDBCDate("additional_cost_invoice_date <>", value, "additionalCostInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceDateGreaterThan(Date value) {
            addCriterionForJDBCDate("additional_cost_invoice_date >", value, "additionalCostInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceDateGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("additional_cost_invoice_date >=", value, "additionalCostInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceDateLessThan(Date value) {
            addCriterionForJDBCDate("additional_cost_invoice_date <", value, "additionalCostInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceDateLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("additional_cost_invoice_date <=", value, "additionalCostInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceDateIn(List<Date> values) {
            addCriterionForJDBCDate("additional_cost_invoice_date in", values, "additionalCostInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceDateNotIn(List<Date> values) {
            addCriterionForJDBCDate("additional_cost_invoice_date not in", values, "additionalCostInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceDateBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("additional_cost_invoice_date between", value1, value2, "additionalCostInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceDateNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("additional_cost_invoice_date not between", value1, value2, "additionalCostInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceNumberIsNull() {
            addCriterion("additional_cost_invoice_number is null");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceNumberIsNotNull() {
            addCriterion("additional_cost_invoice_number is not null");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceNumberEqualTo(String value) {
            addCriterion("additional_cost_invoice_number =", value, "additionalCostInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceNumberNotEqualTo(String value) {
            addCriterion("additional_cost_invoice_number <>", value, "additionalCostInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceNumberGreaterThan(String value) {
            addCriterion("additional_cost_invoice_number >", value, "additionalCostInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceNumberGreaterThanOrEqualTo(String value) {
            addCriterion("additional_cost_invoice_number >=", value, "additionalCostInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceNumberLessThan(String value) {
            addCriterion("additional_cost_invoice_number <", value, "additionalCostInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceNumberLessThanOrEqualTo(String value) {
            addCriterion("additional_cost_invoice_number <=", value, "additionalCostInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceNumberLike(String value) {
            addCriterion("additional_cost_invoice_number like", value, "additionalCostInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceNumberNotLike(String value) {
            addCriterion("additional_cost_invoice_number not like", value, "additionalCostInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceNumberIn(List<String> values) {
            addCriterion("additional_cost_invoice_number in", values, "additionalCostInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceNumberNotIn(List<String> values) {
            addCriterion("additional_cost_invoice_number not in", values, "additionalCostInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceNumberBetween(String value1, String value2) {
            addCriterion("additional_cost_invoice_number between", value1, value2, "additionalCostInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceNumberNotBetween(String value1, String value2) {
            addCriterion("additional_cost_invoice_number not between", value1, value2, "additionalCostInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceStatusIsNull() {
            addCriterion("package_device_invoice_status is null");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceStatusIsNotNull() {
            addCriterion("package_device_invoice_status is not null");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceStatusEqualTo(Integer value) {
            addCriterion("package_device_invoice_status =", value, "packageDeviceInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceStatusNotEqualTo(Integer value) {
            addCriterion("package_device_invoice_status <>", value, "packageDeviceInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceStatusGreaterThan(Integer value) {
            addCriterion("package_device_invoice_status >", value, "packageDeviceInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("package_device_invoice_status >=", value, "packageDeviceInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceStatusLessThan(Integer value) {
            addCriterion("package_device_invoice_status <", value, "packageDeviceInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceStatusLessThanOrEqualTo(Integer value) {
            addCriterion("package_device_invoice_status <=", value, "packageDeviceInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceStatusIn(List<Integer> values) {
            addCriterion("package_device_invoice_status in", values, "packageDeviceInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceStatusNotIn(List<Integer> values) {
            addCriterion("package_device_invoice_status not in", values, "packageDeviceInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceStatusBetween(Integer value1, Integer value2) {
            addCriterion("package_device_invoice_status between", value1, value2, "packageDeviceInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("package_device_invoice_status not between", value1, value2, "packageDeviceInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceDateIsNull() {
            addCriterion("package_device_invoice_date is null");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceDateIsNotNull() {
            addCriterion("package_device_invoice_date is not null");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceDateEqualTo(Date value) {
            addCriterionForJDBCDate("package_device_invoice_date =", value, "packageDeviceInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceDateNotEqualTo(Date value) {
            addCriterionForJDBCDate("package_device_invoice_date <>", value, "packageDeviceInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceDateGreaterThan(Date value) {
            addCriterionForJDBCDate("package_device_invoice_date >", value, "packageDeviceInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceDateGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("package_device_invoice_date >=", value, "packageDeviceInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceDateLessThan(Date value) {
            addCriterionForJDBCDate("package_device_invoice_date <", value, "packageDeviceInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceDateLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("package_device_invoice_date <=", value, "packageDeviceInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceDateIn(List<Date> values) {
            addCriterionForJDBCDate("package_device_invoice_date in", values, "packageDeviceInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceDateNotIn(List<Date> values) {
            addCriterionForJDBCDate("package_device_invoice_date not in", values, "packageDeviceInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceDateBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("package_device_invoice_date between", value1, value2, "packageDeviceInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceDateNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("package_device_invoice_date not between", value1, value2, "packageDeviceInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceFeeWithTaxIsNull() {
            addCriterion("package_device_fee_with_tax is null");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceFeeWithTaxIsNotNull() {
            addCriterion("package_device_fee_with_tax is not null");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceFeeWithTaxEqualTo(BigDecimal value) {
            addCriterion("package_device_fee_with_tax =", value, "packageDeviceFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceFeeWithTaxNotEqualTo(BigDecimal value) {
            addCriterion("package_device_fee_with_tax <>", value, "packageDeviceFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceFeeWithTaxGreaterThan(BigDecimal value) {
            addCriterion("package_device_fee_with_tax >", value, "packageDeviceFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceFeeWithTaxGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("package_device_fee_with_tax >=", value, "packageDeviceFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceFeeWithTaxLessThan(BigDecimal value) {
            addCriterion("package_device_fee_with_tax <", value, "packageDeviceFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceFeeWithTaxLessThanOrEqualTo(BigDecimal value) {
            addCriterion("package_device_fee_with_tax <=", value, "packageDeviceFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceFeeWithTaxIn(List<BigDecimal> values) {
            addCriterion("package_device_fee_with_tax in", values, "packageDeviceFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceFeeWithTaxNotIn(List<BigDecimal> values) {
            addCriterion("package_device_fee_with_tax not in", values, "packageDeviceFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceFeeWithTaxBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("package_device_fee_with_tax between", value1, value2, "packageDeviceFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceFeeWithTaxNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("package_device_fee_with_tax not between", value1, value2, "packageDeviceFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceTaxIsNull() {
            addCriterion("package_device_tax is null");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceTaxIsNotNull() {
            addCriterion("package_device_tax is not null");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceTaxEqualTo(BigDecimal value) {
            addCriterion("package_device_tax =", value, "packageDeviceTax");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceTaxNotEqualTo(BigDecimal value) {
            addCriterion("package_device_tax <>", value, "packageDeviceTax");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceTaxGreaterThan(BigDecimal value) {
            addCriterion("package_device_tax >", value, "packageDeviceTax");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceTaxGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("package_device_tax >=", value, "packageDeviceTax");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceTaxLessThan(BigDecimal value) {
            addCriterion("package_device_tax <", value, "packageDeviceTax");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceTaxLessThanOrEqualTo(BigDecimal value) {
            addCriterion("package_device_tax <=", value, "packageDeviceTax");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceTaxIn(List<BigDecimal> values) {
            addCriterion("package_device_tax in", values, "packageDeviceTax");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceTaxNotIn(List<BigDecimal> values) {
            addCriterion("package_device_tax not in", values, "packageDeviceTax");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceTaxBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("package_device_tax between", value1, value2, "packageDeviceTax");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceTaxNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("package_device_tax not between", value1, value2, "packageDeviceTax");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceNumberIsNull() {
            addCriterion("package_device_invoice_number is null");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceNumberIsNotNull() {
            addCriterion("package_device_invoice_number is not null");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceNumberEqualTo(String value) {
            addCriterion("package_device_invoice_number =", value, "packageDeviceInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceNumberNotEqualTo(String value) {
            addCriterion("package_device_invoice_number <>", value, "packageDeviceInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceNumberGreaterThan(String value) {
            addCriterion("package_device_invoice_number >", value, "packageDeviceInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceNumberGreaterThanOrEqualTo(String value) {
            addCriterion("package_device_invoice_number >=", value, "packageDeviceInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceNumberLessThan(String value) {
            addCriterion("package_device_invoice_number <", value, "packageDeviceInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceNumberLessThanOrEqualTo(String value) {
            addCriterion("package_device_invoice_number <=", value, "packageDeviceInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceNumberLike(String value) {
            addCriterion("package_device_invoice_number like", value, "packageDeviceInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceNumberNotLike(String value) {
            addCriterion("package_device_invoice_number not like", value, "packageDeviceInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceNumberIn(List<String> values) {
            addCriterion("package_device_invoice_number in", values, "packageDeviceInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceNumberNotIn(List<String> values) {
            addCriterion("package_device_invoice_number not in", values, "packageDeviceInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceNumberBetween(String value1, String value2) {
            addCriterion("package_device_invoice_number between", value1, value2, "packageDeviceInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceNumberNotBetween(String value1, String value2) {
            addCriterion("package_device_invoice_number not between", value1, value2, "packageDeviceInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceReceiveStatusIsNull() {
            addCriterion("package_device_receive_status is null");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceReceiveStatusIsNotNull() {
            addCriterion("package_device_receive_status is not null");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceReceiveStatusEqualTo(Integer value) {
            addCriterion("package_device_receive_status =", value, "packageDeviceReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceReceiveStatusNotEqualTo(Integer value) {
            addCriterion("package_device_receive_status <>", value, "packageDeviceReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceReceiveStatusGreaterThan(Integer value) {
            addCriterion("package_device_receive_status >", value, "packageDeviceReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceReceiveStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("package_device_receive_status >=", value, "packageDeviceReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceReceiveStatusLessThan(Integer value) {
            addCriterion("package_device_receive_status <", value, "packageDeviceReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceReceiveStatusLessThanOrEqualTo(Integer value) {
            addCriterion("package_device_receive_status <=", value, "packageDeviceReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceReceiveStatusIn(List<Integer> values) {
            addCriterion("package_device_receive_status in", values, "packageDeviceReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceReceiveStatusNotIn(List<Integer> values) {
            addCriterion("package_device_receive_status not in", values, "packageDeviceReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceReceiveStatusBetween(Integer value1, Integer value2) {
            addCriterion("package_device_receive_status between", value1, value2, "packageDeviceReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceReceiveStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("package_device_receive_status not between", value1, value2, "packageDeviceReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceStatusIsNull() {
            addCriterion("package_install_invoice_status is null");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceStatusIsNotNull() {
            addCriterion("package_install_invoice_status is not null");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceStatusEqualTo(Integer value) {
            addCriterion("package_install_invoice_status =", value, "packageInstallInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceStatusNotEqualTo(Integer value) {
            addCriterion("package_install_invoice_status <>", value, "packageInstallInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceStatusGreaterThan(Integer value) {
            addCriterion("package_install_invoice_status >", value, "packageInstallInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("package_install_invoice_status >=", value, "packageInstallInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceStatusLessThan(Integer value) {
            addCriterion("package_install_invoice_status <", value, "packageInstallInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceStatusLessThanOrEqualTo(Integer value) {
            addCriterion("package_install_invoice_status <=", value, "packageInstallInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceStatusIn(List<Integer> values) {
            addCriterion("package_install_invoice_status in", values, "packageInstallInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceStatusNotIn(List<Integer> values) {
            addCriterion("package_install_invoice_status not in", values, "packageInstallInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceStatusBetween(Integer value1, Integer value2) {
            addCriterion("package_install_invoice_status between", value1, value2, "packageInstallInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("package_install_invoice_status not between", value1, value2, "packageInstallInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceDateIsNull() {
            addCriterion("package_install_invoice_date is null");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceDateIsNotNull() {
            addCriterion("package_install_invoice_date is not null");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceDateEqualTo(Date value) {
            addCriterionForJDBCDate("package_install_invoice_date =", value, "packageInstallInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceDateNotEqualTo(Date value) {
            addCriterionForJDBCDate("package_install_invoice_date <>", value, "packageInstallInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceDateGreaterThan(Date value) {
            addCriterionForJDBCDate("package_install_invoice_date >", value, "packageInstallInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceDateGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("package_install_invoice_date >=", value, "packageInstallInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceDateLessThan(Date value) {
            addCriterionForJDBCDate("package_install_invoice_date <", value, "packageInstallInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceDateLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("package_install_invoice_date <=", value, "packageInstallInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceDateIn(List<Date> values) {
            addCriterionForJDBCDate("package_install_invoice_date in", values, "packageInstallInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceDateNotIn(List<Date> values) {
            addCriterionForJDBCDate("package_install_invoice_date not in", values, "packageInstallInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceDateBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("package_install_invoice_date between", value1, value2, "packageInstallInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceDateNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("package_install_invoice_date not between", value1, value2, "packageInstallInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageInstallFeeWithTaxIsNull() {
            addCriterion("package_install_fee_with_tax is null");
            return (Criteria) this;
        }

        public Criteria andPackageInstallFeeWithTaxIsNotNull() {
            addCriterion("package_install_fee_with_tax is not null");
            return (Criteria) this;
        }

        public Criteria andPackageInstallFeeWithTaxEqualTo(BigDecimal value) {
            addCriterion("package_install_fee_with_tax =", value, "packageInstallFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andPackageInstallFeeWithTaxNotEqualTo(BigDecimal value) {
            addCriterion("package_install_fee_with_tax <>", value, "packageInstallFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andPackageInstallFeeWithTaxGreaterThan(BigDecimal value) {
            addCriterion("package_install_fee_with_tax >", value, "packageInstallFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andPackageInstallFeeWithTaxGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("package_install_fee_with_tax >=", value, "packageInstallFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andPackageInstallFeeWithTaxLessThan(BigDecimal value) {
            addCriterion("package_install_fee_with_tax <", value, "packageInstallFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andPackageInstallFeeWithTaxLessThanOrEqualTo(BigDecimal value) {
            addCriterion("package_install_fee_with_tax <=", value, "packageInstallFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andPackageInstallFeeWithTaxIn(List<BigDecimal> values) {
            addCriterion("package_install_fee_with_tax in", values, "packageInstallFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andPackageInstallFeeWithTaxNotIn(List<BigDecimal> values) {
            addCriterion("package_install_fee_with_tax not in", values, "packageInstallFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andPackageInstallFeeWithTaxBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("package_install_fee_with_tax between", value1, value2, "packageInstallFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andPackageInstallFeeWithTaxNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("package_install_fee_with_tax not between", value1, value2, "packageInstallFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andPackageInstallTaxIsNull() {
            addCriterion("package_install_tax is null");
            return (Criteria) this;
        }

        public Criteria andPackageInstallTaxIsNotNull() {
            addCriterion("package_install_tax is not null");
            return (Criteria) this;
        }

        public Criteria andPackageInstallTaxEqualTo(BigDecimal value) {
            addCriterion("package_install_tax =", value, "packageInstallTax");
            return (Criteria) this;
        }

        public Criteria andPackageInstallTaxNotEqualTo(BigDecimal value) {
            addCriterion("package_install_tax <>", value, "packageInstallTax");
            return (Criteria) this;
        }

        public Criteria andPackageInstallTaxGreaterThan(BigDecimal value) {
            addCriterion("package_install_tax >", value, "packageInstallTax");
            return (Criteria) this;
        }

        public Criteria andPackageInstallTaxGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("package_install_tax >=", value, "packageInstallTax");
            return (Criteria) this;
        }

        public Criteria andPackageInstallTaxLessThan(BigDecimal value) {
            addCriterion("package_install_tax <", value, "packageInstallTax");
            return (Criteria) this;
        }

        public Criteria andPackageInstallTaxLessThanOrEqualTo(BigDecimal value) {
            addCriterion("package_install_tax <=", value, "packageInstallTax");
            return (Criteria) this;
        }

        public Criteria andPackageInstallTaxIn(List<BigDecimal> values) {
            addCriterion("package_install_tax in", values, "packageInstallTax");
            return (Criteria) this;
        }

        public Criteria andPackageInstallTaxNotIn(List<BigDecimal> values) {
            addCriterion("package_install_tax not in", values, "packageInstallTax");
            return (Criteria) this;
        }

        public Criteria andPackageInstallTaxBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("package_install_tax between", value1, value2, "packageInstallTax");
            return (Criteria) this;
        }

        public Criteria andPackageInstallTaxNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("package_install_tax not between", value1, value2, "packageInstallTax");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceNumberIsNull() {
            addCriterion("package_install_invoice_number is null");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceNumberIsNotNull() {
            addCriterion("package_install_invoice_number is not null");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceNumberEqualTo(String value) {
            addCriterion("package_install_invoice_number =", value, "packageInstallInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceNumberNotEqualTo(String value) {
            addCriterion("package_install_invoice_number <>", value, "packageInstallInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceNumberGreaterThan(String value) {
            addCriterion("package_install_invoice_number >", value, "packageInstallInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceNumberGreaterThanOrEqualTo(String value) {
            addCriterion("package_install_invoice_number >=", value, "packageInstallInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceNumberLessThan(String value) {
            addCriterion("package_install_invoice_number <", value, "packageInstallInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceNumberLessThanOrEqualTo(String value) {
            addCriterion("package_install_invoice_number <=", value, "packageInstallInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceNumberLike(String value) {
            addCriterion("package_install_invoice_number like", value, "packageInstallInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceNumberNotLike(String value) {
            addCriterion("package_install_invoice_number not like", value, "packageInstallInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceNumberIn(List<String> values) {
            addCriterion("package_install_invoice_number in", values, "packageInstallInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceNumberNotIn(List<String> values) {
            addCriterion("package_install_invoice_number not in", values, "packageInstallInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceNumberBetween(String value1, String value2) {
            addCriterion("package_install_invoice_number between", value1, value2, "packageInstallInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceNumberNotBetween(String value1, String value2) {
            addCriterion("package_install_invoice_number not between", value1, value2, "packageInstallInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageInstallReceiveStatusIsNull() {
            addCriterion("package_install_receive_status is null");
            return (Criteria) this;
        }

        public Criteria andPackageInstallReceiveStatusIsNotNull() {
            addCriterion("package_install_receive_status is not null");
            return (Criteria) this;
        }

        public Criteria andPackageInstallReceiveStatusEqualTo(Integer value) {
            addCriterion("package_install_receive_status =", value, "packageInstallReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallReceiveStatusNotEqualTo(Integer value) {
            addCriterion("package_install_receive_status <>", value, "packageInstallReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallReceiveStatusGreaterThan(Integer value) {
            addCriterion("package_install_receive_status >", value, "packageInstallReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallReceiveStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("package_install_receive_status >=", value, "packageInstallReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallReceiveStatusLessThan(Integer value) {
            addCriterion("package_install_receive_status <", value, "packageInstallReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallReceiveStatusLessThanOrEqualTo(Integer value) {
            addCriterion("package_install_receive_status <=", value, "packageInstallReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallReceiveStatusIn(List<Integer> values) {
            addCriterion("package_install_receive_status in", values, "packageInstallReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallReceiveStatusNotIn(List<Integer> values) {
            addCriterion("package_install_receive_status not in", values, "packageInstallReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallReceiveStatusBetween(Integer value1, Integer value2) {
            addCriterion("package_install_receive_status between", value1, value2, "packageInstallReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallReceiveStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("package_install_receive_status not between", value1, value2, "packageInstallReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierReceiveInvoiceStatusIsNull() {
            addCriterion("supplier_receive_invoice_status is null");
            return (Criteria) this;
        }

        public Criteria andSupplierReceiveInvoiceStatusIsNotNull() {
            addCriterion("supplier_receive_invoice_status is not null");
            return (Criteria) this;
        }

        public Criteria andSupplierReceiveInvoiceStatusEqualTo(Integer value) {
            addCriterion("supplier_receive_invoice_status =", value, "supplierReceiveInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierReceiveInvoiceStatusNotEqualTo(Integer value) {
            addCriterion("supplier_receive_invoice_status <>", value, "supplierReceiveInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierReceiveInvoiceStatusGreaterThan(Integer value) {
            addCriterion("supplier_receive_invoice_status >", value, "supplierReceiveInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierReceiveInvoiceStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("supplier_receive_invoice_status >=", value, "supplierReceiveInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierReceiveInvoiceStatusLessThan(Integer value) {
            addCriterion("supplier_receive_invoice_status <", value, "supplierReceiveInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierReceiveInvoiceStatusLessThanOrEqualTo(Integer value) {
            addCriterion("supplier_receive_invoice_status <=", value, "supplierReceiveInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierReceiveInvoiceStatusIn(List<Integer> values) {
            addCriterion("supplier_receive_invoice_status in", values, "supplierReceiveInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierReceiveInvoiceStatusNotIn(List<Integer> values) {
            addCriterion("supplier_receive_invoice_status not in", values, "supplierReceiveInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierReceiveInvoiceStatusBetween(Integer value1, Integer value2) {
            addCriterion("supplier_receive_invoice_status between", value1, value2, "supplierReceiveInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierReceiveInvoiceStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("supplier_receive_invoice_status not between", value1, value2, "supplierReceiveInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceDateIsNull() {
            addCriterion("supplier_invoice_date is null");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceDateIsNotNull() {
            addCriterion("supplier_invoice_date is not null");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceDateEqualTo(Date value) {
            addCriterionForJDBCDate("supplier_invoice_date =", value, "supplierInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceDateNotEqualTo(Date value) {
            addCriterionForJDBCDate("supplier_invoice_date <>", value, "supplierInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceDateGreaterThan(Date value) {
            addCriterionForJDBCDate("supplier_invoice_date >", value, "supplierInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceDateGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("supplier_invoice_date >=", value, "supplierInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceDateLessThan(Date value) {
            addCriterionForJDBCDate("supplier_invoice_date <", value, "supplierInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceDateLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("supplier_invoice_date <=", value, "supplierInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceDateIn(List<Date> values) {
            addCriterionForJDBCDate("supplier_invoice_date in", values, "supplierInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceDateNotIn(List<Date> values) {
            addCriterionForJDBCDate("supplier_invoice_date not in", values, "supplierInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceDateBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("supplier_invoice_date between", value1, value2, "supplierInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceDateNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("supplier_invoice_date not between", value1, value2, "supplierInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andSupplierFeeWithTaxIsNull() {
            addCriterion("supplier_fee_with_tax is null");
            return (Criteria) this;
        }

        public Criteria andSupplierFeeWithTaxIsNotNull() {
            addCriterion("supplier_fee_with_tax is not null");
            return (Criteria) this;
        }

        public Criteria andSupplierFeeWithTaxEqualTo(BigDecimal value) {
            addCriterion("supplier_fee_with_tax =", value, "supplierFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andSupplierFeeWithTaxNotEqualTo(BigDecimal value) {
            addCriterion("supplier_fee_with_tax <>", value, "supplierFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andSupplierFeeWithTaxGreaterThan(BigDecimal value) {
            addCriterion("supplier_fee_with_tax >", value, "supplierFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andSupplierFeeWithTaxGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("supplier_fee_with_tax >=", value, "supplierFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andSupplierFeeWithTaxLessThan(BigDecimal value) {
            addCriterion("supplier_fee_with_tax <", value, "supplierFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andSupplierFeeWithTaxLessThanOrEqualTo(BigDecimal value) {
            addCriterion("supplier_fee_with_tax <=", value, "supplierFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andSupplierFeeWithTaxIn(List<BigDecimal> values) {
            addCriterion("supplier_fee_with_tax in", values, "supplierFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andSupplierFeeWithTaxNotIn(List<BigDecimal> values) {
            addCriterion("supplier_fee_with_tax not in", values, "supplierFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andSupplierFeeWithTaxBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("supplier_fee_with_tax between", value1, value2, "supplierFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andSupplierFeeWithTaxNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("supplier_fee_with_tax not between", value1, value2, "supplierFeeWithTax");
            return (Criteria) this;
        }

        public Criteria andSupplierTaxIsNull() {
            addCriterion("supplier_tax is null");
            return (Criteria) this;
        }

        public Criteria andSupplierTaxIsNotNull() {
            addCriterion("supplier_tax is not null");
            return (Criteria) this;
        }

        public Criteria andSupplierTaxEqualTo(BigDecimal value) {
            addCriterion("supplier_tax =", value, "supplierTax");
            return (Criteria) this;
        }

        public Criteria andSupplierTaxNotEqualTo(BigDecimal value) {
            addCriterion("supplier_tax <>", value, "supplierTax");
            return (Criteria) this;
        }

        public Criteria andSupplierTaxGreaterThan(BigDecimal value) {
            addCriterion("supplier_tax >", value, "supplierTax");
            return (Criteria) this;
        }

        public Criteria andSupplierTaxGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("supplier_tax >=", value, "supplierTax");
            return (Criteria) this;
        }

        public Criteria andSupplierTaxLessThan(BigDecimal value) {
            addCriterion("supplier_tax <", value, "supplierTax");
            return (Criteria) this;
        }

        public Criteria andSupplierTaxLessThanOrEqualTo(BigDecimal value) {
            addCriterion("supplier_tax <=", value, "supplierTax");
            return (Criteria) this;
        }

        public Criteria andSupplierTaxIn(List<BigDecimal> values) {
            addCriterion("supplier_tax in", values, "supplierTax");
            return (Criteria) this;
        }

        public Criteria andSupplierTaxNotIn(List<BigDecimal> values) {
            addCriterion("supplier_tax not in", values, "supplierTax");
            return (Criteria) this;
        }

        public Criteria andSupplierTaxBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("supplier_tax between", value1, value2, "supplierTax");
            return (Criteria) this;
        }

        public Criteria andSupplierTaxNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("supplier_tax not between", value1, value2, "supplierTax");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceNumberIsNull() {
            addCriterion("supplier_invoice_number is null");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceNumberIsNotNull() {
            addCriterion("supplier_invoice_number is not null");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceNumberEqualTo(String value) {
            addCriterion("supplier_invoice_number =", value, "supplierInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceNumberNotEqualTo(String value) {
            addCriterion("supplier_invoice_number <>", value, "supplierInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceNumberGreaterThan(String value) {
            addCriterion("supplier_invoice_number >", value, "supplierInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceNumberGreaterThanOrEqualTo(String value) {
            addCriterion("supplier_invoice_number >=", value, "supplierInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceNumberLessThan(String value) {
            addCriterion("supplier_invoice_number <", value, "supplierInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceNumberLessThanOrEqualTo(String value) {
            addCriterion("supplier_invoice_number <=", value, "supplierInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceNumberLike(String value) {
            addCriterion("supplier_invoice_number like", value, "supplierInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceNumberNotLike(String value) {
            addCriterion("supplier_invoice_number not like", value, "supplierInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceNumberIn(List<String> values) {
            addCriterion("supplier_invoice_number in", values, "supplierInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceNumberNotIn(List<String> values) {
            addCriterion("supplier_invoice_number not in", values, "supplierInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceNumberBetween(String value1, String value2) {
            addCriterion("supplier_invoice_number between", value1, value2, "supplierInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceNumberNotBetween(String value1, String value2) {
            addCriterion("supplier_invoice_number not between", value1, value2, "supplierInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andSupplierPayStatusIsNull() {
            addCriterion("supplier_pay_status is null");
            return (Criteria) this;
        }

        public Criteria andSupplierPayStatusIsNotNull() {
            addCriterion("supplier_pay_status is not null");
            return (Criteria) this;
        }

        public Criteria andSupplierPayStatusEqualTo(Integer value) {
            addCriterion("supplier_pay_status =", value, "supplierPayStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierPayStatusNotEqualTo(Integer value) {
            addCriterion("supplier_pay_status <>", value, "supplierPayStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierPayStatusGreaterThan(Integer value) {
            addCriterion("supplier_pay_status >", value, "supplierPayStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierPayStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("supplier_pay_status >=", value, "supplierPayStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierPayStatusLessThan(Integer value) {
            addCriterion("supplier_pay_status <", value, "supplierPayStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierPayStatusLessThanOrEqualTo(Integer value) {
            addCriterion("supplier_pay_status <=", value, "supplierPayStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierPayStatusIn(List<Integer> values) {
            addCriterion("supplier_pay_status in", values, "supplierPayStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierPayStatusNotIn(List<Integer> values) {
            addCriterion("supplier_pay_status not in", values, "supplierPayStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierPayStatusBetween(Integer value1, Integer value2) {
            addCriterion("supplier_pay_status between", value1, value2, "supplierPayStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierPayStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("supplier_pay_status not between", value1, value2, "supplierPayStatus");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeIsNull() {
            addCriterion("modify_time is null");
            return (Criteria) this;
        }

        public Criteria andModifyTimeIsNotNull() {
            addCriterion("modify_time is not null");
            return (Criteria) this;
        }

        public Criteria andModifyTimeEqualTo(Date value) {
            addCriterion("modify_time =", value, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeNotEqualTo(Date value) {
            addCriterion("modify_time <>", value, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeGreaterThan(Date value) {
            addCriterion("modify_time >", value, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("modify_time >=", value, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeLessThan(Date value) {
            addCriterion("modify_time <", value, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeLessThanOrEqualTo(Date value) {
            addCriterion("modify_time <=", value, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeIn(List<Date> values) {
            addCriterion("modify_time in", values, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeNotIn(List<Date> values) {
            addCriterion("modify_time not in", values, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeBetween(Date value1, Date value2) {
            addCriterion("modify_time between", value1, value2, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeNotBetween(Date value1, Date value2) {
            addCriterion("modify_time not between", value1, value2, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andIsDelIsNull() {
            addCriterion("is_del is null");
            return (Criteria) this;
        }

        public Criteria andIsDelIsNotNull() {
            addCriterion("is_del is not null");
            return (Criteria) this;
        }

        public Criteria andIsDelEqualTo(Integer value) {
            addCriterion("is_del =", value, "isDel");
            return (Criteria) this;
        }

        public Criteria andIsDelNotEqualTo(Integer value) {
            addCriterion("is_del <>", value, "isDel");
            return (Criteria) this;
        }

        public Criteria andIsDelGreaterThan(Integer value) {
            addCriterion("is_del >", value, "isDel");
            return (Criteria) this;
        }

        public Criteria andIsDelGreaterThanOrEqualTo(Integer value) {
            addCriterion("is_del >=", value, "isDel");
            return (Criteria) this;
        }

        public Criteria andIsDelLessThan(Integer value) {
            addCriterion("is_del <", value, "isDel");
            return (Criteria) this;
        }

        public Criteria andIsDelLessThanOrEqualTo(Integer value) {
            addCriterion("is_del <=", value, "isDel");
            return (Criteria) this;
        }

        public Criteria andIsDelIn(List<Integer> values) {
            addCriterion("is_del in", values, "isDel");
            return (Criteria) this;
        }

        public Criteria andIsDelNotIn(List<Integer> values) {
            addCriterion("is_del not in", values, "isDel");
            return (Criteria) this;
        }

        public Criteria andIsDelBetween(Integer value1, Integer value2) {
            addCriterion("is_del between", value1, value2, "isDel");
            return (Criteria) this;
        }

        public Criteria andIsDelNotBetween(Integer value1, Integer value2) {
            addCriterion("is_del not between", value1, value2, "isDel");
            return (Criteria) this;
        }

        public Criteria andSubmitItemIsNull() {
            addCriterion("submit_item is null");
            return (Criteria) this;
        }

        public Criteria andSubmitItemIsNotNull() {
            addCriterion("submit_item is not null");
            return (Criteria) this;
        }

        public Criteria andSubmitItemEqualTo(Integer value) {
            addCriterion("submit_item =", value, "submitItem");
            return (Criteria) this;
        }

        public Criteria andSubmitItemNotEqualTo(Integer value) {
            addCriterion("submit_item <>", value, "submitItem");
            return (Criteria) this;
        }

        public Criteria andSubmitItemGreaterThan(Integer value) {
            addCriterion("submit_item >", value, "submitItem");
            return (Criteria) this;
        }

        public Criteria andSubmitItemGreaterThanOrEqualTo(Integer value) {
            addCriterion("submit_item >=", value, "submitItem");
            return (Criteria) this;
        }

        public Criteria andSubmitItemLessThan(Integer value) {
            addCriterion("submit_item <", value, "submitItem");
            return (Criteria) this;
        }

        public Criteria andSubmitItemLessThanOrEqualTo(Integer value) {
            addCriterion("submit_item <=", value, "submitItem");
            return (Criteria) this;
        }

        public Criteria andSubmitItemIn(List<Integer> values) {
            addCriterion("submit_item in", values, "submitItem");
            return (Criteria) this;
        }

        public Criteria andSubmitItemNotIn(List<Integer> values) {
            addCriterion("submit_item not in", values, "submitItem");
            return (Criteria) this;
        }

        public Criteria andSubmitItemBetween(Integer value1, Integer value2) {
            addCriterion("submit_item between", value1, value2, "submitItem");
            return (Criteria) this;
        }

        public Criteria andSubmitItemNotBetween(Integer value1, Integer value2) {
            addCriterion("submit_item not between", value1, value2, "submitItem");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}