package com.starcharge.wios.dao.entity;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value = "物料对象模型")
public class Item {
    /**
     * 物料编号
     */
    @ApiModelProperty(hidden = true)
    private Integer id;
    
    /**
     * 物料名称
     */
    @ApiModelProperty(value = "物料名称")
    private String name;

    /**
     * 编码
     */
    @ApiModelProperty(value = "物料编码")
    private String code;

    /**
     * 单位
     */
    @ApiModelProperty(value = "物料单位")
    private String unit;
    
    /**
     * 规格型号
     */
    @ApiModelProperty(value = "规格型号")
    private String model;

    /**
     * 是否增项 0：否 1：是
     */
    @ApiModelProperty(value = "是否增项 0：否 1：是")
    private Integer addItem;

    /**
     * 状态 1：正常 2：删除
     */
    @ApiModelProperty(hidden = true)
    private Integer status;

    /**
     * 创建账号
     */
    @ApiModelProperty(hidden = true)
    private Integer createdAccount;

    /**
     * 更新账号
     */
    @ApiModelProperty(hidden = true)
    private Integer updatedAccount;

    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(hidden = true)
    private Date updateTime;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    
    public String getCode() {
        return code;
    }
    
    public void setCode(String code) {
        this.code = code;
    }
    
    public String getUnit() {
        return unit;
    }
    
    public void setUnit(String unit) {
        this.unit = unit;
    }
    
    public String getModel() {
        return model;
    }
    
    public void setModel(String model) {
        this.model = model;
    }
    
    public Integer getAddItem() {
        return addItem;
    }
    
    public void setAddItem(Integer addItem) {
        this.addItem = addItem;
    }
    
    public Integer getStatus() {
        return status;
    }
    
    public void setStatus(Integer status) {
        this.status = status;
    }
    
    public Integer getCreatedAccount() {
        return createdAccount;
    }
    
    public void setCreatedAccount(Integer createdAccount) {
        this.createdAccount = createdAccount;
    }
    
    public Integer getUpdatedAccount() {
        return updatedAccount;
    }
    
    public void setUpdatedAccount(Integer updatedAccount) {
        this.updatedAccount = updatedAccount;
    }
    
    public Date getCreateTime() {
        return createTime;
    }
    
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
    public Date getUpdateTime() {
        return updateTime;
    }
    
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}