package com.starcharge.wios.dao.entity;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

public class MaterialConfig {
    /**
     * 主键id
     */
    @ApiModelProperty(hidden = true)
    private Integer id;
    
    /**
     * 类型 1：报装说明 2：增项说明3：其它
     */
    @ApiModelProperty(value = "类型 1：报装说明 2：增项说明3：其它", required = true)
    private Integer type;
    
    /**
     * 区域编码
     */
    @ApiModelProperty(value = "区域编码")
    private Integer regionId;
    
    /**
     * 主机厂/经销商id
     */
    @ApiModelProperty(value = "主机厂/经销商id")
    private Integer oemId;
    
    /**
     * 内容
     */
    @ApiModelProperty(value = "内容", required = true)
    private String content;
    
    /**
     * 状态 1：正常 2：删除
     */
    @ApiModelProperty(hidden = true)
    private Integer status;
    
    @ApiModelProperty(hidden = true)
    private Date createTime;
    
    /**
     * 创建人
     */
    @ApiModelProperty(hidden = true)
    private String createAccount;
    
    @ApiModelProperty(hidden = true)
    private Date updateTime;
    
    /**
     * 更新人
     */
    @ApiModelProperty(hidden = true)
    private String updateAccount;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public Integer getType() {
        return type;
    }
    
    public void setType(Integer type) {
        this.type = type;
    }
    
    public Integer getRegionId() {
        return regionId;
    }
    
    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }
    
    public Integer getOemId() {
        return oemId;
    }
    
    public void setOemId(Integer oemId) {
        this.oemId = oemId;
    }
    
    public String getContent() {
        return content;
    }
    
    public void setContent(String content) {
        this.content = content;
    }
    
    public Integer getStatus() {
        return status;
    }
    
    public void setStatus(Integer status) {
        this.status = status;
    }
    
    public Date getCreateTime() {
        return createTime;
    }
    
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
    public String getCreateAccount() {
        return createAccount;
    }
    
    public void setCreateAccount(String createAccount) {
        this.createAccount = createAccount;
    }
    
    public Date getUpdateTime() {
        return updateTime;
    }
    
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    
    public String getUpdateAccount() {
        return updateAccount;
    }
    
    public void setUpdateAccount(String updateAccount) {
        this.updateAccount = updateAccount;
    }
}