package com.starcharge.wios.dao.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

public class OemContractPrice {
    /**
     * id
     */
    @ApiModelProperty(hidden = true)
    private Integer id;
    
    /**
     * 合同id
     */
    @ApiModelProperty(value = "合同id")
    private Integer contractId;
    
    /**
     * 区域编码
     */
    @ApiModelProperty(value = "区域编码")
    private String regionId;
    
    /**
     * 税率
     */
    @ApiModelProperty(value = "税率")
    private BigDecimal taxRate;
    
    /**
     * 勘测价格（不含税）
     */
    @ApiModelProperty(value = "勘察价格（不含税）")
    private BigDecimal surveyPrice;
    
    /**
     * 勘察价格（含税）
     */
    @ApiModelProperty(value = "勘察价格（含税）")
    private BigDecimal surveyRatePrice;
    
    /**
     * 安装价格（不含税）
     */
    @ApiModelProperty(value = "安装价格（不含税）")
    private BigDecimal installationPrice;
    
    /**
     * 安装价格（含税）
     */
    @ApiModelProperty(value = "安装价格（含税）")
    private BigDecimal installationRatePrice;
    
    /**
     * 报装价格(不含税)
     */
    @ApiModelProperty(value = "安装价格（不含税）")
    private BigDecimal expandPrice;
    
    /**
     * 报装价格（含税）
     */
    @ApiModelProperty(value = "报装价格（含税）")
    private BigDecimal expandRatePrice;
    
    /**
     * 备注说明
     */
    @ApiModelProperty(value = "备注说明")
    private String description;
    
    /**
     * 创建人
     */
    @ApiModelProperty(hidden = true)
    private String createAccount;
    
    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;
    
    /**
     * 修改人
     */
    @ApiModelProperty(hidden = true)
    private String modifyAccount;
    
    /**
     * 修改时间
     */
    @ApiModelProperty(hidden = true)
    private Date modifyTime;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public Integer getContractId() {
        return contractId;
    }
    
    public void setContractId(Integer contractId) {
        this.contractId = contractId;
    }
    
    public BigDecimal getSurveyRatePrice() {
        return surveyRatePrice;
    }
    
    public void setSurveyRatePrice(BigDecimal surveyRatePrice) {
        this.surveyRatePrice = surveyRatePrice;
    }
    
    public BigDecimal getInstallationRatePrice() {
        return installationRatePrice;
    }
    
    public void setInstallationRatePrice(BigDecimal installationRatePrice) {
        this.installationRatePrice = installationRatePrice;
    }
    
    public String getDescription() {
        return description;
    }
    
    public void setDescription(String description) {
        this.description = description;
    }
    
    public String getCreateAccount() {
        return createAccount;
    }
    
    public void setCreateAccount(String createAccount) {
        this.createAccount = createAccount;
    }
    
    public Date getCreateTime() {
        return createTime;
    }
    
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
    public String getModifyAccount() {
        return modifyAccount;
    }
    
    public void setModifyAccount(String modifyAccount) {
        this.modifyAccount = modifyAccount;
    }
    
    public Date getModifyTime() {
        return modifyTime;
    }
    
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }
    
    public String getRegionId() {
        return regionId;
    }
    
    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }
    
    public BigDecimal getTaxRate() {
        return taxRate;
    }
    
    public BigDecimal getSurveyPrice() {
        return surveyPrice;
    }
    
    public BigDecimal getInstallationPrice() {
        return installationPrice;
    }
    
    public BigDecimal getExpandPrice() {
        return expandPrice;
    }
    
    public BigDecimal getExpandRatePrice() {
        return expandRatePrice;
    }
    
    public void setTaxRate(BigDecimal taxRate) {
        this.taxRate = taxRate;
    }
    
    public void setSurveyPrice(BigDecimal surveyPrice) {
        this.surveyPrice = surveyPrice;
    }
    
    public void setInstallationPrice(BigDecimal installationPrice) {
        this.installationPrice = installationPrice;
    }
    
    public void setExpandPrice(BigDecimal expandPrice) {
        this.expandPrice = expandPrice;
    }
    
    public void setExpandRatePrice(BigDecimal expandRatePrice) {
        this.expandRatePrice = expandRatePrice;
    }
}