package com.starcharge.wios.dao.entity;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

public class OperateLog {
    /**
     * 主键id
     */
    @ApiModelProperty(hidden = true)
    private Integer id;
    
    /**
     * 类型(1：订单2：主机厂附件上传)
     */
    @ApiModelProperty(hidden = true)
    private Integer type;
    
    /**
     * 第三方id
     */
    @ApiModelProperty(hidden = true)
    private String thirdPartyId;
    
    /**
     * 变更前名称
     */
    @ApiModelProperty(value = "变更前名称")
    private String preName;
    
    /**
     * 变更前值
     */
    @ApiModelProperty(value = "变更前值")
    private String preValue;
    
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;
    
    /**
     * 值
     */
    @ApiModelProperty(value = "值")
    private String value;
    
    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String desc;
    
    /**
     * 创建人id
     */
    @ApiModelProperty(hidden = true)
    private Integer createAccount;
    
    /**
     * 创建人姓名
     */
    @ApiModelProperty(value = "创建人姓名")
    private String createAccountName;
    
    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public Integer getType() {
        return type;
    }
    
    public void setType(Integer type) {
        this.type = type;
    }
    
    public String getThirdPartyId() {
        return thirdPartyId;
    }
    
    public void setThirdPartyId(String thirdPartyId) {
        this.thirdPartyId = thirdPartyId;
    }
    
    public String getPreName() {
        return preName;
    }
    
    public void setPreName(String preName) {
        this.preName = preName;
    }
    
    public String getPreValue() {
        return preValue;
    }
    
    public void setPreValue(String preValue) {
        this.preValue = preValue;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    
    public String getValue() {
        return value;
    }
    
    public void setValue(String value) {
        this.value = value;
    }
    
    public String getDesc() {
        return desc;
    }
    
    public void setDesc(String desc) {
        this.desc = desc;
    }
    
    public Integer getCreateAccount() {
        return createAccount;
    }
    
    public void setCreateAccount(Integer createAccount) {
        this.createAccount = createAccount;
    }
    
    public String getCreateAccountName() {
        return createAccountName;
    }
    
    public void setCreateAccountName(String createAccountName) {
        this.createAccountName = createAccountName;
    }
    
    public Date getCreateTime() {
        return createTime;
    }
    
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}