package com.starcharge.wios.dao.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
/**
 * @Description 操作日志删除备份
 * @author liwenxiang
 * @date 2021/7/28 16:44
 */
@Data
public class OperateLogDelete {
    /**
     * 主键id
     */
    @ApiModelProperty(hidden = true)
    private Integer id;

    /**
     * 类型(1：订单2：主机厂附件上传)
     */
    @ApiModelProperty(hidden = true)
    private Integer type;

    /**
     * 第三方id
     */
    @ApiModelProperty(hidden = true)
    private String thirdPartyId;

    /**
     * 变更前名称
     */
    @ApiModelProperty(value = "变更前名称")
    private String preName;

    /**
     * 变更前值
     */
    @ApiModelProperty(value = "变更前值")
    private String preValue;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;

    /**
     * 值
     */
    @ApiModelProperty(value = "值")
    private String value;

    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String desc;

    /**
     * 创建人id
     */
    @ApiModelProperty(hidden = true)
    private Integer createAccount;

    /**
     * 创建人姓名
     */
    @ApiModelProperty(value = "创建人姓名")
    private String createAccountName;

    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;
}