package com.starcharge.wios.dao.entity;

import java.math.BigDecimal;
import java.util.Date;

public class WorkCenterPeople {
    /**
     * 表id，主键，供其他表做外键
     */
    private Long id;
    
    /**
     * 帐套组
     */
    private Long workcenterResId;
    
    /**
     * 帐套组人员名称
     */
    private String workcenterPeopleName;
    
    /**
     * 技能水平
     */
    private String skillLevels;
    
    /**
     * 单位费率
     */
    private BigDecimal rate;
    
    /**
     * 人员
     */
    private Long contactId;
    
    /**
     * 用户
     */
    private Long userId;
    
    /**
     * 组织，url值集：amdm.organization
     */
    private Long orgId;
    
    /**
     * 描述
     */
    private String description;
    
    /**
     * 是否启用，默认1
     */
    private Integer enabledFlag;
    
    /**
     * 租户id
     */
    private Long tenantId;
    
    private Date creationDate;
    
    private Long createdBy;
    
    private Long lastUpdatedBy;
    
    private Date lastUpdateDate;
    
    public Long getId() {
        return id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }
    
    public Long getWorkcenterResId() {
        return workcenterResId;
    }
    
    public void setWorkcenterResId(Long workcenterResId) {
        this.workcenterResId = workcenterResId;
    }
    
    public String getWorkcenterPeopleName() {
        return workcenterPeopleName;
    }
    
    public void setWorkcenterPeopleName(String workcenterPeopleName) {
        this.workcenterPeopleName = workcenterPeopleName;
    }
    
    public String getSkillLevels() {
        return skillLevels;
    }
    
    public void setSkillLevels(String skillLevels) {
        this.skillLevels = skillLevels;
    }
    
    public BigDecimal getRate() {
        return rate;
    }
    
    public void setRate(BigDecimal rate) {
        this.rate = rate;
    }
    
    public Long getContactId() {
        return contactId;
    }
    
    public void setContactId(Long contactId) {
        this.contactId = contactId;
    }
    
    public Long getUserId() {
        return userId;
    }
    
    public void setUserId(Long userId) {
        this.userId = userId;
    }
    
    public Long getOrgId() {
        return orgId;
    }
    
    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }
    
    public String getDescription() {
        return description;
    }
    
    public void setDescription(String description) {
        this.description = description;
    }
    
    public Integer getEnabledFlag() {
        return enabledFlag;
    }
    
    public void setEnabledFlag(Integer enabledFlag) {
        this.enabledFlag = enabledFlag;
    }
    
    public Long getTenantId() {
        return tenantId;
    }
    
    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }
    
    public Date getCreationDate() {
        return creationDate;
    }
    
    public void setCreationDate(Date creationDate) {
        this.creationDate = creationDate;
    }
    
    public Long getCreatedBy() {
        return createdBy;
    }
    
    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }
    
    public Long getLastUpdatedBy() {
        return lastUpdatedBy;
    }
    
    public void setLastUpdatedBy(Long lastUpdatedBy) {
        this.lastUpdatedBy = lastUpdatedBy;
    }
    
    public Date getLastUpdateDate() {
        return lastUpdateDate;
    }
    
    public void setLastUpdateDate(Date lastUpdateDate) {
        this.lastUpdateDate = lastUpdateDate;
    }
}