package com.starcharge.wios.dao.entity;

import java.math.BigDecimal;
import java.util.Date;

public class WorkCenterRes {
    /**
     * 表id，主键，供其他表做外键
     */
    private Long id;
    
    /**
     * 帐套组名称
     */
    private String name;
    
    /**
     * 区域
     */
    private Long workcenterId;
    
    /**
     * 三方服务商
     */
    private Long thirdPartyId;
    
    /**
     * 资源数
     */
    private BigDecimal resQty;
    
    /**
     * 工种
     */
    private String profession;
    
    /**
     * 级别
     */
    private String rank;
    
    /**
     * 是否签派/计划员
     */
    private Integer plannerFlag;
    
    /**
     * 负责人
     */
    private Long resOwnerId;
    
    /**
     * 启用成本核算
     */
    private Integer costFlag;
    
    /**
     * 小时费率
     */
    private BigDecimal rate;
    
    /**
     * 单次使用费
     */
    private BigDecimal reteTimes;
    
    /**
     * 描述
     */
    private String description;
    
    /**
     * 是否启用，默认1
     */
    private Integer enabledFlag;
    
    /**
     * 租户id
     */
    private Long tenantId;
    
    private Date creationDate;
    
    private Long createdBy;
    
    private Long lastUpdatedBy;
    
    private Date lastUpdateDate;
    
    public Long getId() {
        return id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    
    public Long getWorkcenterId() {
        return workcenterId;
    }
    
    public void setWorkcenterId(Long workcenterId) {
        this.workcenterId = workcenterId;
    }
    
    public Long getThirdPartyId() {
        return thirdPartyId;
    }
    
    public void setThirdPartyId(Long thirdPartyId) {
        this.thirdPartyId = thirdPartyId;
    }
    
    public BigDecimal getResQty() {
        return resQty;
    }
    
    public void setResQty(BigDecimal resQty) {
        this.resQty = resQty;
    }
    
    public String getProfession() {
        return profession;
    }
    
    public void setProfession(String profession) {
        this.profession = profession;
    }
    
    public String getRank() {
        return rank;
    }
    
    public void setRank(String rank) {
        this.rank = rank;
    }
    
    public Integer getPlannerFlag() {
        return plannerFlag;
    }
    
    public void setPlannerFlag(Integer plannerFlag) {
        this.plannerFlag = plannerFlag;
    }
    
    public Long getResOwnerId() {
        return resOwnerId;
    }
    
    public void setResOwnerId(Long resOwnerId) {
        this.resOwnerId = resOwnerId;
    }
    
    public Integer getCostFlag() {
        return costFlag;
    }
    
    public void setCostFlag(Integer costFlag) {
        this.costFlag = costFlag;
    }
    
    public BigDecimal getRate() {
        return rate;
    }
    
    public void setRate(BigDecimal rate) {
        this.rate = rate;
    }
    
    public BigDecimal getReteTimes() {
        return reteTimes;
    }
    
    public void setReteTimes(BigDecimal reteTimes) {
        this.reteTimes = reteTimes;
    }
    
    public String getDescription() {
        return description;
    }
    
    public void setDescription(String description) {
        this.description = description;
    }
    
    public Integer getEnabledFlag() {
        return enabledFlag;
    }
    
    public void setEnabledFlag(Integer enabledFlag) {
        this.enabledFlag = enabledFlag;
    }
    
    public Long getTenantId() {
        return tenantId;
    }
    
    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }
    
    public Date getCreationDate() {
        return creationDate;
    }
    
    public void setCreationDate(Date creationDate) {
        this.creationDate = creationDate;
    }
    
    public Long getCreatedBy() {
        return createdBy;
    }
    
    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }
    
    public Long getLastUpdatedBy() {
        return lastUpdatedBy;
    }
    
    public void setLastUpdatedBy(Long lastUpdatedBy) {
        this.lastUpdatedBy = lastUpdatedBy;
    }
    
    public Date getLastUpdateDate() {
        return lastUpdateDate;
    }
    
    public void setLastUpdateDate(Date lastUpdateDate) {
        this.lastUpdateDate = lastUpdateDate;
    }
}