package com.starcharge.wios.dao.mappers;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.starcharge.wios.dao.entity.Department;
import com.starcharge.wios.vo.DepartmentVo;

public interface DepartmentMapper {
    int delete(Integer id);
    
    int insert(Department department);
    
    int insertDynamic(Department department);
    
    int updateDynamic(Department department);
    
    int update(Department department);
    
    Department selectById(Integer id);
    
    List<Department> selectByParentId(int parentId);
    
    List<DepartmentVo> selectAll(@Param("status") Integer status);
    
    int updateIdTree(@Param("idTreeNewPrefix") String idTreeNewPrefix, @Param("idTreePrefix") String idTreePrefix);
}