package com.starcharge.wios.dao.mappers;

import com.starcharge.wios.dao.entity.Dictionary;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DictionaryMapper {
    int delete(String id);
    
    int insert(Dictionary dictionary);
    
    int insertDynamic(Dictionary dictionary);
    
    int updateDynamic(Dictionary dictionary);
    
    int update(Dictionary dictionary);
    
    Dictionary selectById(String id);
    
    List<Dictionary> selectValidByType(@Param("type") String type, @Param("name") String name, @Param("value") String value);
    
    int deleteByType(String type);
    
    int batchInsert(List<Dictionary> list);

    List<Dictionary> selectValidById(@Param("type") String type, @Param("name") String name,@Param("id")  String id);
}