package com.starcharge.wios.dao.mappers;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.starcharge.wios.dao.entity.OemContractItem;
import com.starcharge.wios.vo.OemContractItemVo;

public interface OemContractItemMapper {
    int delete(Integer id);
    
    int insert(OemContractItem oemContractItem);
    
    int insertDynamic(OemContractItem oemContractItem);
    
    int updateDynamic(OemContractItem oemContractItem);
    
    int update(OemContractItem oemContractItem);
    
    OemContractItem selectById(Integer id);
    
    List<OemContractItemVo> selectByContractId(@Param("contractId") int contractId);
    
    List<OemContractItem> selectPureByContractId(@Param("contractId") int contractId);
    
    List<OemContractItemVo> selectByContractIdAndItemId(@Param("contractId") int contractId, @Param("itemId") String itemId);
    
    List<OemContractItem> selectByItemId(@Param("itemId") String itemId);
    
    int batchInsert(List<OemContractItem> list);
    
    int deleteByContractId(@Param("contractId") int contractId);
}