package com.starcharge.wios.dao.mappers;

import com.starcharge.wios.bo.OperateLogBo;
import com.starcharge.wios.dao.entity.OperateLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OperateLogMapper {
    int delete(Integer id);
    
    int insert(OperateLog operateLog);
    
    int insertDynamic(OperateLog operateLog);
    
    int updateDynamic(OperateLog operateLog);
    
    int update(OperateLog operateLog);
    
    OperateLog selectById(Integer id);
    
    
    List<OperateLog> selectByExample(OperateLogBo condition);

    OperateLog getNewestCheckFailByOrderId(@Param("orderId") String orderId, @Param("name")String name);

    int deleteByOrderId(String orderId);
}