package com.starcharge.wios.dao.mappers;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.starcharge.wios.dao.entity.OrderInstall;
import com.starcharge.wios.vo.OrderInstallVo;

public interface OrderInstallMapper {
    int delete(Integer id);
    
    int insert(OrderInstall orderInstall);
    
    int insertDynamic(OrderInstall orderInstall);
    
    int updateDynamic(OrderInstall orderInstall);
    
    int updateByOrderId(OrderInstall orderInstall);
    
    int update(OrderInstall orderInstall);
    
    OrderInstall selectById(Integer id);
    
    OrderInstall selectByOrderId(String orderId);
    
    List<OrderInstallVo> selectByOrderIds(@Param("orderIds") List<String> orderIds);
}