package com.starcharge.wios.dao.mappers;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.starcharge.wios.dao.entity.Order;
import com.starcharge.wios.dao.entity.OrderScore;


public interface OrderScoreMapper {

    int insert(OrderScore orderScore);

    int update(OrderScore orderScore);

    /**
     * 通过编码和主表id更新明细表记录
     * @param orderScore
     * @return
     */
    int updateByCode(OrderScore orderScore);

    OrderScore selectById(Long id);

    Double getScoreByOrderId(String orderId);

    OrderScore selectByExample(OrderScore orderScore);

    List<OrderScore> getListByOrderId(String orderId);

    List<Order> getOrderListLessThan60(@Param("supplierId") Long supplierId,@Param("regionId") Long regionId, @Param("month") String month);

    int insertOrderScore(String orderId);
    
    List<OrderScore> selectByTypeAndOrderIds(@Param("type") int type, @Param("orderIds") List<String> orderIds);
}