package com.starcharge.wios.dao.mappers;

import org.apache.ibatis.annotations.Param;

import com.starcharge.wios.dao.entity.OrderSurvey;

import java.util.List;

public interface OrderSurveyMapper {
    int delete(Integer id);
    
    int insert(OrderSurvey orderSurvey);
    
    int insertDynamic(OrderSurvey orderSurvey);
    
    int updateDynamic(OrderSurvey orderSurvey);
    
    int update(OrderSurvey orderSurvey);
    
    OrderSurvey selectById(Integer id);
    
    OrderSurvey selectByOrderId(@Param("orderId") String orderId, @Param("type") Integer type);

    List<OrderSurvey> selectListByOrderId(String orderId);
}