package com.starcharge.wios.dao.mappers;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.starcharge.wios.dao.entity.Region;

public interface RegionMapper {
    int delete(Integer id);
    
    int insert(Region region);
    
    int insertDynamic(Region region);
    
    int updateDynamic(Region region);
    
    int update(Region region);
    
    Region selectById(Integer id);
    
    List<Region> selectByParentId(int parentId);
    
    List<Region> selectAll(@Param("status") Integer status, @Param("ids") List<Integer> ids);
    
    List<Region> selectByName(String name);
    
    List<Region> selectSelfAndChildren(String idTree);
    
    List<Region> selectByCode(String code);
    
    int updateIdTree(@Param("idTreeNewPrefix") String idTreeNewPrefix, @Param("idTreePrefix") String idTreePrefix);
}