package com.starcharge.wios.dao.mappers;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.starcharge.wios.dao.entity.ScoreSupplierDetail;


public interface ScoreSupplierDetailMapper {

    int insert(ScoreSupplierDetail scoreSupplierDetail);

    int update(ScoreSupplierDetail scoreSupplierDetail);

    /**
     * 通过编码和主表id更新明细表记录
     * @param scoreSupplierDetail
     * @return
     */
    int updateByCode(ScoreSupplierDetail scoreSupplierDetail);

    ScoreSupplierDetail selectById(Integer id);

    List<ScoreSupplierDetail> selectByExample(ScoreSupplierDetail scoreSupplierDetail);

    List<ScoreSupplierDetail> getListByScoreSupplierId(Long scoreSupplierId);

    List<ScoreSupplierDetail> getListByScoreSupplierIdAndPCode(@Param("scoreSupplierId") Long scoreSupplierId,
        @Param("parentCode") String parentCode);
}