package com.starcharge.wios.dao.mappers;

import com.ihidea.core.base.CoreDao;
import com.starcharge.wios.dao.entity.ServiceProvider;
import com.starcharge.wios.dao.entity.ServiceProviderCriteria;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface ServiceProviderMapper extends CoreDao {
    int countByExample(ServiceProviderCriteria example);

    int deleteByExample(ServiceProviderCriteria example);

    int deleteByPrimaryKey(Integer id);

    int insert(ServiceProvider record);

    int insertSelective(ServiceProvider record);

    List<ServiceProvider> selectByExample(ServiceProviderCriteria example);

    ServiceProvider selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") ServiceProvider record, @Param("example") ServiceProviderCriteria example);

    int updateByExample(@Param("record") ServiceProvider record, @Param("example") ServiceProviderCriteria example);

    int updateByPrimaryKeySelective(ServiceProvider record);

    int updateByPrimaryKey(ServiceProvider record);

    @Select("select count(*) from t_service_provider WHERE service_token = #{token} ")
    int countByToken(@Param("token") String token);
}