package com.starcharge.wios.dao.mappers;

import com.starcharge.wios.dao.entity.SettlementDetail;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SettlementDetailMapper {
    int delete(Integer id);
    
    int insert(SettlementDetail settlementDetail);
    
    int insertDynamic(SettlementDetail settlementDetail);
    
    int updateDynamic(SettlementDetail settlementDetail);
    
    int update(SettlementDetail settlementDetail);
    
    SettlementDetail selectById(Integer id);
    
    List<SettlementDetail> selectByOemId(@Param("oemId") int oemId, @Param("installFinishStartTime") String installFinishStartTime,
        @Param("installFinishEndTime") String installFinishEndTime);
    
    int batchUpdateSettlementId(@Param("idList") List<Integer> idList, @Param("settlementId") String settlementId);
    
    List<SettlementDetail> selectBySettlementId(@Param("settlementId") String settlementId);

    int deleteByOrderId(String orderId);
}