package com.starcharge.wios.dao.mappers;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.starcharge.wios.dao.entity.SupplierContractItem;
import com.starcharge.wios.vo.SupplierContractItemVo;

public interface SupplierContractItemMapper {
    int delete(Integer id);
    
    int insert(SupplierContractItem supplierContractItem);
    
    int insertDynamic(SupplierContractItem supplierContractItem);
    
    int updateDynamic(SupplierContractItem supplierContractItem);
    
    int update(SupplierContractItem supplierContractItem);
    
    SupplierContractItem selectById(Integer id);
    
    int batchInsert(List<SupplierContractItem> list);
    
    List<SupplierContractItemVo> selectByContractId(Integer contractId);
    
    List<SupplierContractItem> selectPureByContractId(@Param("contractId") int contractId);
    
    List<SupplierContractItem> selectByItemId(@Param("itemId") String itemId);
    
    int deleteByContractId(Integer contractId);
}