package com.starcharge.wios.dao.mappers;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.starcharge.wios.dao.entity.SupplierContractPackPrice;
import com.starcharge.wios.vo.SupplierContractPackPriceVo;

public interface SupplierContractPackPriceMapper {
    int delete(Integer id);
    
    int insert(SupplierContractPackPrice supplierContractPackPrice);
    
    int insertDynamic(SupplierContractPackPrice supplierContractPackPrice);
    
    int updateDynamic(SupplierContractPackPrice supplierContractPackPrice);
    
    int update(SupplierContractPackPrice supplierContractPackPrice);
    
    SupplierContractPackPrice selectById(Integer id);
    
    int batchInsert(@Param("list") List<SupplierContractPackPrice> list);
    
    List<SupplierContractPackPriceVo> selectByContractId(Integer contractId);
    
    List<SupplierContractPackPrice> selectPureByContractId(@Param("contractId") int contractId);
    
    int deleteByContractId(Integer contractId);
}