package com.starcharge.wios.dao.mappers;

import com.starcharge.wios.dao.entity.Tauxiliarymaterials;
import com.starcharge.wios.dao.entity.TauxiliarymaterialsAdd;
import com.starcharge.wios.dao.entity.TauxiliarymaterialsCriteria;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TauxiliarymaterialsMapper {
    long countByExample(TauxiliarymaterialsCriteria example);

    int deleteByExample(TauxiliarymaterialsCriteria example);

    int deleteByPrimaryKey(Integer id);

    int insert(Tauxiliarymaterials record);

    int insertSelective(TauxiliarymaterialsAdd record);

    List<Tauxiliarymaterials> selectByExample(TauxiliarymaterialsCriteria example);

    Tauxiliarymaterials selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") Tauxiliarymaterials record, @Param("example") TauxiliarymaterialsCriteria example);

    int updateByExample(@Param("record") Tauxiliarymaterials record, @Param("example") TauxiliarymaterialsCriteria example);

    int updateByPrimaryKeySelective(Tauxiliarymaterials record);

    int updateByPrimaryKey(Tauxiliarymaterials record);
    /**
     * 查询辅材申请列表
     *
     * @param tAuxiliaryMaterials 辅材申请
     * @return 辅材申请集合
     */
    List<Tauxiliarymaterials> selectTAuxiliaryMaterialsList(Tauxiliarymaterials tAuxiliaryMaterials);


    Tauxiliarymaterials getRecentTAuxiliaryMaterials(@Param("materialCode")String materialCode);

    int updateLogisticOrder(@Param("id")int id,@Param("logisticOrder")String logisticOrder);
}