package com.starcharge.wios.dao.mappers;

import com.ihidea.core.base.CoreDao;
import com.starcharge.wios.dao.entity.User;
import com.starcharge.wios.dao.entity.UserCriteria;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UserMapper extends CoreDao {
    long countByExample(UserCriteria example);

    int deleteByExample(UserCriteria example);

    int deleteByPrimaryKey(Integer id);

    int insert(User record);

    int insertSelective(User record);

    List<User> selectByExample(UserCriteria example);

    User selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") User record, @Param("example") UserCriteria example);

    int updateByExample(@Param("record") User record, @Param("example") UserCriteria example);

    int updateByPrimaryKeySelective(User record);

    int updateByPrimaryKey(User record);

    List<User> list(User entity);

    Integer count(User entity);
}