package com.starcharge.wios.dto;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;

public class InvoiceDTO {

    @ApiModelProperty(value = "发票id")
    private String id;// id

    @ApiModelProperty(value = "第三⽅发票 id")
    private String outInvoiceId;
    
    @ApiModelProperty(value = "抬头")
    private String invoiceTitle;// 抬头
    
    @ApiModelProperty(value = "总金额")
    private BigDecimal invoiceAmount;// 总金额
    
    @ApiModelProperty(value = "申请开票时间")
    private String applyTime;// 申请开票时间
    
    @ApiModelProperty(value = "开票状态，0待开票；1已开票；2已完成")
    private Integer status;// 开票状态，0待开票；1已开票；2已完成
    
    @ApiModelProperty(value = "开票类型,1增值税普通发票；2增值税专⽤发票")
    private Integer invoiceType;// 开票类型,1增值税普通发票；2增值税专⽤发票

    @ApiModelProperty(value = "发票材质 1：纸质发票， 2：电⼦发票")
    private Integer invoiceMaterial;

    @ApiModelProperty(value = "发票号")
    private String invoiceNumber;
    
    @ApiModelProperty(value = "申请人账号")
    private String applyAccount;// 申请人账号
    
    @ApiModelProperty(value = "开票主体类型，1：个⼈，2：企业")
    private Integer businessType;// 开票主体类型，1：个⼈，2：企业
    
    @ApiModelProperty(value = "开票方")
    private String finalInvoiceCompanyName;// 开票方

    public String getOutInvoiceId() {
        return outInvoiceId;
    }

    public void setOutInvoiceId(String outInvoiceId) {
        this.outInvoiceId = outInvoiceId;
    }

    public String getInvoiceNumber() {
        return invoiceNumber;
    }

    public void setInvoiceNumber(String invoiceNumber) {
        this.invoiceNumber = invoiceNumber;
    }

    public Integer getInvoiceMaterial() {
        return invoiceMaterial;
    }

    public void setInvoiceMaterial(Integer invoiceMaterial) {
        this.invoiceMaterial = invoiceMaterial;
    }

    public String getInvoiceTitle() {
        return invoiceTitle;
    }
    
    public BigDecimal getInvoiceAmount() {
        return invoiceAmount;
    }
    
    public String getApplyTime() {
        return applyTime;
    }
    
    
    public String getApplyAccount() {
        return applyAccount;
    }
    
    
    public void setInvoiceTitle(String invoiceTitle) {
        this.invoiceTitle = invoiceTitle;
    }
    
    public void setInvoiceAmount(BigDecimal invoiceAmount) {
        this.invoiceAmount = invoiceAmount;
    }
    
    public void setApplyTime(String applyTime) {
        this.applyTime = applyTime;
    }
    
    
    public void setApplyAccount(String applyAccount) {
        this.applyAccount = applyAccount;
    }
    
    
    public Integer getInvoiceType() {
        return invoiceType;
    }
    
    public Integer getBusinessType() {
        return businessType;
    }
    
    
    public void setInvoiceType(Integer invoiceType) {
        this.invoiceType = invoiceType;
    }
    
    public void setBusinessType(Integer businessType) {
        this.businessType = businessType;
    }
    
    public Integer getStatus() {
        return status;
    }
    
    public void setStatus(Integer status) {
        this.status = status;
    }
    
    public String getFinalInvoiceCompanyName() {
        return finalInvoiceCompanyName;
    }
    
    public void setFinalInvoiceCompanyName(String finalInvoiceCompanyName) {
        this.finalInvoiceCompanyName = finalInvoiceCompanyName;
    }
    
    public String getId() {
        return id;
    }
    
    public void setId(String id) {
        this.id = id;
    }
    
}
