package com.starcharge.wios.dto;

import com.starcharge.wios.dao.entity.OrderScore;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

public class OrderScoreDTO {

    @ApiModelProperty(value = "订单编号")
    private String orderId;

    @ApiModelProperty(value = "回访建议")
    private String visitContent;

    @ApiModelProperty(value = "回访人id")
    private Integer visitorId;

    @ApiModelProperty(value = "回访人姓名")
    private String visitorName;

    @ApiModelProperty(value = "回访时间")
    private Date visitTime;

    @ApiModelProperty(value = "回访评分明细")
    private List<OrderScore> orderScoreList;

    @ApiModelProperty(value = "图片，多张逗号隔开")
    private String files;

    @ApiModelProperty(value = "是否已评分")
    private Boolean hasScore;

    public String getOrderId(){
        return orderId;
    }
    public void setOrderId(String orderId){
        this.orderId = orderId;
    }

    public String getVisitContent(){
        return visitContent;
    }
    public void setVisitContent(String visitContent){
        this.visitContent = visitContent;
    }

    public String getVisitorName(){
        return visitorName;
    }
    public void setVisitorName(String visitorName){
        this.visitorName = visitorName;
    }

    public Integer getVisitorId(){
        return visitorId;
    }
    public void setVisitorId(Integer visitorId){
        this.visitorId = visitorId;
    }

    public Date getVisitTime(){
        return visitTime;
    }
    public void setVisitTime(Date visitTime){
        this.visitTime = visitTime;
    }

    public List<OrderScore> getOrderScoreList(){
        return orderScoreList;
    }
    public void setOrderScoreList(List<OrderScore> orderScoreList){
        this.orderScoreList = orderScoreList;
    }

    public String getFiles() {
        return files;
    }

    public void setFiles(String files) {
        this.files = files;
    }

    public Boolean getHasScore() {
        return hasScore;
    }

    public void setHasScore(Boolean hasScore) {
        this.hasScore = hasScore;
    }
}
