package com.starcharge.wios.query;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 */
@Data
public class FlowQuery {

    @ApiModelProperty(value = "页码", required = true, example = "1")
    private Integer pageIndex;

    @ApiModelProperty(value = "每页记录数", required = true, example = "50")
    private Integer pageSize;

    @ApiModelProperty(value = "是否分页", required = true, example = "true")
    private Boolean isPaged;

    @ApiModelProperty(value = "工单编号")
    private String id;

    @ApiModelProperty(value = "墙盒编号")
    private String wallBoxNo;

    @ApiModelProperty(value = "墙盒类型")
    private String wallBoxType;

    @ApiModelProperty(value = "车主姓名")
    private String userName;

    @ApiModelProperty(value = "车主电话")
    private String userPhone;

    @ApiModelProperty(value = "车企单号")
    private String outOrderId;

}
