package com.starcharge.wios.query;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author tzx
 */
@Data
public class OrderQuery {
    @ApiModelProperty("安装单号")
    private String id;
    @ApiModelProperty("车企安装单号")
    private String outOrderId;
    @ApiModelProperty("车主姓名")
    private String userName;
    @ApiModelProperty("车主电话")
    private String userPhone;
    @ApiModelProperty("车主性别")
    private Integer userSex;
    @ApiModelProperty("车型")
    private String vehicleModel;
    @ApiModelProperty("发票日期")
    private String invoiceTime;
    @ApiModelProperty("车辆底盘号")
    private String vehicleChassisNo;
    @ApiModelProperty("车位号")
    private String vehicleParkingNo;
    @ApiModelProperty("车位状态")
    private String vehicleParkingStatus;
    @ApiModelProperty("主机厂/业务名称")
    private String oemName;
    @ApiModelProperty("主机厂id")
    private Integer oemId;
    @ApiModelProperty("主机厂/业务代码")
    private Integer oemCode;
    @ApiModelProperty("经销商名称")
    private String oemAgentName;
    @ApiModelProperty("经销商信息")
    private String oemAgentInfo;
    @ApiModelProperty("经销商联系人")
    private String oemAgentContactName;
    @ApiModelProperty("经销商联系电话")
    private String oemAgentContactPhone;
    @ApiModelProperty("经销商代码")
    private String oemAgentCode;
    @ApiModelProperty("墙盒套包类型")
    private String packType;
    @ApiModelProperty("墙盒品牌")
    private String wallBoxModel;
    @ApiModelProperty("墙盒型号")
    private String itemModel;
    @ApiModelProperty("是否需要人工派单")
    private Integer manuDispatchEnable;
    @ApiModelProperty("区域")
    private Integer regionId;
    @ApiModelProperty("安装地址")
    private String address;
    @ApiModelProperty("地址经度")
    private String addressLng;
    @ApiModelProperty("地址纬度")
    private String addressLat;
    @ApiModelProperty("订单来源")
    private String orderSource;
    @ApiModelProperty("订单类型")
    private String type;
}
