package com.starcharge.wios.vo;

import java.util.List;

import com.starcharge.wios.dao.entity.CamsAccount;
import com.starcharge.wios.dao.entity.Department;

import io.swagger.annotations.ApiModelProperty;

public class CamsAccountVo extends CamsAccount {

    @ApiModelProperty(value = "用户名字")
    private String userName;
    
    @ApiModelProperty(value = "登陆手机号")
    private String userAccount;
    
    @ApiModelProperty(value = "用户邮箱")
    private String userEmail;
    
    @ApiModelProperty(value = "区域名称")
    private String regionName;
    
    @ApiModelProperty(value = "角色名字")
    private String roleName;
    
    @ApiModelProperty(value = "部门名称")
    private String deptName;
    
    @ApiModelProperty(hidden = true)
    private Integer roleId;// 角色id
    
    @ApiModelProperty(hidden = true)
    private Department dept;// 部门
    
    @ApiModelProperty(hidden = true)
    private List<RegionVo> regions;// 区域
    
    public String getUserName() {
        return userName;
    }
    
    public String getUserAccount() {
        return userAccount;
    }
    
    public String getRegionName() {
        return regionName;
    }
    
    public String getRoleName() {
        return roleName;
    }
    
    public void setUserName(String userName) {
        this.userName = userName;
    }
    
    public void setUserAccount(String userAccount) {
        this.userAccount = userAccount;
    }
    
    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }
    
    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }
    
    public String getDeptName() {
        return deptName;
    }
    
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    
    public Integer getRoleId() {
        return roleId;
    }
    
    public Department getDept() {
        return dept;
    }
    
    public List<RegionVo> getRegions() {
        return regions;
    }
    
    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }
    
    public void setDept(Department dept) {
        this.dept = dept;
    }
    
    public void setRegions(List<RegionVo> regions) {
        this.regions = regions;
    }
    
    public String getUserEmail() {
        return userEmail;
    }
    
    public void setUserEmail(String userEmail) {
        this.userEmail = userEmail;
    }
    
}
