package com.starcharge.wios.vo;

import com.starcharge.wios.dao.entity.OrderSurvey;
import com.starcharge.wios.dao.entity.UploadFile;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class OrderSurveyVo extends OrderSurvey {
    @ApiModelProperty(hidden = true)
    private List<UploadFile> files;
    
    @ApiModelProperty(hidden = true)
    private List<OrderInstallItemVo> itemFees;
    
    
    public List<UploadFile> getFiles() {
        return files;
    }
    
    public void setFiles(List<UploadFile> files) {
        this.files = files;
    }
    
    public List<OrderInstallItemVo> getItemFees() {
        return itemFees;
    }
    
    public void setItemFees(List<OrderInstallItemVo> itemFees) {
        this.itemFees = itemFees;
    }

    @ApiModelProperty(value = "上次审核不通过原因描述")
    private String checkFailDesc;

    /**
     *勘测墙盒型号
     */
    @ApiModelProperty(value = "墙盒型号（勘测）")
    private String surveyWallboxModel;
    /**
     *勘测墙盒设备型号
     */
    @ApiModelProperty(value = "墙盒设备型号（勘测）")
    private String surveyItemModel;

    public String getCheckFailDesc() {
        return checkFailDesc;
    }

    public void setCheckFailDesc(String checkFailDesc) {
        this.checkFailDesc = checkFailDesc;
    }

    public String getSurveyWallboxModel() {
        return surveyWallboxModel;
    }

    public void setSurveyWallboxModel(String surveyWallboxModel) {
        this.surveyWallboxModel = surveyWallboxModel;
    }

    public String getSurveyItemModel() {
        return surveyItemModel;
    }

    public void setSurveyItemModel(String surveyItemModel) {
        this.surveyItemModel = surveyItemModel;
    }
}
