package com.starcharge.wios.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @projectName:xr-wios
 * @packageName:com.starcharge.wios.vo
 * @Description:TODO
 * @Author:luyincheng
 * @CreateDate: 2023/9/2710:26
 */
@Data
public class TauxiliarymaterialsExcelVo {
    /**
     * id
     *
     * @mbg.generated
     */
    @ExcelProperty("id")
    private Integer id;

    /**
     * 物料编码
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "物料编码")
    private String materialCode;

    /**
     * 物料名称
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "物料名称")
    private String materialName;

    /**
     * 计量单位
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "计量单位")
    private String measurementUnit;

    /**
     * 申请数量
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "申请数量")
    private String applyQuantity;

    /**
     * 批准数量
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "批准数量")
    private String approvedQuantity;

    /**
     * SAP当前库存数
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "SAP当前库存数")
    private String currentySap;

    /**
     * 近一个月用量（SAP）
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "近一个月用量（SAP）")
    private String monthAmountSap;

    /**
     * 近一年用量
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "近一年用量")
    private String yearAmount;

    /**
     * 申请状态  已申请  已驳回  已通过  已关闭
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "申请状态  已申请  已驳回  已通过  已关闭")
    private String applyStatus;

    /**
     * 申请团队
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "申请团队")
    private String team;

    /**
     * 物流状态  未发货  已发货
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "物流状态  未发货  已发货")
    private String logisticStatus;

    /**
     * 收货状态  未收货  已收货
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "收货状态  未收货  已收货")
    private String receivingStatus;

    /**
     * 收货人
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "收货人")
    private String recipents;

    /**
     * 收货地址
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "收货地址")
    private String receiveAddress;

    /**
     * 联系电话
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "联系电话")
    private String receivePhone;

    /**
     * 申请时间
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "申请时间")
    private LocalDateTime applyTime;

    /**
     * 审核人
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "审核人")
    private String checkUser;

    /**
     * 审核人姓名
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "审核人姓名")
    private String checkUserName;

    /**
     * 审核时间
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "审核时间")
    private LocalDateTime checkTime;

    /**
     * 审核意见
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "审核意见")
    private String checkSuggestion;

    /**
     * 创建人
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "创建人")
    private String createdBy;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "创建时间")
    private LocalDateTime createdTime;

    /**
     * 更新人
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "更新时间")
    private LocalDateTime updatedTime;
    /**
     * 安装单号
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "安装单号")
    private String installOrder;

    /**
     * 规格型号
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "规格型号")
    private String specification;

    /**
     * 物流单号
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "物流单号")
    private String logisticOrder;

    /**
     * 申请时库存
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "申请时库存")
    private String applyInventory;
    /**
     * 申请单号
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "申请单号")
    private String applyOrder;
    /**
     * 绑定仓库id
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "绑定仓库id")
    private String warehouseId;
}
