package com.starcharge.wios.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 墙盒申请详情页面
 * <p>
 *
 * @author <a href="mail to: ning.chai@foxmail.com" rel="nofollow">chaining</a>
 */
@Data
public class WallboxApplyDetailVO {


    /**
     * t_order数据
     */
    @ApiModelProperty(value = "客户姓名")
    private String userName;

    @ApiModelProperty(value = "联系电话")
    private String userPhone;

    @ApiModelProperty(value = "安装单号")
    private String orderId;

    @ApiModelProperty(value = "墙盒设备型号")
    private String itemModel;

    @ApiModelProperty(value = "墙盒设备编号")
    private String wallboxCode;

    @ApiModelProperty(value = "墙盒品牌")
    private String wallboxModel;


    /**
     * t_wallbox_apply
     */
    @ApiModelProperty(value = "物流单号")
    private String trackingNumber;
    @ApiModelProperty(value = "物流状态0未发货，1已发货")
    private String trackingStatus;
    @ApiModelProperty(value = "墙盒是否申请")
    private String checkStatus;

    /**
     * t_delivery
     */
    @ApiModelProperty(value = "物流供应商")
    private String logisticCompany;

    /**
     * 物流接口
     */
    //发货客户名称
    private String shipperName;
    //发货联系人名称
    private String contactName;
    //联系人手机
    private String contactMobile;
    //收货人联系姓名
    private String receiverCustName;
    //接货人联系手机
    private String receiveMobile;
    //接货人联系电话
    private String receivePhone;

}
