package com.starcharge.wios.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * description
 * <p>
 *
 * @author <a href="mail to: ning.chai@foxmail.com" rel="nofollow">chaining</a>
 */
@Data
public class WallboxApplyReqVO {

    /** 申请团队名称 */
    @ApiModelProperty(value = "申请团队名称", required = true)
    private String supplierTeam;

    /** 区域id */
    @ApiModelProperty(value = "区域id", required = true)
    private String regionId;

    /** 申请状态：0：已申请，1：已通过，2：已驳回，3：已关闭 */
    @ApiModelProperty(value = "申请状态", notes = "0：已申请，1：已通过，2：已驳回，3：已关闭", example = "1", required = true)
    private Long checkStatus;


    /** 墙盒设备型号（对应物料id） */
    @ApiModelProperty(value = "墙盒设备型号（对应物料id）",  required = false)
    private String wallboxItemId;

    /** 物流状态0未发货，1已发货 */
    @ApiModelProperty(value = "物流状态0未发货，1已发货",  required = false)
    private String trackingStatus;
}
