package com.starcharge.wios.wx.vo;

import com.starcharge.wios.dao.entity.OperateLog;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @author kevin
 * @create 2020/11/2 20:18
 */
public class MinaOrderDetailVO{
    @ApiModelProperty(value = "订单信息", required = true)
    private MinaOrderVO order;

    @ApiModelProperty(value = "订单操作日志")
    private List<MinaOrderOperateLogVO> operateLogList;

    @ApiModelProperty(value = "账单信息")
    private WxBillVO bill;

    public List<MinaOrderOperateLogVO> getOperateLogList() {
        return operateLogList;
    }

    public void setOperateLogList(List<MinaOrderOperateLogVO> operateLogList) {
        this.operateLogList = operateLogList;
    }

    public MinaOrderVO getOrder() {
        return order;
    }

    public void setOrder(MinaOrderVO order) {
        this.order = order;
    }

    public WxBillVO getBill() {
        return bill;
    }

    public void setBill(WxBillVO bill) {
        this.bill = bill;
    }
}
