package com.starcharge.wios.wx.vo;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @author kevin
 * @create 2020/11/2 21:06
 */
public class MinaOrderOperateLogVO implements Serializable {

    @ApiModelProperty(value = "操作编号", required = true)
    private Integer id;

    @ApiModelProperty(value = "操作状态码", required = true)
    private String name;

    @ApiModelProperty(value = "操作名称", required = true)
    private String value;

    @ApiModelProperty(value = "操作时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "操作代码", required = true)
    private String code;

    @ApiModelProperty(value = "是否显示详情", required = true)
    private Boolean showDetail=Boolean.FALSE;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Boolean getShowDetail() {
        return showDetail;
    }

    public void setShowDetail(Boolean showDetail) {
        this.showDetail = showDetail;
    }
}
