package com.starcharge.wios.wx.vo;

import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonTypeInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.Extension;
import io.swagger.annotations.ExtensionProperty;

import java.math.BigDecimal;

/**
 * @author kevin
 * @create 2020/11/2 20:18
 */
@ApiModel
public class MinaOrderProcessDetailVO<T> {
    @ApiModelProperty(value = "订单信息", required = true)
    private MinaOrderVO order;

    @ApiModelProperty(value = "订单进度详情")
    private T processDetail;

    /**
     * 报装单价
     */
    private BigDecimal expandPrice;

    public BigDecimal getExpandPrice() {
        return expandPrice;
    }

    public void setExpandPrice(BigDecimal expandPrice) {
        this.expandPrice = expandPrice;
    }

    public MinaOrderVO getOrder() {
        return order;
    }

    public void setOrder(MinaOrderVO order) {
        this.order = order;
    }

    public T getProcessDetail() {
        return processDetail;
    }

    public void setProcessDetail(T processDetail) {
        this.processDetail = processDetail;
    }
}
