package com.starcharge.wios.wx.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @author kevin
 * @create 2020/11/3 10:43
 */
@ApiModel
public class MinaOrderReserveVO {

    /**
     * 员工姓名
     */
    @ApiModelProperty(value = "员工姓名")
    private String staffName;

    /**
     * 员工电话
     */
    @ApiModelProperty(value = "员工电话")
    private String staffPhone;

    /**
     * 预约时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "预约时间")
    private Date reserveTime;

    /**
     * 客户姓名
     */
    @ApiModelProperty(value = "客户姓名")
    private String clientName;

    /**
     * 客户手机号
     */
    @ApiModelProperty(value = "客户手机号")
    private String clientPhone;

    /**
     * 注册cams plus 手机号
     */
    @ApiModelProperty(value = "CAMS APP账号")
    private String camsPhone;

    @ApiModelProperty(value = "备注")
    private String remark;

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getStaffPhone() {
        return staffPhone;
    }

    public void setStaffPhone(String staffPhone) {
        this.staffPhone = staffPhone;
    }

    public Date getReserveTime() {
        return reserveTime;
    }

    public void setReserveTime(Date reserveTime) {
        this.reserveTime = reserveTime;
    }

    public String getClientName() {
        return clientName;
    }

    public void setClientName(String clientName) {
        this.clientName = clientName;
    }

    public String getClientPhone() {
        return clientPhone;
    }

    public void setClientPhone(String clientPhone) {
        this.clientPhone = clientPhone;
    }

    public String getCamsPhone() {
        return camsPhone;
    }

    public void setCamsPhone(String camsPhone) {
        this.camsPhone = camsPhone;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
