package com.starcharge.wios.dao;

import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.ihidea.core.util.JSONUtilsEx;
import com.starcharge.wios.dao.entity.OemContract;
import com.starcharge.wios.enums.ContractStatus;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class OemContractDaoTest {
    
    @Autowired
    OemContractDao oemContractDao;
    
    @Test
    public void test() {
        List<OemContract> list = oemContractDao.selectSimpleByStatusAndOemId(80, ContractStatus.EFFECTIVE.getType());
        System.out.println(JSONUtilsEx.serialize(list));
    }
    
}
