package com.starcharge.wios.dao;

import java.util.ArrayList;
import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.ihidea.core.util.JSONUtilsEx;
import com.starcharge.wios.dao.entity.SupplierContract;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class SupplierContractDaoTest {
    
    @Autowired
    private SupplierContractDao supplierContractDao;
    
    @Test
    public void test() {
        List<String> regionIdList = new ArrayList<String>();
        regionIdList.add("1");
        regionIdList.add("56");
        List<SupplierContract> list = supplierContractDao.selectByRegionId(regionIdList,null);
        System.out.println(JSONUtilsEx.serialize(list));
    }
    
}
