package com.starcharge.wios.service;

import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.ihidea.core.util.JSONUtilsEx;
import com.starcharge.wios.bo.OemBo;
import com.starcharge.wios.dao.entity.Oem;
import com.starcharge.wios.vo.OemVo;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@ActiveProfiles(value = "test")
public class OemServiceTest {
    
    @Autowired
    OemService oemService;
    
    @Test
    public void test() {
        OemBo condition = new OemBo();
        condition.setHasContract(1);
        condition.setStatus(1);
        condition.setType(2);
        condition.setParentId(82);
        condition.setShowOemChildren(1);
        List<OemVo> list = oemService.getList(condition);
        if (!list.isEmpty())
            System.out.println(JSONUtilsEx.serialize(list));
    }
    
    @Test
    public void test2() {
        List<Oem> list = oemService.getSelfAndChildren(31);
        if (!list.isEmpty())
            System.out.println(JSONUtilsEx.serialize(list));
    }
    
    @Test
    public void test3() {
        boolean xx = oemService.checkExist("004", "主机厂全称1", null);
        System.out.println(xx);
    }
}
