package com.starcharge.wios.service;

import java.util.Arrays;
import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.starcharge.wios.dao.entity.Region;
import com.starcharge.wios.dao.mappers.RegionMapper;
import com.starcharge.wios.vo.RegionVo;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class RegionServiceTest {
    
    @Autowired
    private RegionService regionService;
    
    @Autowired
    private RegionMapper regionMapper;
    @Autowired
    private SupplierService supplierService;
    
    @Test
    public void test() {
        Region region = new Region();
        region.setCode("14342");
        region.setName("杭州");
        region.setParentId(10);
        region.setRemark("测试");
        regionService.add(region);
    }
    
    @Test
    public void test1() {
        List<RegionVo> dispatchConfig = supplierService.getDispatchConfig(30);
        System.out.println(dispatchConfig.size());
    }
    
}
