package com.starcharge.wios.service;

import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.ihidea.core.util.JSONUtilsEx;
import com.starcharge.wios.bo.ReportOrderBo;
import com.starcharge.wios.dto.ReportOrderDTO;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@ActiveProfiles(value = "test")
public class ReportServiceTest {
    
    @Autowired
    private ReportService reportService;
    
    @Test
    public void test() {
        List<ReportOrderDTO> xx = reportService.installEfficiency(new ReportOrderBo());
        System.out.println(JSONUtilsEx.serialize(xx));
    }
    
}
