package com.starcharge.wios.service;

import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.ihidea.core.util.JSONUtilsEx;
import com.starcharge.wios.bo.SupplierBo;
import com.starcharge.wios.dao.SupplierDao;
import com.starcharge.wios.vo.SupplierVo;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class SupplierServiceTest {
    
    @Autowired
    SupplierService supplierService;
    
    @Autowired
    SupplierDao supplierDao;
    
    @Test
    public void test() {
        boolean xx = supplierService.checkExist("123", null, null);
        System.out.println(xx);
    }
    
    @Test
    public void test1() {
        SupplierBo condition = new SupplierBo();
        condition.setHasContract(1);
        List<SupplierVo> list = supplierDao.getList(condition);
        System.out.println(JSONUtilsEx.serialize(list));
    }
    
}
