package com.starcharge.wios.service;

import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.ihidea.core.util.JSONUtilsEx;
import com.starcharge.wios.bo.SupplierStaffBo;
import com.starcharge.wios.vo.SupplierStaffVo;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class SupplierStaffServiceTest {
    
    @Autowired
    SupplierStaffService staffService;
    
    @Test
    public void test() {
        SupplierStaffBo condition = new SupplierStaffBo();
        condition.setShowCertExpired(0);
        List<SupplierStaffVo> list = staffService.getList(condition);
        System.out.println(JSONUtilsEx.serialize(list));
    }
    
}
