package com.starcharge.api.remote;

import com.ihidea.component.api.v2.BaseResponse;
import com.starcharge.wios.auth.vo.LoginInfo;
import com.starcharge.wios.bo.api.ResponseMessage;
import com.starcharge.wios.query.*;
import com.starcharge.wios.vo.TaskVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * 手动补偿接口
 */
@FeignClient(url = "${womc.orderUrl}", name = "OrderInformRemote")
public interface OrderInformRemote {

    @PostMapping("/installtion_endreason_notification")
    ResponseMessage<String> installtionEndreasonNotification(@RequestHeader("sso_token") String ssoToken,InstalltionEndreasonNotificationBO bo);

    @PostMapping("/installtion_status_notification")
    ResponseMessage<String> installtionStatusNotification(@RequestHeader("sso_token") String ssoToken,OrderInformBO bo);
}
