package com.starcharge.component.datastore.dao;

import com.ihidea.core.base.CoreDao;
import com.starcharge.component.datastore.dao.model.CptDataInfo;
import com.starcharge.component.datastore.dao.model.CptDataInfoCriteria;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CptDataInfoMapper extends CoreDao {
    int countByExample(CptDataInfoCriteria example);

    int deleteByExample(CptDataInfoCriteria example);

    int deleteByPrimaryKey(String id);

    int insert(CptDataInfo record);

    int insertSelective(CptDataInfo record);

    List<CptDataInfo> selectByExample(CptDataInfoCriteria example);

    CptDataInfo selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") CptDataInfo record, @Param("example") CptDataInfoCriteria example);

    int updateByExample(@Param("record") CptDataInfo record, @Param("example") CptDataInfoCriteria example);

    int updateByPrimaryKeySelective(CptDataInfo record);

    int updateByPrimaryKey(CptDataInfo record);
}