package com.starcharge.wios.Import.impl;

import com.starcharge.wios.Import.Import;
import com.starcharge.wios.convert.DeliveryConvert;
import com.starcharge.wios.validation.CreateEntityGroup;
import com.starcharge.wios.vo.DeliveryAddVo;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import javax.validation.ConstraintViolation;
import java.util.List;
import java.util.Set;

/**
 * @projectName:wios
 * @packageName:com.starcharge.wios.Import.impl
 * @Description:TODO
 * @Author:luyincheng
 * @CreateDate: 2023/11/918:08
 */
@Service
public class AuxiliarymaterialsLogisticsOrdersImport implements Import {
    @Override
    public List<?> handle(List<Object> list) {
        for(int i=1;i<list.size();i++){
            List<String> rowdata = (List<String>)list.get(i);
            if(rowdata.size()<=1||StringUtils.isEmpty(rowdata.get(1))){
                rowdata.add("error:物流单号不能为空");
                continue;
            }
        }
        return list;
    }
}
