package com.starcharge.wios.app.dto;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;

public class AppOrderDetailDTO {

    @ApiModelProperty(value = "用户姓名")
    private String userName;

    @ApiModelProperty(value = "地址")
    private String address;// 地址
    
    @ApiModelProperty(value = "工单号")
    private String orderId;// 工单号
    
    @ApiModelProperty(value = "订单状态")
    private String statusText;// 订单状态
    
    @ApiModelProperty(value = "账单编号")
    private String billId;
    
    @ApiModelProperty(value = "账单状态0-未支付 1-已支付")
    private Integer billStatus;
    
    @ApiModelProperty(value = "操作日志列表")
    private List<AppOperateLogDTO> operateLogList;// 操作日志列表
    
    public String getAddress() {
        return address;
    }
    
    public String getOrderId() {
        return orderId;
    }
    
    public String getStatusText() {
        return statusText;
    }
    
    public void setAddress(String address) {
        this.address = address;
    }
    
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }
    
    public void setStatusText(String statusText) {
        this.statusText = statusText;
    }
    
    public List<AppOperateLogDTO> getOperateLogList() {
        return operateLogList;
    }
    
    public void setOperateLogList(List<AppOperateLogDTO> operateLogList) {
        this.operateLogList = operateLogList;
    }
    
    public String getUserName() {
        return userName;
    }
    
    public void setUserName(String userName) {
        this.userName = userName;
    }
    
    public String getBillId() {
        return billId;
    }
    
    public Integer getBillStatus() {
        return billStatus;
    }
    
    public void setBillId(String billId) {
        this.billId = billId;
    }
    
    public void setBillStatus(Integer billStatus) {
        this.billStatus = billStatus;
    }
    
}
