package com.starcharge.wios.auth.bo;

import com.starcharge.wios.auth.dao.model.Account;

import io.swagger.annotations.ApiModelProperty;

/**
 * 账户Bo
 * 
 * @author lilin
 * @version [版本号, 2020年5月26日]
 */
public class AccountBo extends Account {

    /**
     * 注释内容
     */
    private static final long serialVersionUID = 7285228643244592050L;
    
    /**
     * 角色id集合，用“,”分隔
     */
    @ApiModelProperty(value = "角色id", required = true)
    private String roleIds;
    
    /**
     * 主机厂/经销商id
     */
    @ApiModelProperty(value = "主机厂/经销商id")
    private Integer oemId;
    
    @ApiModelProperty(hidden = true)
    private Integer type;
    
    public String getRoleIds() {
        return roleIds;
    }

    public void setRoleIds(String roleIds) {
        this.roleIds = roleIds;
    }
    
    public Integer getOemId() {
        return oemId;
    }
    
    public void setOemId(Integer oemId) {
        this.oemId = oemId;
    }
    
    public Integer getType() {
        return type;
    }
    
    public void setType(Integer type) {
        this.type = type;
    }
    
}
