package com.starcharge.wios.bo.api;


import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;


public class ResponseMessage<T> implements Serializable {
    private static final long serialVersionUID = 3808233533283493241L;
    @ApiModelProperty("执行状态 0为成功")
    private int status;
    @ApiModelProperty("提示信息")
    private String message;
    @ApiModelProperty("业务数据")
    private T data;

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }
}