// package com.starcharge.wios.controller;
//
// import java.util.List;
//
// import org.springframework.beans.factory.annotation.Autowired;
// import org.springframework.web.bind.annotation.GetMapping;
// import org.springframework.web.bind.annotation.PostMapping;
// import org.springframework.web.bind.annotation.RequestMapping;
// import org.springframework.web.bind.annotation.RestController;
//
// import com.ihidea.component.api.v2.BaseResponse;
// import com.ihidea.core.support.exception.ServiceException;
// import com.starcharge.wios.bo.ItemBo;
// import com.starcharge.wios.dao.entity.Item;
// import com.starcharge.wios.service.ItemService;
// import com.starcharge.wios.vo.ItemVo;
//
// import io.swagger.annotations.Api;
// import io.swagger.annotations.ApiImplicitParam;
// import io.swagger.annotations.ApiImplicitParams;
// import io.swagger.annotations.ApiOperation;
//
/// **
// * 物料管理接口
// *
// * @author xgl
// * @version [版本号, 2020年9月22日]
// */
//@RestController
//@RequestMapping("api")
//@Api(tags = "物料管理接口")
// public class ItemController {
//
// @Autowired
// private ItemService itemService;
//
// /**
// * 添加单个物料
// *
// * @param item
// * @return
// */
// @PostMapping(value = "item/add")
// @ApiOperation(value = "添加单个物料")
// public BaseResponse<Object> add(Item item) {
// itemService.add(item);
// return new BaseResponse<>();
// }
//
// /**
// * 更新物料信息
// *
// * @param id
// * @return
// */
// @PostMapping(value = "item/update")
// @ApiOperation(value = "更新物料信息")
// @ApiImplicitParams({@ApiImplicitParam(name = "id", value = "主键id", dataType = "int", paramType = "query", required =
// true),})
// public BaseResponse<Object> update1(Item item) {
// if (item.getId() == null) {
// throw new ServiceException("缺少参数");
// }
// itemService.update(item.getId(), item);
// return new BaseResponse<>();
// }
//
// /**
// * 查询列表
// *
// * @param name
// * @param code
// * @param model
// * @param status
// * @return
// */
// @GetMapping(value = "item/all")
// @ApiOperation(value = "查询物料列表")
// @ApiImplicitParams({@ApiImplicitParam(paramType = "query", name = "name", value = "物料名称", required = false, dataType
// = "String"),
// @ApiImplicitParam(paramType = "query", name = "code", value = "物料编码", required = false, dataType = "String"),
// @ApiImplicitParam(paramType = "query", name = "model", value = "规格型号", required = false, dataType = "String"),
// @ApiImplicitParam(paramType = "query", name = "status", value = "状态", required = false, dataType = "int"),
// @ApiImplicitParam(paramType = "query", name = "addItem", value = "是否增项 0：否 1：是", required = false, dataType = "int"),
// @ApiImplicitParam(name = "page", value = "一页显示数量", dataType = "int", paramType = "query", required = false),
// @ApiImplicitParam(name = "pagecount", value = "页码", dataType = "int", paramType = "query", required = false),})
// public BaseResponse<List<ItemVo>> getAll(String name, String code, String model, Integer status, Integer addItem) {
// ItemBo item = new ItemBo();
// item.setName(name);
// item.setCode(code);
// item.setModel(model);
// item.setStatus(status);
// item.setAddItem(addItem);
// return new BaseResponse<List<ItemVo>>(itemService.getList(item));
// }
// }
