package com.starcharge.wios.convert;

import com.starcharge.wios.dao.entity.Reject;
import com.starcharge.wios.vo.RejectAddVo;
import com.starcharge.wios.vo.RejectCheckVo;
import com.starcharge.wios.vo.RejectExcelVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * @projectName:xr-wios
 * @packageName:com.starcharge.wios.convert
 * @Description:TODO
 * @Author:luyincheng
 * @CreateDate: 2023/10/818:37
 */
@Mapper
public interface RejectConvert {
    RejectConvert INSTANCE = Mappers.getMapper(RejectConvert.class);

    Reject convertAddVo(RejectAddVo deliveryAddVo);

    List<RejectExcelVo> convertExcelVoList(List<Reject> rejects);

    Reject convertCheckVo(RejectCheckVo rejectCheckVo);
}
