package com.starcharge.wios.dao;

import com.starcharge.wios.dao.entity.DispatchConfig;
import com.starcharge.wios.dao.entity.DispatchConfigCriteria;
import com.starcharge.wios.dao.mappers.DispatchConfigMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

@Repository
public class DispatchConfigDao {
    @Autowired
    private DispatchConfigMapper dispatchConfigMapper;

    public List<DispatchConfig> getDispatchConfigListByRegionId(Integer regionId) {
        return dispatchConfigMapper.getDispatchConfigListByRegionId(regionId);
    }

    public List<DispatchConfig> getDispatchConfigListByCondition(List<Integer> regionIdList,String supplierId) {
        return dispatchConfigMapper.getDispatchConfigListByCondition(regionIdList,supplierId);
    }


    public int insertSelective(DispatchConfig dispatchConfig) {
        return dispatchConfigMapper.insertSelective(dispatchConfig);
    }

    public int updateByPrimaryKeySelective(DispatchConfig dispatchConfig) {
        return dispatchConfigMapper.updateByPrimaryKeySelective(dispatchConfig);
    }

    public int deleteByExample(DispatchConfigCriteria example){
        return dispatchConfigMapper.deleteByExample(example);
    }

    public List<DispatchConfig> selectByExample(DispatchConfigCriteria example){
        return dispatchConfigMapper.selectByExample(example);
    }
}
