package com.starcharge.wios.dao;

import com.starcharge.wios.dao.entity.OperateLogDelete;
import com.starcharge.wios.dao.mappers.OperateLogDeleteMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Description 操作日志dao
 * @author liwenxiang
 * @date 2021/7/28 16:47
 */
@Repository
public class OperateLogDeleteDao {
    private static final Logger logger= LoggerFactory.getLogger(OperateLogDeleteDao.class);

    @Autowired
    private OperateLogDeleteMapper operateLogDeleteMapper;

    public void batchInsert(List<OperateLogDelete> systemInfoDeleteList) {
        operateLogDeleteMapper.batchInsert(systemInfoDeleteList);
    }
}
