package com.starcharge.wios.dao;

import com.starcharge.wios.dao.entity.OrderSurveyDelete;
import com.starcharge.wios.dao.mappers.OrderSurveyDeleteMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Description 勘察订单删除备份dao
 * @author liwenxiang
 * @date 2021/7/28 14:49
 */
@Repository
public class OrderSurveyDeleteDao {
    @Autowired
    private OrderSurveyDeleteMapper orderSurveyDeleteMapper;


    public void batchInsert(List<OrderSurveyDelete> orderSurveyDeleteList) {
        orderSurveyDeleteMapper.batchInsert(orderSurveyDeleteList);
    }
}
