package com.starcharge.wios.dao.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

public class ExpandPrice {
    /**
     * 主键id
     */
    @ApiModelProperty(hidden = true)
    private Integer id;
    
    /**
     * 区域id
     */
    @ApiModelProperty(value = "区域id")
    private Integer regionId;
    
    /**
     * 区域名称
     */
    @ApiModelProperty(value = "区域名称")
    private String regionName;
    
    /**
     * 价格
     */
    @ApiModelProperty(value = "价格")
    private BigDecimal price;
    
    /**
     * 状态 1：正常
     */
    @ApiModelProperty(hidden = true)
    private Integer status;
    
    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;
    
    /**
     * 创建人
     */
    @ApiModelProperty(hidden = true)
    private String createAccount;
    
    /**
     * 修改时间
     */
    @ApiModelProperty(hidden = true)
    private Date updateTime;
    
    /**
     * 修改人
     */
    @ApiModelProperty(hidden = true)
    private String updateAccount;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public Integer getRegionId() {
        return regionId;
    }
    
    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }
    
    public String getRegionName() {
        return regionName;
    }
    
    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }
    
    public BigDecimal getPrice() {
        return price;
    }
    
    public void setPrice(BigDecimal price) {
        this.price = price;
    }
    
    public Integer getStatus() {
        return status;
    }
    
    public void setStatus(Integer status) {
        this.status = status;
    }
    
    public Date getCreateTime() {
        return createTime;
    }
    
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
    public String getCreateAccount() {
        return createAccount;
    }
    
    public void setCreateAccount(String createAccount) {
        this.createAccount = createAccount;
    }
    
    public Date getUpdateTime() {
        return updateTime;
    }
    
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    
    public String getUpdateAccount() {
        return updateAccount;
    }
    
    public void setUpdateAccount(String updateAccount) {
        this.updateAccount = updateAccount;
    }
}