package com.starcharge.wios.dao.entity;

import java.util.Date;

public class ProvidersUser {
    /**
     * 表id，主键，供其他表做外键
     */
    private Long id;

    /**
     * 账号id
     */
    private Long userId;

    /**
     * 所属三方
     */
    private Long threePartyId;

    /**
     * 所属区域
     */
    private String region;

    /**
     * 电工证级别
     */
    private Long certificateLevel;

    /**
     * 电工证有效期
     */
    private Date certificateDate;

    /**
     * 员工状态
     */
    private String status;

    /**
     * 是否有保险
     */
    private Integer insuranceFlag;

    /**
     * 是否删除数据
     */
    private Integer isDelete;

    /**
     * 租户id
     */
    private Long tenantId;

    private Date creationDate;

    private Long createdBy;

    private Long lastUpdatedBy;

    private Date lastUpdateDate;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getThreePartyId() {
        return threePartyId;
    }

    public void setThreePartyId(Long threePartyId) {
        this.threePartyId = threePartyId;
    }

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public Long getCertificateLevel() {
        return certificateLevel;
    }

    public void setCertificateLevel(Long certificateLevel) {
        this.certificateLevel = certificateLevel;
    }

    public Date getCertificateDate() {
        return certificateDate;
    }

    public void setCertificateDate(Date certificateDate) {
        this.certificateDate = certificateDate;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getInsuranceFlag() {
        return insuranceFlag;
    }

    public void setInsuranceFlag(Integer insuranceFlag) {
        this.insuranceFlag = insuranceFlag;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public Date getCreationDate() {
        return creationDate;
    }

    public void setCreationDate(Date creationDate) {
        this.creationDate = creationDate;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Long getLastUpdatedBy() {
        return lastUpdatedBy;
    }

    public void setLastUpdatedBy(Long lastUpdatedBy) {
        this.lastUpdatedBy = lastUpdatedBy;
    }

    public Date getLastUpdateDate() {
        return lastUpdateDate;
    }

    public void setLastUpdateDate(Date lastUpdateDate) {
        this.lastUpdateDate = lastUpdateDate;
    }
}