package com.starcharge.wios.dao.entity;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

public class RejectCriteria {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public RejectCriteria() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andRejectOrderIsNull() {
            addCriterion("reject_order is null");
            return (Criteria) this;
        }

        public Criteria andRejectOrderIsNotNull() {
            addCriterion("reject_order is not null");
            return (Criteria) this;
        }

        public Criteria andRejectOrderEqualTo(String value) {
            addCriterion("reject_order =", value, "rejectOrder");
            return (Criteria) this;
        }

        public Criteria andRejectOrderNotEqualTo(String value) {
            addCriterion("reject_order <>", value, "rejectOrder");
            return (Criteria) this;
        }

        public Criteria andRejectOrderGreaterThan(String value) {
            addCriterion("reject_order >", value, "rejectOrder");
            return (Criteria) this;
        }

        public Criteria andRejectOrderGreaterThanOrEqualTo(String value) {
            addCriterion("reject_order >=", value, "rejectOrder");
            return (Criteria) this;
        }

        public Criteria andRejectOrderLessThan(String value) {
            addCriterion("reject_order <", value, "rejectOrder");
            return (Criteria) this;
        }

        public Criteria andRejectOrderLessThanOrEqualTo(String value) {
            addCriterion("reject_order <=", value, "rejectOrder");
            return (Criteria) this;
        }

        public Criteria andRejectOrderLike(String value) {
            addCriterion("reject_order like", value, "rejectOrder");
            return (Criteria) this;
        }

        public Criteria andRejectOrderNotLike(String value) {
            addCriterion("reject_order not like", value, "rejectOrder");
            return (Criteria) this;
        }

        public Criteria andRejectOrderIn(List<String> values) {
            addCriterion("reject_order in", values, "rejectOrder");
            return (Criteria) this;
        }

        public Criteria andRejectOrderNotIn(List<String> values) {
            addCriterion("reject_order not in", values, "rejectOrder");
            return (Criteria) this;
        }

        public Criteria andRejectOrderBetween(String value1, String value2) {
            addCriterion("reject_order between", value1, value2, "rejectOrder");
            return (Criteria) this;
        }

        public Criteria andRejectOrderNotBetween(String value1, String value2) {
            addCriterion("reject_order not between", value1, value2, "rejectOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderIsNull() {
            addCriterion("install_order is null");
            return (Criteria) this;
        }

        public Criteria andInstallOrderIsNotNull() {
            addCriterion("install_order is not null");
            return (Criteria) this;
        }

        public Criteria andInstallOrderEqualTo(String value) {
            addCriterion("install_order =", value, "installOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderNotEqualTo(String value) {
            addCriterion("install_order <>", value, "installOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderGreaterThan(String value) {
            addCriterion("install_order >", value, "installOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderGreaterThanOrEqualTo(String value) {
            addCriterion("install_order >=", value, "installOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderLessThan(String value) {
            addCriterion("install_order <", value, "installOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderLessThanOrEqualTo(String value) {
            addCriterion("install_order <=", value, "installOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderLike(String value) {
            addCriterion("install_order like", value, "installOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderNotLike(String value) {
            addCriterion("install_order not like", value, "installOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderIn(List<String> values) {
            addCriterion("install_order in", values, "installOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderNotIn(List<String> values) {
            addCriterion("install_order not in", values, "installOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderBetween(String value1, String value2) {
            addCriterion("install_order between", value1, value2, "installOrder");
            return (Criteria) this;
        }

        public Criteria andInstallOrderNotBetween(String value1, String value2) {
            addCriterion("install_order not between", value1, value2, "installOrder");
            return (Criteria) this;
        }

        public Criteria andProductBatchIsNull() {
            addCriterion("product_batch is null");
            return (Criteria) this;
        }

        public Criteria andProductBatchIsNotNull() {
            addCriterion("product_batch is not null");
            return (Criteria) this;
        }

        public Criteria andProductBatchEqualTo(String value) {
            addCriterion("product_batch =", value, "productBatch");
            return (Criteria) this;
        }

        public Criteria andProductBatchNotEqualTo(String value) {
            addCriterion("product_batch <>", value, "productBatch");
            return (Criteria) this;
        }

        public Criteria andProductBatchGreaterThan(String value) {
            addCriterion("product_batch >", value, "productBatch");
            return (Criteria) this;
        }

        public Criteria andProductBatchGreaterThanOrEqualTo(String value) {
            addCriterion("product_batch >=", value, "productBatch");
            return (Criteria) this;
        }

        public Criteria andProductBatchLessThan(String value) {
            addCriterion("product_batch <", value, "productBatch");
            return (Criteria) this;
        }

        public Criteria andProductBatchLessThanOrEqualTo(String value) {
            addCriterion("product_batch <=", value, "productBatch");
            return (Criteria) this;
        }

        public Criteria andProductBatchLike(String value) {
            addCriterion("product_batch like", value, "productBatch");
            return (Criteria) this;
        }

        public Criteria andProductBatchNotLike(String value) {
            addCriterion("product_batch not like", value, "productBatch");
            return (Criteria) this;
        }

        public Criteria andProductBatchIn(List<String> values) {
            addCriterion("product_batch in", values, "productBatch");
            return (Criteria) this;
        }

        public Criteria andProductBatchNotIn(List<String> values) {
            addCriterion("product_batch not in", values, "productBatch");
            return (Criteria) this;
        }

        public Criteria andProductBatchBetween(String value1, String value2) {
            addCriterion("product_batch between", value1, value2, "productBatch");
            return (Criteria) this;
        }

        public Criteria andProductBatchNotBetween(String value1, String value2) {
            addCriterion("product_batch not between", value1, value2, "productBatch");
            return (Criteria) this;
        }

        public Criteria andQuantityIsNull() {
            addCriterion("quantity is null");
            return (Criteria) this;
        }

        public Criteria andQuantityIsNotNull() {
            addCriterion("quantity is not null");
            return (Criteria) this;
        }

        public Criteria andQuantityEqualTo(Integer value) {
            addCriterion("quantity =", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityNotEqualTo(Integer value) {
            addCriterion("quantity <>", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityGreaterThan(Integer value) {
            addCriterion("quantity >", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityGreaterThanOrEqualTo(Integer value) {
            addCriterion("quantity >=", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityLessThan(Integer value) {
            addCriterion("quantity <", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityLessThanOrEqualTo(Integer value) {
            addCriterion("quantity <=", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityIn(List<Integer> values) {
            addCriterion("quantity in", values, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityNotIn(List<Integer> values) {
            addCriterion("quantity not in", values, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityBetween(Integer value1, Integer value2) {
            addCriterion("quantity between", value1, value2, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityNotBetween(Integer value1, Integer value2) {
            addCriterion("quantity not between", value1, value2, "quantity");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryIsNull() {
            addCriterion("material_category is null");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryIsNotNull() {
            addCriterion("material_category is not null");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryEqualTo(String value) {
            addCriterion("material_category =", value, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryNotEqualTo(String value) {
            addCriterion("material_category <>", value, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryGreaterThan(String value) {
            addCriterion("material_category >", value, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryGreaterThanOrEqualTo(String value) {
            addCriterion("material_category >=", value, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryLessThan(String value) {
            addCriterion("material_category <", value, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryLessThanOrEqualTo(String value) {
            addCriterion("material_category <=", value, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryLike(String value) {
            addCriterion("material_category like", value, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryNotLike(String value) {
            addCriterion("material_category not like", value, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryIn(List<String> values) {
            addCriterion("material_category in", values, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryNotIn(List<String> values) {
            addCriterion("material_category not in", values, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryBetween(String value1, String value2) {
            addCriterion("material_category between", value1, value2, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCategoryNotBetween(String value1, String value2) {
            addCriterion("material_category not between", value1, value2, "materialCategory");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeIsNull() {
            addCriterion("material_code is null");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeIsNotNull() {
            addCriterion("material_code is not null");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeEqualTo(String value) {
            addCriterion("material_code =", value, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeNotEqualTo(String value) {
            addCriterion("material_code <>", value, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeGreaterThan(String value) {
            addCriterion("material_code >", value, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeGreaterThanOrEqualTo(String value) {
            addCriterion("material_code >=", value, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeLessThan(String value) {
            addCriterion("material_code <", value, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeLessThanOrEqualTo(String value) {
            addCriterion("material_code <=", value, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeLike(String value) {
            addCriterion("material_code like", value, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeNotLike(String value) {
            addCriterion("material_code not like", value, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeIn(List<String> values) {
            addCriterion("material_code in", values, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeNotIn(List<String> values) {
            addCriterion("material_code not in", values, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeBetween(String value1, String value2) {
            addCriterion("material_code between", value1, value2, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialCodeNotBetween(String value1, String value2) {
            addCriterion("material_code not between", value1, value2, "materialCode");
            return (Criteria) this;
        }

        public Criteria andMaterialNameIsNull() {
            addCriterion("material_name is null");
            return (Criteria) this;
        }

        public Criteria andMaterialNameIsNotNull() {
            addCriterion("material_name is not null");
            return (Criteria) this;
        }

        public Criteria andMaterialNameEqualTo(String value) {
            addCriterion("material_name =", value, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialNameNotEqualTo(String value) {
            addCriterion("material_name <>", value, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialNameGreaterThan(String value) {
            addCriterion("material_name >", value, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialNameGreaterThanOrEqualTo(String value) {
            addCriterion("material_name >=", value, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialNameLessThan(String value) {
            addCriterion("material_name <", value, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialNameLessThanOrEqualTo(String value) {
            addCriterion("material_name <=", value, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialNameLike(String value) {
            addCriterion("material_name like", value, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialNameNotLike(String value) {
            addCriterion("material_name not like", value, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialNameIn(List<String> values) {
            addCriterion("material_name in", values, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialNameNotIn(List<String> values) {
            addCriterion("material_name not in", values, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialNameBetween(String value1, String value2) {
            addCriterion("material_name between", value1, value2, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialNameNotBetween(String value1, String value2) {
            addCriterion("material_name not between", value1, value2, "materialName");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyIsNull() {
            addCriterion("material_company is null");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyIsNotNull() {
            addCriterion("material_company is not null");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyEqualTo(String value) {
            addCriterion("material_company =", value, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyNotEqualTo(String value) {
            addCriterion("material_company <>", value, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyGreaterThan(String value) {
            addCriterion("material_company >", value, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyGreaterThanOrEqualTo(String value) {
            addCriterion("material_company >=", value, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyLessThan(String value) {
            addCriterion("material_company <", value, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyLessThanOrEqualTo(String value) {
            addCriterion("material_company <=", value, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyLike(String value) {
            addCriterion("material_company like", value, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyNotLike(String value) {
            addCriterion("material_company not like", value, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyIn(List<String> values) {
            addCriterion("material_company in", values, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyNotIn(List<String> values) {
            addCriterion("material_company not in", values, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyBetween(String value1, String value2) {
            addCriterion("material_company between", value1, value2, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andMaterialCompanyNotBetween(String value1, String value2) {
            addCriterion("material_company not between", value1, value2, "materialCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderIsNull() {
            addCriterion("logistic_order is null");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderIsNotNull() {
            addCriterion("logistic_order is not null");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderEqualTo(String value) {
            addCriterion("logistic_order =", value, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderNotEqualTo(String value) {
            addCriterion("logistic_order <>", value, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderGreaterThan(String value) {
            addCriterion("logistic_order >", value, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderGreaterThanOrEqualTo(String value) {
            addCriterion("logistic_order >=", value, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderLessThan(String value) {
            addCriterion("logistic_order <", value, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderLessThanOrEqualTo(String value) {
            addCriterion("logistic_order <=", value, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderLike(String value) {
            addCriterion("logistic_order like", value, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderNotLike(String value) {
            addCriterion("logistic_order not like", value, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderIn(List<String> values) {
            addCriterion("logistic_order in", values, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderNotIn(List<String> values) {
            addCriterion("logistic_order not in", values, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderBetween(String value1, String value2) {
            addCriterion("logistic_order between", value1, value2, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticOrderNotBetween(String value1, String value2) {
            addCriterion("logistic_order not between", value1, value2, "logisticOrder");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyIsNull() {
            addCriterion("logistic_company is null");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyIsNotNull() {
            addCriterion("logistic_company is not null");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyEqualTo(String value) {
            addCriterion("logistic_company =", value, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyNotEqualTo(String value) {
            addCriterion("logistic_company <>", value, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyGreaterThan(String value) {
            addCriterion("logistic_company >", value, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyGreaterThanOrEqualTo(String value) {
            addCriterion("logistic_company >=", value, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyLessThan(String value) {
            addCriterion("logistic_company <", value, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyLessThanOrEqualTo(String value) {
            addCriterion("logistic_company <=", value, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyLike(String value) {
            addCriterion("logistic_company like", value, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyNotLike(String value) {
            addCriterion("logistic_company not like", value, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyIn(List<String> values) {
            addCriterion("logistic_company in", values, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyNotIn(List<String> values) {
            addCriterion("logistic_company not in", values, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyBetween(String value1, String value2) {
            addCriterion("logistic_company between", value1, value2, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andLogisticCompanyNotBetween(String value1, String value2) {
            addCriterion("logistic_company not between", value1, value2, "logisticCompany");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameIsNull() {
            addCriterion("warehouse_name is null");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameIsNotNull() {
            addCriterion("warehouse_name is not null");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameEqualTo(String value) {
            addCriterion("warehouse_name =", value, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameNotEqualTo(String value) {
            addCriterion("warehouse_name <>", value, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameGreaterThan(String value) {
            addCriterion("warehouse_name >", value, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameGreaterThanOrEqualTo(String value) {
            addCriterion("warehouse_name >=", value, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameLessThan(String value) {
            addCriterion("warehouse_name <", value, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameLessThanOrEqualTo(String value) {
            addCriterion("warehouse_name <=", value, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameLike(String value) {
            addCriterion("warehouse_name like", value, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameNotLike(String value) {
            addCriterion("warehouse_name not like", value, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameIn(List<String> values) {
            addCriterion("warehouse_name in", values, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameNotIn(List<String> values) {
            addCriterion("warehouse_name not in", values, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameBetween(String value1, String value2) {
            addCriterion("warehouse_name between", value1, value2, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameNotBetween(String value1, String value2) {
            addCriterion("warehouse_name not between", value1, value2, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdIsNull() {
            addCriterion("warehouse_id is null");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdIsNotNull() {
            addCriterion("warehouse_id is not null");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdEqualTo(Integer value) {
            addCriterion("warehouse_id =", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdNotEqualTo(Integer value) {
            addCriterion("warehouse_id <>", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdGreaterThan(Integer value) {
            addCriterion("warehouse_id >", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("warehouse_id >=", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdLessThan(Integer value) {
            addCriterion("warehouse_id <", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdLessThanOrEqualTo(Integer value) {
            addCriterion("warehouse_id <=", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdIn(List<Integer> values) {
            addCriterion("warehouse_id in", values, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdNotIn(List<Integer> values) {
            addCriterion("warehouse_id not in", values, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdBetween(Integer value1, Integer value2) {
            addCriterion("warehouse_id between", value1, value2, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdNotBetween(Integer value1, Integer value2) {
            addCriterion("warehouse_id not between", value1, value2, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andReasonIsNull() {
            addCriterion("reason is null");
            return (Criteria) this;
        }

        public Criteria andReasonIsNotNull() {
            addCriterion("reason is not null");
            return (Criteria) this;
        }

        public Criteria andReasonEqualTo(String value) {
            addCriterion("reason =", value, "reason");
            return (Criteria) this;
        }

        public Criteria andReasonNotEqualTo(String value) {
            addCriterion("reason <>", value, "reason");
            return (Criteria) this;
        }

        public Criteria andReasonGreaterThan(String value) {
            addCriterion("reason >", value, "reason");
            return (Criteria) this;
        }

        public Criteria andReasonGreaterThanOrEqualTo(String value) {
            addCriterion("reason >=", value, "reason");
            return (Criteria) this;
        }

        public Criteria andReasonLessThan(String value) {
            addCriterion("reason <", value, "reason");
            return (Criteria) this;
        }

        public Criteria andReasonLessThanOrEqualTo(String value) {
            addCriterion("reason <=", value, "reason");
            return (Criteria) this;
        }

        public Criteria andReasonLike(String value) {
            addCriterion("reason like", value, "reason");
            return (Criteria) this;
        }

        public Criteria andReasonNotLike(String value) {
            addCriterion("reason not like", value, "reason");
            return (Criteria) this;
        }

        public Criteria andReasonIn(List<String> values) {
            addCriterion("reason in", values, "reason");
            return (Criteria) this;
        }

        public Criteria andReasonNotIn(List<String> values) {
            addCriterion("reason not in", values, "reason");
            return (Criteria) this;
        }

        public Criteria andReasonBetween(String value1, String value2) {
            addCriterion("reason between", value1, value2, "reason");
            return (Criteria) this;
        }

        public Criteria andReasonNotBetween(String value1, String value2) {
            addCriterion("reason not between", value1, value2, "reason");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("status is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("status is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(String value) {
            addCriterion("status =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(String value) {
            addCriterion("status <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(String value) {
            addCriterion("status >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(String value) {
            addCriterion("status >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(String value) {
            addCriterion("status <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(String value) {
            addCriterion("status <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLike(String value) {
            addCriterion("status like", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotLike(String value) {
            addCriterion("status not like", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<String> values) {
            addCriterion("status in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<String> values) {
            addCriterion("status not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(String value1, String value2) {
            addCriterion("status between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(String value1, String value2) {
            addCriterion("status not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCheckTimeIsNull() {
            addCriterion("check_time is null");
            return (Criteria) this;
        }

        public Criteria andCheckTimeIsNotNull() {
            addCriterion("check_time is not null");
            return (Criteria) this;
        }

        public Criteria andCheckTimeEqualTo(LocalDateTime value) {
            addCriterion("check_time =", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeNotEqualTo(LocalDateTime value) {
            addCriterion("check_time <>", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeGreaterThan(LocalDateTime value) {
            addCriterion("check_time >", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("check_time >=", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeLessThan(LocalDateTime value) {
            addCriterion("check_time <", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeLessThanOrEqualTo(LocalDateTime value) {
            addCriterion("check_time <=", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeIn(List<LocalDateTime> values) {
            addCriterion("check_time in", values, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeNotIn(List<LocalDateTime> values) {
            addCriterion("check_time not in", values, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("check_time between", value1, value2, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeNotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("check_time not between", value1, value2, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckUserIsNull() {
            addCriterion("check_user is null");
            return (Criteria) this;
        }

        public Criteria andCheckUserIsNotNull() {
            addCriterion("check_user is not null");
            return (Criteria) this;
        }

        public Criteria andCheckUserEqualTo(String value) {
            addCriterion("check_user =", value, "checkUser");
            return (Criteria) this;
        }

        public Criteria andCheckUserNotEqualTo(String value) {
            addCriterion("check_user <>", value, "checkUser");
            return (Criteria) this;
        }

        public Criteria andCheckUserGreaterThan(String value) {
            addCriterion("check_user >", value, "checkUser");
            return (Criteria) this;
        }

        public Criteria andCheckUserGreaterThanOrEqualTo(String value) {
            addCriterion("check_user >=", value, "checkUser");
            return (Criteria) this;
        }

        public Criteria andCheckUserLessThan(String value) {
            addCriterion("check_user <", value, "checkUser");
            return (Criteria) this;
        }

        public Criteria andCheckUserLessThanOrEqualTo(String value) {
            addCriterion("check_user <=", value, "checkUser");
            return (Criteria) this;
        }

        public Criteria andCheckUserLike(String value) {
            addCriterion("check_user like", value, "checkUser");
            return (Criteria) this;
        }

        public Criteria andCheckUserNotLike(String value) {
            addCriterion("check_user not like", value, "checkUser");
            return (Criteria) this;
        }

        public Criteria andCheckUserIn(List<String> values) {
            addCriterion("check_user in", values, "checkUser");
            return (Criteria) this;
        }

        public Criteria andCheckUserNotIn(List<String> values) {
            addCriterion("check_user not in", values, "checkUser");
            return (Criteria) this;
        }

        public Criteria andCheckUserBetween(String value1, String value2) {
            addCriterion("check_user between", value1, value2, "checkUser");
            return (Criteria) this;
        }

        public Criteria andCheckUserNotBetween(String value1, String value2) {
            addCriterion("check_user not between", value1, value2, "checkUser");
            return (Criteria) this;
        }

        public Criteria andCheckUserNameIsNull() {
            addCriterion("check_user_name is null");
            return (Criteria) this;
        }

        public Criteria andCheckUserNameIsNotNull() {
            addCriterion("check_user_name is not null");
            return (Criteria) this;
        }

        public Criteria andCheckUserNameEqualTo(String value) {
            addCriterion("check_user_name =", value, "checkUserName");
            return (Criteria) this;
        }

        public Criteria andCheckUserNameNotEqualTo(String value) {
            addCriterion("check_user_name <>", value, "checkUserName");
            return (Criteria) this;
        }

        public Criteria andCheckUserNameGreaterThan(String value) {
            addCriterion("check_user_name >", value, "checkUserName");
            return (Criteria) this;
        }

        public Criteria andCheckUserNameGreaterThanOrEqualTo(String value) {
            addCriterion("check_user_name >=", value, "checkUserName");
            return (Criteria) this;
        }

        public Criteria andCheckUserNameLessThan(String value) {
            addCriterion("check_user_name <", value, "checkUserName");
            return (Criteria) this;
        }

        public Criteria andCheckUserNameLessThanOrEqualTo(String value) {
            addCriterion("check_user_name <=", value, "checkUserName");
            return (Criteria) this;
        }

        public Criteria andCheckUserNameLike(String value) {
            addCriterion("check_user_name like", value, "checkUserName");
            return (Criteria) this;
        }

        public Criteria andCheckUserNameNotLike(String value) {
            addCriterion("check_user_name not like", value, "checkUserName");
            return (Criteria) this;
        }

        public Criteria andCheckUserNameIn(List<String> values) {
            addCriterion("check_user_name in", values, "checkUserName");
            return (Criteria) this;
        }

        public Criteria andCheckUserNameNotIn(List<String> values) {
            addCriterion("check_user_name not in", values, "checkUserName");
            return (Criteria) this;
        }

        public Criteria andCheckUserNameBetween(String value1, String value2) {
            addCriterion("check_user_name between", value1, value2, "checkUserName");
            return (Criteria) this;
        }

        public Criteria andCheckUserNameNotBetween(String value1, String value2) {
            addCriterion("check_user_name not between", value1, value2, "checkUserName");
            return (Criteria) this;
        }

        public Criteria andCheckSuggestionIsNull() {
            addCriterion("check_suggestion is null");
            return (Criteria) this;
        }

        public Criteria andCheckSuggestionIsNotNull() {
            addCriterion("check_suggestion is not null");
            return (Criteria) this;
        }

        public Criteria andCheckSuggestionEqualTo(String value) {
            addCriterion("check_suggestion =", value, "checkSuggestion");
            return (Criteria) this;
        }

        public Criteria andCheckSuggestionNotEqualTo(String value) {
            addCriterion("check_suggestion <>", value, "checkSuggestion");
            return (Criteria) this;
        }

        public Criteria andCheckSuggestionGreaterThan(String value) {
            addCriterion("check_suggestion >", value, "checkSuggestion");
            return (Criteria) this;
        }

        public Criteria andCheckSuggestionGreaterThanOrEqualTo(String value) {
            addCriterion("check_suggestion >=", value, "checkSuggestion");
            return (Criteria) this;
        }

        public Criteria andCheckSuggestionLessThan(String value) {
            addCriterion("check_suggestion <", value, "checkSuggestion");
            return (Criteria) this;
        }

        public Criteria andCheckSuggestionLessThanOrEqualTo(String value) {
            addCriterion("check_suggestion <=", value, "checkSuggestion");
            return (Criteria) this;
        }

        public Criteria andCheckSuggestionLike(String value) {
            addCriterion("check_suggestion like", value, "checkSuggestion");
            return (Criteria) this;
        }

        public Criteria andCheckSuggestionNotLike(String value) {
            addCriterion("check_suggestion not like", value, "checkSuggestion");
            return (Criteria) this;
        }

        public Criteria andCheckSuggestionIn(List<String> values) {
            addCriterion("check_suggestion in", values, "checkSuggestion");
            return (Criteria) this;
        }

        public Criteria andCheckSuggestionNotIn(List<String> values) {
            addCriterion("check_suggestion not in", values, "checkSuggestion");
            return (Criteria) this;
        }

        public Criteria andCheckSuggestionBetween(String value1, String value2) {
            addCriterion("check_suggestion between", value1, value2, "checkSuggestion");
            return (Criteria) this;
        }

        public Criteria andCheckSuggestionNotBetween(String value1, String value2) {
            addCriterion("check_suggestion not between", value1, value2, "checkSuggestion");
            return (Criteria) this;
        }

        public Criteria andIsproductIsNull() {
            addCriterion("isproduct is null");
            return (Criteria) this;
        }

        public Criteria andIsproductIsNotNull() {
            addCriterion("isproduct is not null");
            return (Criteria) this;
        }

        public Criteria andIsproductEqualTo(Integer value) {
            addCriterion("isproduct =", value, "isproduct");
            return (Criteria) this;
        }

        public Criteria andIsproductNotEqualTo(Integer value) {
            addCriterion("isproduct <>", value, "isproduct");
            return (Criteria) this;
        }

        public Criteria andIsproductGreaterThan(Integer value) {
            addCriterion("isproduct >", value, "isproduct");
            return (Criteria) this;
        }

        public Criteria andIsproductGreaterThanOrEqualTo(Integer value) {
            addCriterion("isproduct >=", value, "isproduct");
            return (Criteria) this;
        }

        public Criteria andIsproductLessThan(Integer value) {
            addCriterion("isproduct <", value, "isproduct");
            return (Criteria) this;
        }

        public Criteria andIsproductLessThanOrEqualTo(Integer value) {
            addCriterion("isproduct <=", value, "isproduct");
            return (Criteria) this;
        }

        public Criteria andIsproductIn(List<Integer> values) {
            addCriterion("isproduct in", values, "isproduct");
            return (Criteria) this;
        }

        public Criteria andIsproductNotIn(List<Integer> values) {
            addCriterion("isproduct not in", values, "isproduct");
            return (Criteria) this;
        }

        public Criteria andIsproductBetween(Integer value1, Integer value2) {
            addCriterion("isproduct between", value1, value2, "isproduct");
            return (Criteria) this;
        }

        public Criteria andIsproductNotBetween(Integer value1, Integer value2) {
            addCriterion("isproduct not between", value1, value2, "isproduct");
            return (Criteria) this;
        }

        public Criteria andCreatedByIsNull() {
            addCriterion("CREATED_BY is null");
            return (Criteria) this;
        }

        public Criteria andCreatedByIsNotNull() {
            addCriterion("CREATED_BY is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedByEqualTo(String value) {
            addCriterion("CREATED_BY =", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotEqualTo(String value) {
            addCriterion("CREATED_BY <>", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByGreaterThan(String value) {
            addCriterion("CREATED_BY >", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByGreaterThanOrEqualTo(String value) {
            addCriterion("CREATED_BY >=", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLessThan(String value) {
            addCriterion("CREATED_BY <", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLessThanOrEqualTo(String value) {
            addCriterion("CREATED_BY <=", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLike(String value) {
            addCriterion("CREATED_BY like", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotLike(String value) {
            addCriterion("CREATED_BY not like", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByIn(List<String> values) {
            addCriterion("CREATED_BY in", values, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotIn(List<String> values) {
            addCriterion("CREATED_BY not in", values, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByBetween(String value1, String value2) {
            addCriterion("CREATED_BY between", value1, value2, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotBetween(String value1, String value2) {
            addCriterion("CREATED_BY not between", value1, value2, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeIsNull() {
            addCriterion("CREATED_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeIsNotNull() {
            addCriterion("CREATED_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeEqualTo(LocalDateTime value) {
            addCriterion("CREATED_TIME =", value, "createdTime");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeNotEqualTo(LocalDateTime value) {
            addCriterion("CREATED_TIME <>", value, "createdTime");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeGreaterThan(LocalDateTime value) {
            addCriterion("CREATED_TIME >", value, "createdTime");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("CREATED_TIME >=", value, "createdTime");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeLessThan(LocalDateTime value) {
            addCriterion("CREATED_TIME <", value, "createdTime");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeLessThanOrEqualTo(LocalDateTime value) {
            addCriterion("CREATED_TIME <=", value, "createdTime");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeIn(List<LocalDateTime> values) {
            addCriterion("CREATED_TIME in", values, "createdTime");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeNotIn(List<LocalDateTime> values) {
            addCriterion("CREATED_TIME not in", values, "createdTime");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("CREATED_TIME between", value1, value2, "createdTime");
            return (Criteria) this;
        }

        public Criteria andCreatedTimeNotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("CREATED_TIME not between", value1, value2, "createdTime");
            return (Criteria) this;
        }

        public Criteria andUpdatedByIsNull() {
            addCriterion("UPDATED_BY is null");
            return (Criteria) this;
        }

        public Criteria andUpdatedByIsNotNull() {
            addCriterion("UPDATED_BY is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatedByEqualTo(String value) {
            addCriterion("UPDATED_BY =", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByNotEqualTo(String value) {
            addCriterion("UPDATED_BY <>", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByGreaterThan(String value) {
            addCriterion("UPDATED_BY >", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByGreaterThanOrEqualTo(String value) {
            addCriterion("UPDATED_BY >=", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByLessThan(String value) {
            addCriterion("UPDATED_BY <", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByLessThanOrEqualTo(String value) {
            addCriterion("UPDATED_BY <=", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByLike(String value) {
            addCriterion("UPDATED_BY like", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByNotLike(String value) {
            addCriterion("UPDATED_BY not like", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByIn(List<String> values) {
            addCriterion("UPDATED_BY in", values, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByNotIn(List<String> values) {
            addCriterion("UPDATED_BY not in", values, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByBetween(String value1, String value2) {
            addCriterion("UPDATED_BY between", value1, value2, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByNotBetween(String value1, String value2) {
            addCriterion("UPDATED_BY not between", value1, value2, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeIsNull() {
            addCriterion("UPDATED_TIME is null");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeIsNotNull() {
            addCriterion("UPDATED_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeEqualTo(LocalDateTime value) {
            addCriterion("UPDATED_TIME =", value, "updatedTime");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeNotEqualTo(LocalDateTime value) {
            addCriterion("UPDATED_TIME <>", value, "updatedTime");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeGreaterThan(LocalDateTime value) {
            addCriterion("UPDATED_TIME >", value, "updatedTime");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("UPDATED_TIME >=", value, "updatedTime");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeLessThan(LocalDateTime value) {
            addCriterion("UPDATED_TIME <", value, "updatedTime");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeLessThanOrEqualTo(LocalDateTime value) {
            addCriterion("UPDATED_TIME <=", value, "updatedTime");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeIn(List<LocalDateTime> values) {
            addCriterion("UPDATED_TIME in", values, "updatedTime");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeNotIn(List<LocalDateTime> values) {
            addCriterion("UPDATED_TIME not in", values, "updatedTime");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("UPDATED_TIME between", value1, value2, "updatedTime");
            return (Criteria) this;
        }

        public Criteria andUpdatedTimeNotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("UPDATED_TIME not between", value1, value2, "updatedTime");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}