package com.starcharge.wios.dao.entity;

import com.ihidea.core.base.CoreEntity;

public class ServiceProvider extends CoreEntity {
    private Integer id;

    private String serviceName;

    private String serviceCode;

    private String serviceUserName;

    private String servicePhone;

    private String serviceToken;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName == null ? null : serviceName.trim();
    }

    public String getServiceCode() {
        return serviceCode;
    }

    public void setServiceCode(String serviceCode) {
        this.serviceCode = serviceCode == null ? null : serviceCode.trim();
    }

    public String getServiceUserName() {
        return serviceUserName;
    }

    public void setServiceUserName(String serviceUserName) {
        this.serviceUserName = serviceUserName == null ? null : serviceUserName.trim();
    }

    public String getServicePhone() {
        return servicePhone;
    }

    public void setServicePhone(String servicePhone) {
        this.servicePhone = servicePhone == null ? null : servicePhone.trim();
    }

    public String getServiceToken() {
        return serviceToken;
    }

    public void setServiceToken(String serviceToken) {
        this.serviceToken = serviceToken == null ? null : serviceToken.trim();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        ServiceProvider other = (ServiceProvider) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getServiceName() == null ? other.getServiceName() == null : this.getServiceName().equals(other.getServiceName()))
            && (this.getServiceCode() == null ? other.getServiceCode() == null : this.getServiceCode().equals(other.getServiceCode()))
            && (this.getServiceUserName() == null ? other.getServiceUserName() == null : this.getServiceUserName().equals(other.getServiceUserName()))
            && (this.getServicePhone() == null ? other.getServicePhone() == null : this.getServicePhone().equals(other.getServicePhone()))
            && (this.getServiceToken() == null ? other.getServiceToken() == null : this.getServiceToken().equals(other.getServiceToken()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getServiceName() == null) ? 0 : getServiceName().hashCode());
        result = prime * result + ((getServiceCode() == null) ? 0 : getServiceCode().hashCode());
        result = prime * result + ((getServiceUserName() == null) ? 0 : getServiceUserName().hashCode());
        result = prime * result + ((getServicePhone() == null) ? 0 : getServicePhone().hashCode());
        result = prime * result + ((getServiceToken() == null) ? 0 : getServiceToken().hashCode());
        return result;
    }
}