package com.starcharge.wios.dao.entity;

import java.math.BigDecimal;
import java.util.Date;

public class SupplierContractPackPrice {
    /**
     * 主键id
     */
    private Integer id;
    
    /**
     * 合同id
     */
    private Integer contractId;
    
    /**
     * 区域id
     */
    private Integer regionId;
    
    /**
     * 主机厂id
     */
    private Integer oemId;
    
    /**
     * 设备型号
     */
    private String deviceModel;
    
    /**
     * 线长
     */
    private Double cableLength;
    
    /**
     * 价格
     */
    private BigDecimal price;
    
    /**
     * 价格（含税）
     */
    private BigDecimal priceWithTax;
    
    /**
     * 线长2
     */
    private Double cableLengthTwo;
    
    /**
     * 价格2
     */
    private BigDecimal priceTwo;
    
    /**
     * 价格2（含税）
     */
    private BigDecimal priceWithTaxTwo;
    
    /**
     * 备注
     */
    private String remark;
    
    /**
     * 创建时间
     */
    private Date createTime;
    
    /**
     * 更新时间
     */
    private Date updateTime;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public Integer getContractId() {
        return contractId;
    }
    
    public void setContractId(Integer contractId) {
        this.contractId = contractId;
    }
    
    public Integer getRegionId() {
        return regionId;
    }
    
    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }
    
    public Integer getOemId() {
        return oemId;
    }
    
    public void setOemId(Integer oemId) {
        this.oemId = oemId;
    }
    
    public String getDeviceModel() {
        return deviceModel;
    }
    
    public void setDeviceModel(String deviceModel) {
        this.deviceModel = deviceModel;
    }
    
    public Double getCableLength() {
        return cableLength;
    }
    
    public void setCableLength(Double cableLength) {
        this.cableLength = cableLength;
    }
    
    public BigDecimal getPrice() {
        return price;
    }
    
    public void setPrice(BigDecimal price) {
        this.price = price;
    }
    
    public BigDecimal getPriceWithTax() {
        return priceWithTax;
    }
    
    public void setPriceWithTax(BigDecimal priceWithTax) {
        this.priceWithTax = priceWithTax;
    }
    
    public Double getCableLengthTwo() {
        return cableLengthTwo;
    }
    
    public void setCableLengthTwo(Double cableLengthTwo) {
        this.cableLengthTwo = cableLengthTwo;
    }
    
    public BigDecimal getPriceTwo() {
        return priceTwo;
    }
    
    public void setPriceTwo(BigDecimal priceTwo) {
        this.priceTwo = priceTwo;
    }
    
    public BigDecimal getPriceWithTaxTwo() {
        return priceWithTaxTwo;
    }
    
    public void setPriceWithTaxTwo(BigDecimal priceWithTaxTwo) {
        this.priceWithTaxTwo = priceWithTaxTwo;
    }
    
    public String getRemark() {
        return remark;
    }
    
    public void setRemark(String remark) {
        this.remark = remark;
    }
    
    public Date getCreateTime() {
        return createTime;
    }
    
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
    public Date getUpdateTime() {
        return updateTime;
    }
    
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}