package com.starcharge.wios.dao.entity;

import lombok.Data;

import java.util.Date;
/**
 * @Description 系统信息删除备份
 * @author liwenxiang
 * @date 2021/7/28 16:16
 */
@Data
public class SystemInfoDelete {
    private Integer id;

    /**
     * 标题
     */
    private String title;

    /**
     * 内容
     */
    private String content;

    /**
     * 第三方id
     */
    private String thirdPartyId;

    /**
     * 状态 0：未读 1：已读
     */
    private Integer status;

    /**
     * 0：异常通知 1：正常通知
     */
    private Integer type;

    /**
     * 所属账号id
     */
    private Integer accountId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 订单当前状态
     */
    private Integer orderStatus;

    /**
     * 订单超时标准
     */
    private Integer overtimeFlag;

}