package com.starcharge.wios.dao.mappers;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.starcharge.wios.bo.CamsAccountBo;
import com.starcharge.wios.dao.entity.CamsAccount;
import com.starcharge.wios.vo.CamsAccountVo;

public interface CamsAccountMapper {
    int delete(Integer id);
    
    int insert(CamsAccount camsAccount);
    
    int insertDynamic(CamsAccount camsAccount);
    
    int updateDynamic(CamsAccount camsAccount);
    
    int update(CamsAccount camsAccount);
    
    CamsAccount selectById(Integer id);
    
    List<CamsAccountVo> selectByExample(CamsAccountBo condition);

    List<CamsAccount> selectByAccountIdAndDeptId(@Param("accountId") Integer accountId, @Param("departmentId") Integer departmentId);
}