package com.starcharge.wios.dao.mappers;

import com.starcharge.wios.dao.entity.DispatchConfig;
import com.starcharge.wios.dao.entity.DispatchConfigCriteria;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DispatchConfigMapper {
    int countByExample(DispatchConfigCriteria example);

    int deleteByExample(DispatchConfigCriteria example);

    int deleteByPrimaryKey(String id);

    int insert(DispatchConfig record);

    int insertSelective(DispatchConfig record);

    List<DispatchConfig> selectByExample(DispatchConfigCriteria example);

    DispatchConfig selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") DispatchConfig record, @Param("example") DispatchConfigCriteria example);

    int updateByExample(@Param("record") DispatchConfig record, @Param("example") DispatchConfigCriteria example);

    int updateByPrimaryKeySelective(DispatchConfig record);

    int updateByPrimaryKey(DispatchConfig record);

    List<DispatchConfig> getDispatchConfigListByRegionId(Integer regionId);

    List<DispatchConfig> getDispatchConfigListByCondition(@Param("list") List<Integer> regionIdList, @Param("supplierId") String supplierId);
}