package com.starcharge.wios.dao.mappers;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.starcharge.wios.bo.OemContractBo2;
import com.starcharge.wios.dao.entity.OemContract;
import com.starcharge.wios.vo.OemContractVo;

public interface OemContractMapper {
    int delete(Integer id);
    
    int insert(OemContract oemContract);
    
    int insertDynamic(OemContract oemContract);
    
    int updateDynamic(OemContract oemContract);
    
    int update(OemContract oemContract);
    
    OemContract selectById(Integer id);
    
    List<OemContract> selectByCode(String code);
    
    List<OemContractVo> selectByExample(OemContractBo2 condition);
    
    List<OemContract> selectByStatusAndOemId(@Param("status") int status, @Param("oemId") int oemId);
    
    OemContractVo selectDetailById(int contractId);
}