package com.starcharge.wios.dao.mappers;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.starcharge.wios.dao.entity.OemContractPrice;
import com.starcharge.wios.vo.OemContractPriceVo;

public interface OemContractPriceMapper {
    int delete(Integer id);
    
    int insert(OemContractPrice oemContractPrice);
    
    int insertDynamic(OemContractPrice oemContractPrice);
    
    int updateDynamic(OemContractPrice oemContractPrice);
    
    int update(OemContractPrice oemContractPrice);
    
    OemContractPrice selectById(Integer id);
    
    List<OemContractPriceVo> selectByCId(@Param("contractId") int contractId);
    
    List<OemContractPrice> selectPureByContractId(@Param("contractId") int contractId);
    
    int batchInsert(List<OemContractPrice> list);
    
    int deleteByContractId(@Param("contractId") int contractId);
}