package com.starcharge.wios.dao.mappers;

import com.starcharge.wios.bo.OemBo;
import com.starcharge.wios.dao.entity.Oem;
import com.starcharge.wios.vo.OemVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OemMapper {
    int delete(String id);
    
    int insert(Oem oem);
    
    int insertDynamic(Oem oem);
    
    int updateDynamic(Oem oem);
    
    int update(Oem oem);
    
    Oem selectById(Integer id);
    
    List<OemVo> selectByExample(OemBo condition);
    
    
    List<Oem> selectSelfAndChildren(Integer id);
    
    List<Oem> selectOnly(@Param("code") String code, @Param("name") String name);
    
    List<Oem> selectByNameAndCode(@Param("name") String name, @Param("code") String code);
    
    List<Oem> selectByName(String name);
    
    List<Oem> selectByAccountId(Integer accountId);

    List<Oem>  selectAll(Integer status);
}