package com.starcharge.wios.dao.mappers;

import com.starcharge.wios.dao.entity.OrderInstallItem;
import com.starcharge.wios.vo.OrderInstallItemVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OrderInstallItemMapper {
    int delete(int id);
    
    int insert(OrderInstallItem orderInstallItem);
    
    int insertDynamic(OrderInstallItem orderInstallItem);
    
    int updateDynamic(OrderInstallItem orderInstallItem);
    
    int update(OrderInstallItem orderInstallItem);
    
    OrderInstallItem selectById(int id);
    
    int batchInsert(List<OrderInstallItem> list);
    
    int deleteByOrderId(@Param("orderId") String orderId, @Param("type") Integer type);
    
    List<OrderInstallItemVo> selectByOrderIdAndType(@Param("orderId") String orderId, @Param("type") Integer type);

    List<OrderInstallItem> selectByOrderId(String orderId);
}