package com.starcharge.wios.dao.mappers;

import com.starcharge.wios.dao.entity.SettlementDetailSupplier;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SettlementDetailSupplierMapper {
    int delete(Integer id);
    
    int insert(SettlementDetailSupplier settlementDetailSupplier);
    
    int insertDynamic(SettlementDetailSupplier settlementDetailSupplier);
    
    int updateDynamic(SettlementDetailSupplier settlementDetailSupplier);
    
    int update(SettlementDetailSupplier settlementDetailSupplier);
    
    SettlementDetailSupplier selectById(Integer id);
    
    List<SettlementDetailSupplier> selectBySupplierId(@Param("supplierId") int supplierId,
        @Param("finishStartTime") String finishStartTime, @Param("finishEndTime") String finishEndTime);
    
    int batchUpdateSettlementId(@Param("idList") List<Integer> idList, @Param("settlementId") String settlementId);
    
    List<SettlementDetailSupplier> selectBySettlementId(@Param("settlementId") String settlementId);

    int deleteByOrderId(String orderId);
}