package com.starcharge.wios.dao.mappers;

import com.starcharge.wios.dao.entity.Settlement;
import com.starcharge.wios.vo.SettlementVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SettlementMapper {
    int delete(Integer id);
    
    int insert(Settlement settlement);
    
    int insertDynamic(Settlement settlement);
    
    int updateDynamic(Settlement settlement);
    
    int update(Settlement settlement);
    
    Settlement selectById(Integer id);
    
    Settlement selectBySettlementId(String settlementId);
    
    List<SettlementVo> selectByExample(Settlement condition);

    List<Settlement> getSettlementByCondition(@Param("startDate") String startDate, @Param("endDate") String endDate,@Param("list")  List<String> oemIdList, @Param("type") int type);
}