package com.starcharge.wios.dao.mappers;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.starcharge.wios.bo.SupplierContractBo;
import com.starcharge.wios.dao.entity.SupplierContract;
import com.starcharge.wios.vo.SupplierContractVo;

public interface SupplierContractMapper {
    int delete(Integer id);
    
    int insert(SupplierContract supplierContract);
    
    int insertDynamic(SupplierContract supplierContract);
    
    int updateDynamic(SupplierContract supplierContract);
    
    int update(SupplierContract supplierContract);
    
    SupplierContract selectById(Integer id);
    
    List<SupplierContract> selectByCode(String code);
    
    List<SupplierContractVo> selectByExample(SupplierContractBo condition);
    
    List<SupplierContract> selectByRegionId(@Param("regionIdList") List<String> regionIdList, @Param("status") Integer status,@Param("checkStatus") Integer checkStatus);

    List<SupplierContract> selectEffectiveContract(@Param("supplierId")String supplierId, @Param("regionId")String regionId, @Param("status") Integer status);
}