package com.starcharge.wios.dao.mappers;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.starcharge.wios.dao.entity.SupplierContractPrice;
import com.starcharge.wios.vo.SupplierContractPriceVo;

public interface SupplierContractPriceMapper {
    int delete(Integer id);
    
    int insert(SupplierContractPrice supplierContractPrice);
    
    int insertDynamic(SupplierContractPrice supplierContractPrice);
    
    int updateDynamic(SupplierContractPrice supplierContractPrice);
    
    int update(SupplierContractPrice supplierContractPrice);
    
    SupplierContractPrice selectById(Integer id);
    
    int batchInsert(@Param("list") List<SupplierContractPrice> list);
    
    List<SupplierContractPriceVo> selectByContractId(Integer contractId);
    
    List<SupplierContractPrice> selectPureByContractId(@Param("contractId") int contractId);
    
    int deleteByContractId(Integer contractId);
}