package com.starcharge.wios.dao.mappers;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.starcharge.wios.bo.SupplierBo;
import com.starcharge.wios.dao.entity.Supplier;
import com.starcharge.wios.vo.SupplierVo;

public interface SupplierMapper {
    int delete(String id);
    
    int insert(Supplier supplier);
    
    int batchInsert(List<Supplier> list);
    
    int insertDynamic(Supplier supplier);
    
    int updateDynamic(Supplier supplier);
    
    int update(Supplier supplier);
    
    Supplier selectById(Integer id);
    
    Supplier selectByAccountId(Integer accountId);
    
    List<SupplierVo> selectByExample(SupplierBo condition);
    
    List<Supplier> selectAll(Integer status);
    
    List<SupplierVo> selectInProcessOrder(@Param("orderStatusNotInList") List<Integer> orderStatusNotInList,
        @Param("supplierIdList") List<String> supplierIdList);
    
    List<Supplier> selectOnly(@Param("code") String code, @Param("name") String name);
}