package com.starcharge.wios.dao.mappers;

import com.starcharge.wios.dao.entity.SystemInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SystemInfoMapper {
    int delete(Integer id);
    
    int insert(SystemInfo systemInfo);
    
    int insertDynamic(SystemInfo systemInfo);
    
    int updateDynamic(SystemInfo systemInfo);
    
    int update(SystemInfo systemInfo);
    
    SystemInfo selectById(Integer id);
    
    List<SystemInfo> selectByExample(SystemInfo condition);
    
    int selectUnreadQuantity(@Param("accountId") Integer accountId);

    List<SystemInfo> getOrderInOverTime();

    List<SystemInfo> selectListByOrderId(String orderId);

    int deleteByOrderId(String orderId);
}