package com.starcharge.wios.dao.mappers;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ihidea.core.base.CoreDao;
import com.starcharge.wios.dao.entity.UserPayBill;
import com.starcharge.wios.dao.entity.UserPayBillCriteria;
import com.starcharge.wios.vo.UserPayBillVo;

public interface UserPayBillMapper extends CoreDao {
    long countByExample(UserPayBillCriteria example);

    int deleteByExample(UserPayBillCriteria example);

    int deleteByPrimaryKey(String id);

    int insert(UserPayBill record);

    int insertSelective(UserPayBill record);

    List<UserPayBill> selectByExample(UserPayBillCriteria example);

    UserPayBill selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") UserPayBill record, @Param("example") UserPayBillCriteria example);

    int updateByExample(@Param("record") UserPayBill record, @Param("example") UserPayBillCriteria example);

    int updateByPrimaryKeySelective(UserPayBill record);

    int updateByPrimaryKey(UserPayBill record);

    List<UserPayBill> list(UserPayBill entity);

    int count(UserPayBill entity);
    
    List<UserPayBillVo> selectList(UserPayBill entity);
    
    List<UserPayBillVo> selectListForApp(UserPayBill entity);
}