package com.starcharge.wios.dto;

import io.swagger.annotations.ApiModelProperty;

public class ReportOrderDTO {

    private Long regionId;

    @ApiModelProperty(value = "区域名称")
    private String regionName;

    private Long supplierId;

    @ApiModelProperty(value = "服务商名称")
    private String supplierName;

    @ApiModelProperty(value = "订单总量")
    private Long countTotal;

    @ApiModelProperty(value = "待安装量")
    private Long countUnfinished;

    @ApiModelProperty(value = "安装完成量")
    private Long countFinished;

    @ApiModelProperty(value = "安装失败量")
    private Long countClosed;

    @ApiModelProperty(value = "平均安装时长")
    private Double avgInstallTime;

    @ApiModelProperty(value = "订单完成率")
    private Double finishRatio;


    public Long getRegionId(){
        return regionId;
    }
    public void setRegionId(Long regionId){
        this.regionId = regionId;
    }

    public Long getSupplierId(){
        return supplierId;
    }
    public void setSupplierId(Long supplierId){
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return this.supplierName;
    }

    public void setSupplierName(String supplierName){
        this.supplierName = supplierName;
    }

    public String getRegionName() {
        return this.regionName;
    }

    public void setRegionName(String regionName){
        this.regionName = regionName;
    }

    public Long getCountTotal(){
        return countTotal;
    }
    public void setCountTotal(Long countTotal){
        this.countTotal = countTotal;
    }

    public Long getCountUnfinished(){
        return countUnfinished;
    }
    public void setCountUnfinished(Long countUnfinished){
        this.countUnfinished = countUnfinished;
    }

    public Long getCountFinished(){
        return countFinished;
    }
    public void setCountFinished(Long countFinished){
        this.countFinished = countFinished;
    }

    public Long getCountClosed(){
        return countClosed;
    }
    public void setCountClosed(Long countClosed){
        this.countClosed = countClosed;
    }

    public Double getAvgInstallTime(){
        return avgInstallTime;
    }
    public void setAvgInstallTime(Double avgInstallTime){
        this.avgInstallTime = avgInstallTime;
    }

    public Double getFinishRatio(){
        return finishRatio;
    }
    public void setFinishRatio(Double finishRatio) {
        this.finishRatio = finishRatio;
    }

}
