package com.starcharge.wios.dto;

import com.starcharge.wios.dao.entity.ScoreSupplier;

import io.swagger.annotations.ApiModelProperty;

public class ScoreSupplierDTO extends ScoreSupplier {
    @ApiModelProperty(value = "服务商名称")
    private String supplierName;
    @ApiModelProperty(value = "服务商编码")
    private String supplierCode;
    @ApiModelProperty(value = "联系人姓名")
    private String contactName;
    @ApiModelProperty(value = "联系方式")
    private String contactPhone;

    @ApiModelProperty(value = "区域名称")
    private String regionName;
    
    @ApiModelProperty(value = "采购占比")
    private Double purchasingWeight;

    @ApiModelProperty(value = "工程占比")
    private Double engineeringWeight;
    
    public String getSupplierName() {
        return this.supplierName;
    }

    public void setSupplierName(String supplierName){
        this.supplierName = supplierName;
    }

    public String getSupplierCode(){
        return this.supplierCode;
    }

    public void setSupplierCode(String supplierCode){
        this.supplierCode = supplierCode;
    }
    public String getContactName(){
        return this.contactName;
    }
    public void setContactName(String contactName){
        this.contactName = contactName;
    }
    public String getContactPhone(){
        return this.contactPhone;
    }
    public void setContactPhone(String contactPhone){
        this.contactPhone = contactPhone;
    }
    public String getRegionName() {
        return this.regionName;
    }

    public void setRegionName(String regionName){
        this.regionName = regionName;
    }

    public Double getPurchasingWeight() {
        return purchasingWeight;
    }
    
    public Double getEngineeringWeight() {
        return engineeringWeight;
    }
    
    public void setPurchasingWeight(Double purchasingWeight) {
        this.purchasingWeight = purchasingWeight;
    }
    
    public void setEngineeringWeight(Double engineeringWeight) {
        this.engineeringWeight = engineeringWeight;
    }
    
}
