package com.starcharge.wios.dto;

import com.starcharge.wios.dao.entity.ScoreSupplier;
import com.starcharge.wios.dao.entity.ScoreSupplierDetail;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class ScoreSupplierReportDTO{
    @ApiModelProperty(value = "评分表主信息")
    ScoreSupplierDTO scoreSupplierDTO;

    @ApiModelProperty(value = "评分详情列表")
    private List<ScoreSupplierDetail> scoreSupplierDetailList;

    @ApiModelProperty(value = "低评分订单")
    private List<OrderScoreLessThan60DTO> orderScoreLessThan60DTOList;

    public ScoreSupplierDTO getScoreSupplierDTO(){
        return scoreSupplierDTO;
    }
    public void setScoreSupplierDTO(ScoreSupplierDTO scoreSupplierDTO){
        this.scoreSupplierDTO = scoreSupplierDTO;
    }

    public List<ScoreSupplierDetail> getScoreSupplierDetailList(){
        return this.scoreSupplierDetailList;
    }
    public void setScoreSupplierDetailList(List<ScoreSupplierDetail> scoreSupplierDetailList){
        this.scoreSupplierDetailList = scoreSupplierDetailList;
    }

    public List<OrderScoreLessThan60DTO> getOrderScoreLessThan60DTOList(){
        return this.orderScoreLessThan60DTOList;
    }
    public void setOrderScoreLessThan60DTOList(List<OrderScoreLessThan60DTO> orderScoreLessThan60DTOList){
        this.orderScoreLessThan60DTOList = orderScoreLessThan60DTOList;
    }
}
