package com.starcharge.wios.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @projectName:xr-wios
 * @packageName:com.starcharge.wios.dto
 * @Description:TODO
 * @Author:luyincheng
 * @CreateDate: 2023/9/2610:40
 */
@Data
public class TauxiliarymaterialsCheckDto {
    /**
     * 审核意见
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "审核意见")
    private String checkSuggestion;
    /**
     * 申请状态  已申请  已驳回  已通过  已关闭
     *
     * @mbg.generated
     */
    @ApiModelProperty(value = "审核状态 已驳回  已通过  已关闭")
    private String applyStatus;

    private List<TauxiliarymaterialsCheckVo> tauxiliarymaterialsCheckVoList;

    @Data
    public static class TauxiliarymaterialsCheckVo{
        /**
         * id
         *
         * @mbg.generated
         */
        @ApiModelProperty(required = true,value = "id")
        private Integer id;
        /**
         * 批准数量
         *
         * @mbg.generated
         */
        @ApiModelProperty(value = "批准数量")
        private String approvedQuantity;
    }
}
