package com.starcharge.wios.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 墙盒申请批量审核DTO
 * <p>
 *
 * @author <a href="mail to: ning.chai@foxmail.com" rel="nofollow">chaining</a>
 */
@Data
public class WallboxApplyCheckDTO {

    /** 自增id */
    private Long id;

    /** 安装订单号 */
    @ApiModelProperty(value = "安装订单号")
    private String orderId;

    @ApiModelProperty(value = "安装状态")
    private String installStatus;

    /** 安装服务商id */
    @ApiModelProperty(value = "安装服务商id")
    private String supplierId;

    /** 申请团队名称 */
    @ApiModelProperty(value = "申请团队名称")
    private String supplierTeam;

    /** 墙盒品牌*/
    @ApiModelProperty(value = "墙盒品牌")
    private String wallboxModel;

    /** 区域id */
    @ApiModelProperty(value = "区域id")
    private String regionId;

    /** 区域id */
    @ApiModelProperty(value = "地址")
    private String address;

    /** 是否紧急：0：否，1：是 */
    @ApiModelProperty(value = "是否特殊申请")
    private Integer ifEmergency;

    /** 申请状态：0：已申请，1：已通过，2：已驳回，3：已关闭 */
    @ApiModelProperty(value = "审核状态")
    private Long checkStatus;

    /**
     * 数据状态
     */
    private  String dataStatus;

    /**
     * 数据异常信息
     */
    private String errorMessage;
}
