package com.starcharge.wios.enums;

public enum CableBuildMethod implements IOperator {
    PVC(1, "PVC电工管"), JDG(2, "JDG镀锌管"), CABLE(3, "电缆桥架"), OTHER(4, "其他"),;
    
    private int type;
    
    private String value;
    
    CableBuildMethod(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        CableBuildMethod[] values = CableBuildMethod.values();
        for (CableBuildMethod os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
