package com.starcharge.wios.enums;

public enum MaterialConfigTypes implements IOperator {

    REPORT_INSTALL_DESCRIPTION(1, "报装说明"),
    ADDITIONAL_DESCRIPTION(2, "增项说明"),
    OTHER(3, "其它"),
    ;
    private int type;

    private String value;

    MaterialConfigTypes(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        MaterialConfigTypes[] values = MaterialConfigTypes.values();
        for (MaterialConfigTypes os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
