package com.starcharge.wios.enums;

public enum TrainContent implements IOperator {
    
    ONE(1, "使用操作培训"), 
    TWO(2, "故障排查及处理培训"),
    THREE(3, "维护保养培训"), 
    FOUR(4, "售后服务"),
    
    ;
    
    private int type;
    
    private String value;
    
    TrainContent(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        TrainContent[] values = TrainContent.values();
        for (TrainContent os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
