package com.starcharge.wios.enums;

public enum WarehouseSingleType implements IOperator {
    ZERO(0, "调拨单"), ONE(1, "入库单"), TWO(2, "退回单"), THREE(3, "出库单"),
    
    ;
    
    private int type;
    
    private String value;
    
    WarehouseSingleType(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        WarehouseSingleType[] values = WarehouseSingleType.values();
        for (WarehouseSingleType os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
