package com.starcharge.wios.query;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @author:cao hai
 * @date:2022/12/1 14:46
 * @version:V1.0
 * @description:BaseSubmitFlowBO
 * @modify:
 */
@Data
public class BaseSubmitFlowBO {

    @ApiModelProperty(value = "当前节点例如：101", required = true, example = "101")
    private Integer currentNode;

    @ApiModelProperty(value = "任务编号（必须）", required = true)
    private String taskId;

    @ApiModelProperty(value = "工单号（必须）", required = true)
    private String workId;

    @ApiModelProperty(value = "提交表单参数", required = true)
    private Map<String, Object> formData;

    @ApiModelProperty(value = "是否pc")
    private Boolean pc;

}
