package com.starcharge.wios.query;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author tzx
 */
@Data
public class RepairOrderQuery {
    @ApiModelProperty("工单编号")
    private String id;
    @ApiModelProperty("墙盒编号")
    private String wallBoxNo;
    @ApiModelProperty("用户姓名")
    private String userName;
    @ApiModelProperty("手机号")
    private String userPhone;
    @ApiModelProperty("车企单号")
    private String outOrderId;
    @ApiModelProperty("一级故障")
    private String oneLevelFault;
    @ApiModelProperty("二级故障")
    private String twoLevelFault;
    @ApiModelProperty("墙盒安装订单号")
    private String installId;
    @ApiModelProperty("工单编号")
    private String faultTime;
    @ApiModelProperty("紧急程度")
    private String emergencyLevel;
    @ApiModelProperty("故障现象")
    private String faultDescribe;
    @ApiModelProperty("工单备注")
    private String remark;
//    @ApiModelProperty("工单编号")
//    private String relatedId;
//    @ApiModelProperty("工单状态")
//    private String status;
//    @ApiModelProperty("墙盒编号")
//    private String wallBoxNo;
//    @ApiModelProperty("用户电话号码")
//    private String userPhone;
//    @ApiModelProperty("用户姓名")
//    private String userName;
//    @ApiModelProperty("品牌")
//    private String wallBoxModel;
//    @ApiModelProperty("车型")
//    private String vehicleModel;
//    @ApiModelProperty("墙盒型号")
//    private String itemModel;
//    @ApiModelProperty("故障原因")
//    private String faultType;
//    @ApiModelProperty("工单类型")
//    private String type;
//    @ApiModelProperty("紧急程度")
//    private String emergencyLevel;
//    @ApiModelProperty("故障时间")
//    private String faultTime;
//    @ApiModelProperty("故障现象")
//    private String faultDescribe;
//    @ApiModelProperty("工单备注")
//    private String description;
//    @ApiModelProperty("上传视频")
//    private String videoUrl;
//    @ApiModelProperty("上传图片")
//    private String pictureUrl;


}
