// package com.starcharge.wios.service;
//
// import java.util.ArrayList;
// import java.util.HashMap;
// import java.util.List;
// import java.util.Map;
//
// import javax.annotation.PostConstruct;
//
// import org.apache.commons.lang.StringUtils;
// import org.springframework.beans.factory.annotation.Autowired;
// import org.springframework.stereotype.Service;
//
// import com.ihidea.core.support.dataSource.DynamicDataSource;
// import com.ihidea.core.support.orm.mybatis3.util.IbatisServiceUtils;
// import com.starcharge.wios.dao.entity.City;
// import com.starcharge.wios.dao.mappers.CityMapper;
//
/// **
// * 城市service
// *
// * @author xgl
// * @version [版本号, 2020年9月17日]
// */
// @Service
// public class CityService {
// @Autowired
// private CityMapper cityMapper;
//
// public static List<City> CITY_LIST = new ArrayList<>();
//
// public static Map<String, String> CITY_MAP = new HashMap<>();
//
// public static Map<String, String> CITY_AREA_MAP = new HashMap<>();
//
// @PostConstruct
// public void init() {
// reloadCityData();
// }
//
// /**
// * 刷新城市数据到缓存
// */
// @DynamicDataSource(key = "read")
// public void reloadCityData() {
// List<City> list = IbatisServiceUtils.find(new City(), cityMapper);
//
// if (list != null && list.size() > 0) {
// // 初始化
// CITY_LIST = new ArrayList<>();
// Map<String, String> provinceMap = new HashMap<>();
// Map<String, String> cityMap = new HashMap<>();
// Map<String, String> areaMap = new HashMap<>();
// for (City city : list) {
// if (city.getId().endsWith("0000")) {
// // 省份
// provinceMap.put(city.getId(), city.getName());
// } else if (city.getId().endsWith("00")) {
// // 城市
// cityMap.put(city.getId(), city.getName());
// } else {
// areaMap.put(city.getId(), city.getName());
// }
// }
// for (City city : list) {
// String id = city.getId();
// String provinceCode = id.length() >= 2 ? id.substring(0, 2) + "0000" : null;
// String cityCode = id.length() >= 4 ? id.substring(0, 4) + "00" : null;
// if (id.endsWith("0000")) {
// city.setProvince(city.getName());
// } else if (id.endsWith("00")) {
// city.setProvince(provinceMap.get(provinceCode));
// city.setCity(city.getName());
// } else {
// city.setProvince(provinceMap.get(provinceCode));
// city.setCity(cityMap.get(cityCode));
// city.setDistrict(city.getName());
// }
// CITY_LIST.add(city);
// }
// initCityMap();
//
// }
// }
//
// public void initCityMap() {
// for (City city : CITY_LIST) {
// String value = "";
// String cityArea = "";
// if (StringUtils.isEmpty(city.getCity()) || city.getCity().equals(city.getProvince())) {
// value = city.getProvince();
// } else {
// value = city.getProvince() + "-" + city.getCity();
// }
// if (StringUtils.isEmpty(city.getCity()) || city.getCity().equals(city.getProvince())) {
// cityArea = city.getProvince();
// } else if (StringUtils.isEmpty(city.getDistrict())
// && !(StringUtils.isEmpty(city.getCity()) || city.getCity().equals(city.getProvince()))) {
// cityArea = city.getProvince() + "-" + city.getCity();
// } else {
// cityArea = city.getProvince() + "-" + city.getCity() + "-" + city.getDistrict();
// }
// CITY_MAP.put(city.getId(), value);
// CITY_AREA_MAP.put(city.getId(), cityArea);
// }
// }
//
// }
