package com.starcharge.wios.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.starcharge.wios.dao.SystemInfoDao;
import com.starcharge.wios.dao.entity.SystemInfo;

/**
 * 系统消息service
 * 
 * @author xgl
 * @version [版本号, 2020年10月15日]
 */
@Service
public class SystemInfoService {
    @Autowired
    private SystemInfoDao systemInfoDao;
    
    public List<SystemInfo> getList(SystemInfo condition) {
        return systemInfoDao.selectByExample(condition);
    }
    
    public void updateStatus(int id, int status) {
        systemInfoDao.updateStatus(id, status);
    }
    
    public int getUnreadQuantity() {
        return systemInfoDao.selectUnreadQuantity();
    }
}
