package com.starcharge.wios.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @projectName:xr-wios
 * @packageName:com.starcharge.wios.vo
 * @Description:TODO
 * @Author:luyincheng
 * @CreateDate: 2023/10/818:18
 */
@Data
public class DeliveryExcelVo {
    /**
     * id
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "id")
    private Integer id;

    /**
     * 发货单号
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "发货单号")
    private String deliveryOrder;

    /**
     * 安装单号
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "安装单号")
    private String installOrder;

    /**
     * 产品批次
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "产品批次")
    private String productBatch;

    /**
     * 发货数量
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "发货数量")
    private Integer quantity;

    /**
     * 物料类别
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "物料类别")
    private String materialCategory;

    /**
     * 物料编码
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "物料编码")
    private String materialCode;

    /**
     * 物料名称
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "物料名称")
    private String materialName;

    /**
     * 物料厂商
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "物料厂商")
    private String materialCompany;

    /**
     * 物流单号
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "物流单号")
    private String logisticOrder;

    /**
     * 物流服务商
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "物流服务商")
    private String logisticCompany;

    /**
     * 物流状态  未发货  已发货
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "物流状态  未发货  已发货")
    private String logisticStatus;
    /**
     * 申请团队
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "申请团队")
    private String team;
    /**
     * 是否产品或辅料
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "是否产品或辅料")
    private Integer isproduct;
    /**
     * 创建人
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "创建人")
    private String createdBy;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "创建时间")
    private LocalDateTime createdTime;

    /**
     * 更新人
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "更新时间")
    private LocalDateTime updatedTime;
}
