package com.starcharge.wios.vo;

import java.util.List;

import com.starcharge.wios.dao.entity.OemContract;
import com.starcharge.wios.dao.entity.UploadFile;

import io.swagger.annotations.ApiModelProperty;

public class OemContractVo extends OemContract {

    @ApiModelProperty(hidden = true)
    private List<OemContractItemVo> items;
    
    @ApiModelProperty(hidden = true)
    private List<OemContractPriceVo> prices;
    
    @ApiModelProperty(hidden = true)
    private List<UploadFile> files;
    
    @ApiModelProperty(value = "主机厂名称")
    private String oemName;
    
    @ApiModelProperty(value = "设备结算方名称")
    private String deviceSettlementName;
    
    @ApiModelProperty(value = "安装结算方名称")
    private String installSettlementName;
    
    @ApiModelProperty(value = "产生的订单数量")
    private Integer orderQuantity;
    
    public List<OemContractItemVo> getItems() {
        return items;
    }
    
    public List<OemContractPriceVo> getPrices() {
        return prices;
    }
    
    public void setItems(List<OemContractItemVo> items) {
        this.items = items;
    }
    
    public void setPrices(List<OemContractPriceVo> prices) {
        this.prices = prices;
    }
    
    public List<UploadFile> getFiles() {
        return files;
    }
    
    public void setFiles(List<UploadFile> files) {
        this.files = files;
    }
    
    public String getOemName() {
        return oemName;
    }
    
    public String getDeviceSettlementName() {
        return deviceSettlementName;
    }
    
    public String getInstallSettlementName() {
        return installSettlementName;
    }
    
    public void setOemName(String oemName) {
        this.oemName = oemName;
    }
    
    public void setDeviceSettlementName(String deviceSettlementName) {
        this.deviceSettlementName = deviceSettlementName;
    }
    
    public void setInstallSettlementName(String installSettlementName) {
        this.installSettlementName = installSettlementName;
    }
    
    public Integer getOrderQuantity() {
        return orderQuantity;
    }
    
    public void setOrderQuantity(Integer orderQuantity) {
        this.orderQuantity = orderQuantity;
    }
    
}
