package com.starcharge.wios.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @projectName:xr-wios
 * @packageName:com.starcharge.wios.vo
 * @Description:TODO
 * @Author:luyincheng
 * @CreateDate: 2023/10/815:49
 */
@Data
public class ReceivednoteExcelVo {
    /**
     * id
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "id")
    private Integer id;

    /**
     * 收货单号
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "收货单号")
    private String receivedOrder;

    /**
     * 安装单号
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "安装单号")
    private String installOrder;

    /**
     * 产品批次
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "产品批次")
    private String productBatch;

    /**
     * 物料类别
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "物料类别")
    private String materialCategory;

    /**
     * 物料编码
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "物料编码")
    private String materialCode;

    /**
     * 物料名称
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "物料名称")
    private String materialName;
    /**
     * 到货仓库
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "到货仓库")
    private String arrivalWarehouse;

    /**
     * 到货仓库id
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "到货仓库id")
    private Integer arrivalWarehouseId;

    /**
     * 收货人
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "收货人")
    private String receiver;

    /**
     * 收货时间
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "收货时间")
    private LocalDateTime receivingTime;

    /**
     * 到货数量
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "到货数量")
    private Integer arrivalQuantity;

    /**
     * 辅料申请单号
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "辅料申请单号")
    private Integer auxiliaryId;
    /**
     * 是否产品或辅料
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "是否产品或辅料")
    private Integer isproduct;
    /**
     * 创建人
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "创建人")
    private String createdBy;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "创建时间")
    private LocalDateTime createdTime;

    /**
     * 更新人
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     *
     * @mbg.generated
     */
    @ExcelProperty(value = "更新时间")
    private LocalDateTime updatedTime;
}
