package com.starcharge.wios.vo;

import java.util.ArrayList;
import java.util.List;

import com.starcharge.wios.dao.entity.Region;

import io.swagger.annotations.ApiModelProperty;

public class RegionVo extends Region {
    @ApiModelProperty(value = "下级区域列表")
    private List<RegionVo> children = new ArrayList<RegionVo>();
    
    @ApiModelProperty(hidden = true)
    private Boolean checked = false;// 是否选中

    @ApiModelProperty(value = "派单比例配置id")
    private String dispatchConfigId;
    @ApiModelProperty(value = "派单比例")
    private Integer dispatchNum;

    public String getDispatchConfigId() {
        return dispatchConfigId;
    }

    public void setDispatchConfigId(String dispatchConfigId) {
        this.dispatchConfigId = dispatchConfigId;
    }

    public Integer getDispatchNum() {
        return dispatchNum;
    }

    public void setDispatchNum(Integer dispatchNum) {
        this.dispatchNum = dispatchNum;
    }

    public List<RegionVo> getChildren() {
        return children;
    }
    
    public void setChildren(List<RegionVo> children) {
        this.children = children;
    }
    
    public Boolean getChecked() {
        return checked;
    }
    
    public void setChecked(Boolean checked) {
        this.checked = checked;
    }
}
