package com.starcharge.wios.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @projectName:xr-wios
 * @packageName:com.starcharge.wios.vo
 * @Description:TODO
 * @Author:luyincheng
 * @CreateDate: 2023/10/99:08
 */
@Data
public class RejectCheckVo {

    @Min(1)
    private int id;
    @ApiModelProperty(value = "审核意见")
    @NotNull
    @NotEmpty
    private String checkSuggestion;
    @ApiModelProperty(value = "退货状态 已申请 已驳回 已通过 已关闭")
    @NotNull
    @NotEmpty
    private String status;
}
