package com.starcharge.wios.vo;

import java.util.List;

import com.starcharge.wios.dao.entity.SupplierContract;
import com.starcharge.wios.dao.entity.UploadFile;

import io.swagger.annotations.ApiModelProperty;

public class SupplierContractVo extends SupplierContract {
    
    @ApiModelProperty(hidden = true)
    private List<SupplierContractItemVo> items;
    
    @ApiModelProperty(hidden = true)
    private List<SupplierContractPriceVo> prices;
    
    @ApiModelProperty(hidden = true)
    private List<SupplierContractPackPriceVo> packPrices;
    
    @ApiModelProperty(hidden = true)
    private List<UploadFile> files;
    
    @ApiModelProperty(value = "产生的订单数量")
    private String orderQuantity;
    
    @ApiModelProperty(value = "服务商名称")
    private String supplierName;
    
    @ApiModelProperty(value = "区域名称")
    private String regionName;
    
    public List<SupplierContractItemVo> getItems() {
        return items;
    }
    
    public List<SupplierContractPriceVo> getPrices() {
        return prices;
    }
    
    public List<SupplierContractPackPriceVo> getPackPrices() {
        return packPrices;
    }
    
    public List<UploadFile> getFiles() {
        return files;
    }
    
    public void setItems(List<SupplierContractItemVo> items) {
        this.items = items;
    }
    
    public void setPrices(List<SupplierContractPriceVo> prices) {
        this.prices = prices;
    }
    
    public void setPackPrices(List<SupplierContractPackPriceVo> packPrices) {
        this.packPrices = packPrices;
    }
    
    public void setFiles(List<UploadFile> files) {
        this.files = files;
    }
    
    public String getOrderQuantity() {
        return orderQuantity;
    }
    
    public void setOrderQuantity(String orderQuantity) {
        this.orderQuantity = orderQuantity;
    }
    
    public String getSupplierName() {
        return supplierName;
    }
    
    public String getRegionName() {
        return regionName;
    }
    
    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }
    
    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }
    
}
