package com.starcharge.wios.wx.vo;

import com.starcharge.wios.auth.vo.LoginInfo;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author kevin
 * @create 2020/10/30 15:07
 */
public class MinaLoginInfo extends LoginInfo {

    /**
     * 当前权限编号
     */
    @ApiModelProperty(value = "用户当前权限", required = true)
    private Integer currRoleId;

    /**
     * 当前权限名称
     */
    @ApiModelProperty(value = "用户当前权限名称", required = true)
    private String currRoleName;

    /**
     * 菜单按钮权限，多个逗号隔开
     */
    @ApiModelProperty(value = "用户权限，多个用逗号隔开", required = true)
    private String menus;

    public Integer getCurrRoleId() {
        return currRoleId;
    }

    public void setCurrRoleId(Integer currRoleId) {
        this.currRoleId = currRoleId;
    }

    public String getCurrRoleName() {
        return currRoleName;
    }

    public void setCurrRoleName(String currRoleName) {
        this.currRoleName = currRoleName;
    }

    public String getMenus() {
        return menus;
    }

    public void setMenus(String menus) {
        this.menus = menus;
    }
}
