package com.starcharge.wios.wx.vo;

import com.starcharge.wios.dao.entity.UploadFile;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @author kevin
 * @create 2020/11/25 16:13
 */
public class MinaOrderMoveChangeVO implements Serializable {

    @ApiModelProperty("订单编号")
    private String orderId;

    @ApiModelProperty("附件JSON字符串")
    private String filesJson;

    @ApiModelProperty("附件列表")
    private List<UploadFile> files;

    public List<UploadFile> getFiles() {
        return files;
    }

    public void setFiles(List<UploadFile> files) {
        this.files = files;
    }

    public String getFilesJson() {
        return filesJson;
    }

    public void setFilesJson(String filesJson) {
        this.filesJson = filesJson;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }
}