package com.starcharge.wios.wx.vo;

import com.starcharge.wios.vo.OrderVo;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @author kevin
 * @create 2020/11/2 20:13
 */
public class MinaOrderVO extends OrderVo {

    @ApiModelProperty(value = "订单编号", required = true)
    private String id;

    @ApiModelProperty(value = "订单类型 1-勘察安装订单 2-移装订单", required = true)
    private Integer type;

    @ApiModelProperty(value = "经销商ID", required = true)
    private Integer oemId;

    @ApiModelProperty(value = "区域ID", required = true)
    private String regionId;

    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "订单状态编码", required = true)
    private Integer status;

    @ApiModelProperty(value = "订单状态代码", required = true)
    private String statusCode;

    @ApiModelProperty(value = "订单状态名称", required = true)
    private String statusName;

    @ApiModelProperty(value = "车主姓名", required = true)
    private String userName;

    @ApiModelProperty(value = "车主电话", required = true)
    private String userPhone;

    @ApiModelProperty(value = "安装地址", required = true)
    private String address;

    @ApiModelProperty(value = "勘察员工姓名")
    private String surveyStaffName;

    @ApiModelProperty(value = "勘察员工电话")
    private String surveyStaffPhone;

    @ApiModelProperty(value = "安装员工姓名")
    private String installStaffName;

    @ApiModelProperty(value = "安装员工电话")
    private String installStaffPhone;

    @ApiModelProperty(value = "是否显示预约异常按钮/是否预约超时")
    private Boolean showReserveExpBtn = Boolean.FALSE;

    @ApiModelProperty(value = "车主虚拟手机号")
    private String virtualUserPhone;

    @Override
    public String getId() {
        return id;
    }

    @Override
    public void setId(String id) {
        this.id = id;
    }

    @Override
    public Integer getType() {
        return type;
    }

    @Override
    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public Integer getOemId() {
        return oemId;
    }

    @Override
    public void setOemId(Integer oemId) {
        this.oemId = oemId;
    }

    @Override
    public String getRegionId() {
        return regionId;
    }

    @Override
    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public Integer getStatus() {
        return status;
    }

    @Override
    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(String statusCode) {
        this.statusCode = statusCode;
    }

    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    @Override
    public String getUserName() {
        return userName;
    }

    @Override
    public void setUserName(String userName) {
        this.userName = userName;
    }

    @Override
    public String getUserPhone() {
        return userPhone;
    }

    @Override
    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    @Override
    public String getAddress() {
        return address;
    }

    @Override
    public void setAddress(String address) {
        this.address = address;
    }

    @Override
    public String getSurveyStaffName() {
        return surveyStaffName;
    }

    @Override
    public void setSurveyStaffName(String surveyStaffName) {
        this.surveyStaffName = surveyStaffName;
    }

    @Override
    public String getSurveyStaffPhone() {
        return surveyStaffPhone;
    }

    @Override
    public void setSurveyStaffPhone(String surveyStaffPhone) {
        this.surveyStaffPhone = surveyStaffPhone;
    }

    @Override
    public String getInstallStaffName() {
        return installStaffName;
    }

    @Override
    public void setInstallStaffName(String installStaffName) {
        this.installStaffName = installStaffName;
    }

    @Override
    public String getInstallStaffPhone() {
        return installStaffPhone;
    }

    @Override
    public void setInstallStaffPhone(String installStaffPhone) {
        this.installStaffPhone = installStaffPhone;
    }

    public Boolean getShowReserveExpBtn() {
        return showReserveExpBtn;
    }

    public void setShowReserveExpBtn(Boolean showReserveExpBtn) {
        this.showReserveExpBtn = showReserveExpBtn;
    }

    @Override
    public String getVirtualUserPhone() {
        return virtualUserPhone;
    }

    @Override
    public void setVirtualUserPhone(String virtualUserPhone) {
        this.virtualUserPhone = virtualUserPhone;
    }
}
