package com.starcharge.wios.wx.vo;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author kevin
 * @create 2020/11/30 11:44
 */
public class WxOrderVO implements Serializable {

    @ApiModelProperty("工单编号")
    private String orderId;

    @ApiModelProperty("车主姓名")
    private String userName;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("创建日期")
    private String createDate;

    @ApiModelProperty("状态")
    private Integer status;

    @ApiModelProperty("是否已评价")
    private Boolean hasOrderScore;

    @ApiModelProperty("是否存在安装订单/账单")
    private Boolean hasGenBill;

    @ApiModelProperty("账单金额")
    private BigDecimal billAmount;

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public Boolean getHasGenBill() {
        return hasGenBill;
    }

    public void setHasGenBill(Boolean hasGenBill) {
        this.hasGenBill = hasGenBill;
    }

    public BigDecimal getBillAmount() {
        return billAmount;
    }

    public void setBillAmount(BigDecimal billAmount) {
        this.billAmount = billAmount;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Boolean getHasOrderScore() {
        return hasOrderScore;
    }

    public void setHasOrderScore(Boolean hasOrderScore) {
        this.hasOrderScore = hasOrderScore;
    }
}
