package com.starcharge.wios.dao;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.ihidea.core.util.JSONUtilsEx;
import com.starcharge.wios.vo.SupplierVo;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@ActiveProfiles(value = "test")
public class SupplierDaoTest {
    
    @Autowired
    SupplierDao supplierDao;
    
    @Test
    public void test() {
        SupplierVo s = supplierDao.selectInProcessOrder(41);
        System.out.println(JSONUtilsEx.serialize(s));
    }
    
}
