package com.starcharge.wios.service;

import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.ihidea.core.util.JSONUtilsEx;
import com.starcharge.wios.dao.DepartmentDao;
import com.starcharge.wios.dao.entity.Department;
import com.starcharge.wios.vo.DepartmentVo;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class DepartmentServiceTest {
    
    @Autowired
    private DepartmentService deptService;
    
    @Autowired
    private DepartmentDao deptDao;
    
    @Test
    public void test() {
        List<DepartmentVo> list = deptService.getList(null);
        System.out.println(JSONUtilsEx.serialize(list));
    }
    
    @Test
    public void test1() {
        Department department = new Department();
        department.setParentId(37);
        deptService.update(38, department);
    }
    
}
