package com.starcharge.wios.service;

import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.ihidea.core.util.JSONUtilsEx;
import com.starcharge.wios.bo.InvoiceQueryBo;
import com.starcharge.wios.dto.InvoiceDTO;
import com.starcharge.wios.dto.InvoiceDetailDTO;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class InvoiceServiceTest {
    
    @Autowired
    InvoiceService invoiceService;
    
    @Test
    public void test() {
        InvoiceQueryBo q = new InvoiceQueryBo();
        q.setPage(1);
        q.setPagecount(4);
        List<InvoiceDTO> list = invoiceService.getList(q);
        System.out.println(JSONUtilsEx.serialize(list));
    }
    
    @Test
    public void test2() {
        InvoiceDetailDTO detail = invoiceService.getDetail("7e029824-fdd8-4463-9de7-593c3c3f456c");
        System.out.println(JSONUtilsEx.serialize(detail));
    }
}
