package com.starcharge.wios.service;

import java.text.ParseException;
import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.ihidea.core.util.JSONUtilsEx;
import com.starcharge.wios.bo.OemContractBo2;
import com.starcharge.wios.dao.OemContractDao;
import com.starcharge.wios.dao.entity.OemContract;
import com.starcharge.wios.vo.OemContractVo;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class OemContractServiceTest {
    
    @Autowired
    OemContractService service;
    
    @Autowired
    OemContractDao oemContractDao;
    
    @Test
    public void test() {
        OemContractBo2 condition = new OemContractBo2();
        List<OemContractVo> list = service.getList(condition);
        System.out.println(JSONUtilsEx.serialize(list));
    }
    
    @Test
    public void test2() {
       
        System.out.println(JSONUtilsEx.serialize(service.getDetail(31)));
    }
    
    @Test
    public void test3() throws ParseException {
        service.contractTiming();
    }
    
    @Test
    public void test4() {
        OemContract contract = new OemContract();
        contract.setStatus(2);
        oemContractDao.update(42, contract);
    }
}
