package com.starcharge.wios.service;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.ihidea.core.util.JSONUtilsEx;
import com.starcharge.wios.dto.OrderScoreDTO;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@ActiveProfiles(profiles = "test")
public class OrderScoreServiceTest {
    
    @Autowired
    OrderScoreService oss;
    
    @Test
    public void test() {
        OrderScoreDTO xx = oss.getOrderScoreByOrderId("CA20201223101711");
        System.out.println(JSONUtilsEx.serialize(xx));
    }
    
}
