package com.starcharge.wios.service;

import java.util.Date;
import java.util.List;

import com.starcharge.wios.bo.SystemNoticeBo;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.ihidea.core.util.JSONUtilsEx;
import com.starcharge.wios.bo.WarrantyOrderBo;
import com.starcharge.wios.dao.entity.SystemNotice;
import com.starcharge.wios.dto.WarrantyOrder;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class SystemNoticeServiceTest {
    @Autowired
    SystemNoticeService systemNoticeService;

    @Test
    public void test() {

        for (int i = 0; i < 10; i++) {
            SystemNotice systemNotice = new SystemNotice();
            systemNotice.setContent("address");
            systemNotice.setType(2);
            systemNotice.setTitle("cname");
            Date date = new Date();
            systemNotice.setDisplayFrom(date);
            systemNotice.setDisplayEnd(date);
            systemNotice.setStatus(1);
            systemNotice.setFileAnnex("url");
            systemNoticeService.add(systemNotice);
        }

    }
    @Test
    public void testGetList() {


        SystemNoticeBo systemNoticeBo = new SystemNoticeBo();
        systemNoticeBo.setType(1);
        systemNoticeBo.setTitle("cname");
        systemNoticeBo.setallList(0);
        System.out.println(systemNoticeService.getList(systemNoticeBo));


    }

    @Test
    public void testGetDetail() {

        systemNoticeService.getDetail(3l);


    }
}