package com.starcharge.wios.task;

import com.starcharge.wios.dao.entity.Dictionary;
import com.starcharge.wios.dao.entity.Order;
import com.starcharge.wios.dao.entity.SettlementDetail;
import com.starcharge.wios.service.DictionaryService;
import com.starcharge.wios.service.OrderService;
import com.starcharge.wios.service.SapRemoteService;
import com.starcharge.wios.service.SettlementService;
import com.starcharge.wios.vo.OrderVo;
import org.apache.commons.collections.CollectionUtils;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.List;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class ScheduleTaskTest {
    
    @Autowired
    ScheduleTask task;
    @Autowired
    OrderService orderService;
    @Autowired
    SettlementService settlementService;
    @Autowired
    DictionaryService dictionaryService;
    @Autowired
    SapRemoteService sapRemoteService;
    
    @Test
    public void test() {
        Order order = orderService.get("CA2021012510525773764448");
        sapRemoteService.pushOrder(order);
    }
    
}
